"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.definition = void 0;
exports.definition = {
    site: 'abnormal',
    name: 'Abnormal',
    language: 'fr-FR',
    links: ['https://abnormal.ws'],
    caps: {
        categorymappings: [
            { id: 'MOVIE|DVDR', cat: 'Movies/DVD' },
            { id: 'MOVIE|DVDRIP', cat: 'Movies/SD' },
            { id: 'MOVIE|BDRIP', cat: 'Movies/SD' },
            { id: 'MOVIE|VOSTFR', cat: 'Movies' },
            { id: 'MOVIE|HD|720p', cat: 'Movies/HD' },
            { id: 'MOVIE|HD|1080p', cat: 'Movies/HD' },
            { id: 'MOVIE|REMUXBR', cat: 'Movies/BluRay' },
            { id: 'MOVIE|FULLBR', cat: 'Movies/BluRay' },
            { id: 'TV|SD|VOSTFR', cat: 'TV/SD' },
            { id: 'TV|HD|VOSTFR', cat: 'TV/HD' },
            { id: 'TV|SD|VF', cat: 'TV/SD' },
            { id: 'TV|HD|VF', cat: 'TV/HD' },
            { id: 'TV|PACK|FR', cat: 'TV' },
            { id: 'TV|PACK|VOSTFR', cat: 'TV' },
            { id: 'TV|EMISSIONS', cat: 'TV/Other' },
            { id: 'ANIME', cat: 'TV/Anime' },
            { id: 'DOCS', cat: 'TV/Documentary' },
            { id: 'MUSIC|FLAC', cat: 'Audio/Lossless' },
            { id: 'MUSIC|MP3', cat: 'Audio/MP3' },
            { id: 'MUSIC|CONCERT', cat: 'Audio/Video' },
            { id: 'PC|APP', cat: 'PC' },
            { id: 'PC|GAMES', cat: 'PC/Games' },
            { id: 'EBOOKS', cat: 'Books/Ebook' },
        ],
    },
    login: {
        path: '/login.php',
        form: 'form',
        inputs: {
            username: '{{ .Config.username }}',
            password: '{{ .Config.password }}',
        },
        error: [{ path: '/login.php', message: { selector: '.warning' } }],
        test: { path: '/top10.php' },
    },
    search: {
        inputs: {
            $raw: '{{range .Categories}}cat[]={{.}}&{{end}}',
            search: '{{if .Query.Keywords}}{{ .Query.Keywords }}{{else}}%{{end}}',
        },
        rows: {
            selector: '.torrent_table > tbody > tr:not([class="colhead"])',
        },
        fields: {
            category: {
                selector: 'td:nth-child(1) > a',
                attribute: 'href',
                filters: [{ name: 'querystring', args: 'cat[]' }],
            },
            title: { selector: 'td:nth-child(2) > a' },
            download: { selector: 'td:nth-child(4) > a', attribute: 'href' },
            size: {
                selector: 'td:nth-child(5)',
                filters: [
                    { name: 'replace', args: ['Go', 'gb'] },
                    { name: 'replace', args: ['Mo', 'mb'] },
                    { name: 'replace', args: ['Ko', 'kb'] },
                ],
            },
            date: {
                selector: 'td:nth-child(3) > span',
                filters: [
                    { name: 'replace', args: ['Il y a ', ''] },
                    { name: 'replace', args: ['heures', 'hours'] },
                    { name: 'replace', args: ['heure', 'hour'] },
                    { name: 'replace', args: ['jours', 'days'] },
                    { name: 'replace', args: ['semaines', 'weeks'] },
                    { name: 'replace', args: ['semaine', 'week'] },
                    { name: 'replace', args: ['mois', 'months'] },
                    { name: 'replace', args: ['ans', 'years'] },
                    { name: 'replace', args: ['an', 'year'] },
                    { name: 'append', args: ' ago' },
                ],
            },
            seeders: { selector: 'td:nth-child(6)' },
            leechers: { selector: 'td:nth-child(7)' },
        },
        paths: [{ path: '/torrents.php' }],
    },
    encoding: 'UTF-8',
    source: 'cardigann',
};
