"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.definition = void 0;
exports.definition = {
    site: 'beyondhd',
    name: 'BeyondHD',
    language: 'en-US',
    links: ['https://beyondhd.xyz/', 'https://beyondhd.me/'],
    settings: [{ name: 'cookie', type: 'text', label: 'Cookie' }],
    caps: {
        categorymappings: [
            { id: '17', cat: 'Movies/HD' },
            { id: '36', cat: 'Audio/Lossless' },
            { id: '37', cat: 'Movies/BluRay' },
            { id: '40', cat: 'TV/HD' },
            { id: '42', cat: 'Audio/Video' },
            { id: '44', cat: 'TV/HD' },
            { id: '45', cat: 'TV/HD' },
            { id: '46', cat: 'TV/HD' },
            { id: '48', cat: 'TV/HD' },
            { id: '49', cat: 'Movies/HD' },
            { id: '50', cat: 'Movies/HD' },
            { id: '54', cat: 'Movies/HD' },
            { id: '55', cat: 'Audio/Video' },
            { id: '56', cat: 'Audio/Video' },
            { id: '61', cat: 'Movies/HD' },
            { id: '69', cat: 'Audio/MP3' },
            { id: '71', cat: 'Movies/3D' },
            { id: '75', cat: 'Movies/HD' },
            { id: '77', cat: 'Movies/HD' },
            { id: '78', cat: 'Movies/HD' },
            { id: '83', cat: 'Movies/3D' },
            { id: '86', cat: 'Movies/HD' },
            { id: '89', cat: 'TV/HD' },
            { id: '94', cat: 'Movies/HD' },
        ],
    },
    login: {
        method: 'cookie',
        inputs: { cookie: '{{ .Config.cookie }}' },
        test: { path: '/messages.php' },
    },
    ratio: { text: '∞' },
    search: {
        inputs: { search: '{{ .Keywords }}' },
        rows: { selector: 'table.torrenttable.tb_detail tr:nth-child(n+2)' },
        fields: {
            category: {
                selector: 'td:nth-child(1) a',
                attribute: 'href',
                filters: [{ name: 'querystring', args: 'cat' }],
            },
            title: { selector: 'td:nth-child(4) a' },
            details: { selector: 'td:nth-child(4) a', attribute: 'href' },
            download: { selector: 'td:nth-child(3) a', attribute: 'href' },
            size: { selector: 'td:nth-child(8)', remove: 'br' },
            date: {
                selector: 'td:nth-child(4) span:last-child',
                remove: 'i, br',
                filters: [
                    { name: 'split', args: ['|', 1] },
                    { name: 'trim', args: '.' },
                ],
            },
            seeders: { selector: 'td:nth-child(10)' },
            leechers: { selector: 'td:nth-child(11)' },
        },
        paths: [{ path: 'browse.php' }],
    },
    encoding: 'UTF-8',
    source: 'cardigann',
};
