"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.definition = void 0;
exports.definition = {
    site: 'bitmetv',
    name: 'BitMeTV',
    language: 'en-US',
    links: ['http://www.bitmetv.org/'],
    settings: [{ name: 'cookie', type: 'text', label: 'Cookie' }],
    caps: { categorymappings: [{ id: '1', cat: 'TV' }] },
    login: {
        method: 'cookie',
        inputs: { cookie: '{{ .Config.cookie }}' },
        test: { path: 'https://www.bitmetv.org/messages.php' },
    },
    ratio: {
        path: 'https://www.bitmetv.org/browse.php',
        selector: 'span.smallfont > font[color="1900D1"] + font',
    },
    search: {
        inputs: { search: '{{ .Keywords }}', incldead: '1' },
        rows: {
            selector: 'table[cellpadding="5"] > tbody > tr:has(td.latest)',
        },
        fields: {
            category: { text: 1 },
            title: { selector: 'td:nth-child(2) > a', attribute: 'title' },
            details: { selector: 'td:nth-child(2) > a', attribute: 'href' },
            download: { selector: 'td:nth-child(3) > a', attribute: 'href' },
            size: { selector: 'td:nth-child(7)', remove: 'br' },
            date: {
                selector: 'td:nth-child(2) > font[size="1"]',
                remove: 'br',
                ffilters: [
                    { name: 'split', args: ['|', 1] },
                    { name: 'trim', args: '.' },
                ],
            },
            seeders: { selector: 'td:nth-child(9)' },
            leechers: { selector: 'td:nth-child(10)' },
            files: { selector: 'td:nth-child(4)' },
            grabs: {
                selector: 'td:nth-child(8)',
                filters: [{ name: 'regexp', args: '(\\d+)' }],
            },
            downloadvolumefactor: { case: { '*': '1' } },
            uploadvolumefactor: { text: '1' },
        },
        paths: [{ path: 'https://www.bitmetv.org/browse.php' }],
    },
    encoding: 'UTF-8',
    source: 'cardigann',
};
