"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.definition = void 0;
exports.definition = {
    site: 'danishbits',
    name: 'DanishBits',
    language: 'da-DK',
    links: ['https://danishbits.org'],
    caps: {
        categorymappings: [
            { id: '1', cat: 'TV/HD' },
            { id: '2', cat: 'Movies/HD' },
            { id: '3', cat: 'Movies' },
            { id: '4', cat: 'TV' },
            { id: '5', cat: 'Audio' },
            { id: '6', cat: 'Other/Misc' },
            { id: '7', cat: 'PC' },
            { id: '8', cat: 'Movies/HD' },
            { id: '9', cat: 'Movies' },
            { id: '10', cat: 'Movies/HD' },
            { id: '11', cat: 'Movies/HD' },
            { id: '12', cat: 'Books/Ebook' },
            { id: '13', cat: 'PC/Mac' },
            { id: '14', cat: 'PC/Phone-Other' },
            { id: '15', cat: 'Audio' },
            { id: '16', cat: 'Audio/Video' },
            { id: '17', cat: 'Console' },
            { id: '18', cat: 'PC/Games' },
            { id: '19', cat: 'Console/PS3' },
            { id: '20', cat: 'TV' },
            { id: '21', cat: 'TV' },
            { id: '22', cat: 'Movies/HD' },
            { id: '23', cat: 'Console/Xbox' },
            { id: '24', cat: 'Movies/SD' },
            { id: '25', cat: 'XXX' },
            { id: '28', cat: 'Movies/HD' },
            { id: '29', cat: 'Movies/HD' },
            { id: '30', cat: 'TV' },
            { id: '31', cat: 'Movies' },
            { id: '32', cat: 'Other/Misc' },
        ],
    },
    ratio: { path: '/index.php', selector: '#stats_ratio .stat' },
    login: {
        path: '/login.php',
        form: 'form',
        inputs: {
            username: '{{ .Config.username }}',
            password: '{{ .Config.password }}',
        },
        error: [
            {
                path: '/login.php',
                message: { selector: '.warning:not(.hidden)' },
            },
        ],
        test: { path: '/inbox.php' },
    },
    search: {
        inputs: {
            $raw: 'action=newbrowse&search={{ .Query.Keywords }}&pre_type=torrents&type=',
        },
        rows: { selector: 'table#torrent_table tr.torrent' },
        fields: {
            category: {
                selector: 'td:nth-child(1) a',
                attribute: 'href',
                filters: [{ name: 'regexp', args: 'filter_(\\d+)=on' }],
            },
            title: {
                selector: 'td:nth-child(2) .croptorrenttext a',
                attribute: 'title',
            },
            details: {
                selector: 'td:nth-child(2) .croptorrenttext a',
                attribute: 'href',
            },
            download: {
                selector: 'a[title="Direkte download link"]',
                attribute: 'href',
            },
            size: { selector: 'td:nth-child(3)', remove: 'br,div' },
            date: { selector: 'td:nth-child(5) .time', attribute: 'title' },
            seeders: { selector: 'td:nth-child(7)' },
            leechers: { selector: 'td:nth-child(8)' },
        },
        paths: [{ path: '/torrents.php' }],
    },
    encoding: 'UTF-8',
    source: 'cardigann',
};
