"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.definition = void 0;
exports.definition = {
    site: 'eotforum',
    name: 'EoT-Forum',
    description: 'A German gerneral tracker',
    language: 'de-DE',
    links: ['http://eot-forum.net'],
    caps: {
        categorymappings: [
            { id: '14', cat: 'Movies/SD' },
            { id: '15', cat: 'Movies/SD' },
            { id: '16', cat: 'Movies/HD' },
            { id: '17', cat: 'Movies/3D' },
            { id: '18', cat: 'Movies/DVD' },
            { id: '19', cat: 'Movies' },
            { id: '20', cat: 'Movies' },
            { id: '21', cat: 'XXX' },
            { id: '23', cat: 'TV/SD' },
            { id: '24', cat: 'TV/SD' },
            { id: '25', cat: 'TV/HD' },
            { id: '26', cat: 'TV/SD' },
            { id: '27', cat: 'TV' },
            { id: '28', cat: 'TV' },
            { id: '29', cat: 'TV/Sport' },
            { id: '31', cat: 'TV/Documentary' },
            { id: '32', cat: 'TV/Documentary' },
            { id: '33', cat: 'TV/Documentary' },
            { id: '34', cat: 'TV/Documentary' },
            { id: '35', cat: 'TV/Documentary' },
            { id: '36', cat: 'TV/Documentary' },
            { id: '38', cat: 'Audio' },
            { id: '39', cat: 'Audio/MP3' },
            { id: '40', cat: 'Audio/Lossless' },
            { id: '41', cat: 'Audio' },
            { id: '42', cat: 'Audio/Video' },
            { id: '43', cat: 'Audio/Audiobook' },
            { id: '45', cat: 'PC/Games' },
            { id: '46', cat: 'PC/Mac' },
            { id: '47', cat: 'Console/PS4' },
            { id: '48', cat: 'Console/Xbox' },
            { id: '49', cat: 'Console/NDS' },
            { id: '50', cat: 'PC/Games' },
            { id: '51', cat: 'Console' },
            { id: '53', cat: 'PC' },
            { id: '54', cat: 'PC/Mac' },
            { id: '55', cat: 'PC' },
            { id: '56', cat: 'PC/Phone-Android' },
            { id: '57', cat: 'PC/Phone-IOS' },
            { id: '58', cat: 'PC/Phone-Other' },
            { id: '60', cat: 'Books' },
            { id: '61', cat: 'Other' },
            { id: '62', cat: 'TV/Anime' },
            { id: '63', cat: 'Other' },
            { id: '64', cat: 'XXX' },
            { id: '66', cat: 'Other' },
            { id: '67', cat: 'TV/Documentary' },
            { id: '68', cat: 'Movies/HD' },
        ],
    },
    login: {
        path: 'index.php?page=login',
        method: 'post',
        inputs: {
            uid: '{{ .Config.username }}',
            pwd: '{{ .Config.password }}',
            rememberme: 'forever',
            submit: 'Login',
        },
        error: [{ selector: 'td.lista[align="center"][colspan="2"] > span' }],
        test: { path: 'index.php', selector: 'img[alt="Ratio"]' },
    },
    ratio: { path: 'index.php', selector: 'img[alt="Ratio"] + font' },
    search: {
        inputs: {
            page: 'torrents',
            search: '{{ .Query.Keywords }}',
            options: '0',
            active: '0',
            gold: '0',
        },
        rows: {
            selector: 'table.lista > tbody > tr:has(a[href^="index.php?page=torrent-details&id="])',
            dateheaders: {
                selector: ':has(td.header > b)',
                filters: [
                    { name: 'replace', args: ['Torrents vom ', ''] },
                    { name: 'replace', args: ['Januar', 'January'] },
                    { name: 'replace', args: ['Februar', 'February'] },
                    { name: 'replace', args: ['March', 'März'] },
                    { name: 'replace', args: ['Mai', 'May'] },
                    { name: 'replace', args: ['Juni', 'June'] },
                    { name: 'replace', args: ['Juli', 'July'] },
                    { name: 'replace', args: ['Oktober', 'October'] },
                    { name: 'replace', args: ['Dezember', 'December'] },
                    { name: 'dateparse', args: '02.January.2006' },
                ],
            },
        },
        fields: {
            download: {
                selector: 'a[href^="download.php?id="]',
                attribute: 'href',
            },
            title: {
                selector: 'a[href^="index.php?page=torrent-details&id="]',
                attribute: 'title',
                filters: [{ name: 'replace', args: ['Details anzeigen: ', ''] }],
            },
            category: {
                selector: 'a[href^="index.php?page=torrents&category="]',
                attribute: 'href',
                filters: [{ name: 'querystring', args: 'category' }],
            },
            comments: { selector: 'a[href*="#comments"]', attribute: 'href' },
            size: { selector: 'td:nth-child(3)' },
            grabs: {
                selector: 'td:nth-child(5) > font:nth-child(3)',
                filters: [{ name: 'replace', args: ['---', '0'] }],
            },
            seeders: { selector: 'td:nth-child(5) > font:nth-child(1)' },
            leechers: { selector: 'td:nth-child(5) > font:nth-child(2)' },
            downloadvolumefactor: {
                case: {
                    'img[alt="gold"]': '0',
                    'img[alt="silver"]': '0.5',
                    '*': '1',
                },
            },
            uploadvolumefactor: {
                case: {
                    'img[alt="2x Upload Multiplier"]': '2',
                    'img[alt="3x Upload Multiplier"]': '3',
                    'img[alt="4x Upload Multiplier"]': '4',
                    'img[alt="5x Upload Multiplier"]': '5',
                    'img[alt="6x Upload Multiplier"]': '6',
                    'img[alt="7x Upload Multiplier"]': '7',
                    'img[alt="8x Upload Multiplier"]': '8',
                    'img[alt="9x Upload Multiplier"]': '9',
                    'img[alt="10x Upload Multiplier"]': '10',
                    '*': '1',
                },
            },
        },
        paths: [{ path: 'index.php' }],
    },
    encoding: 'UTF-8',
    source: 'cardigann',
};
