"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.definition = void 0;
exports.definition = {
    site: 'ethor',
    name: "Ethor.net (Thor's Land)",
    description: 'A French gerneral tracker',
    language: 'fr-FR',
    links: ['https://ethor.net/'],
    caps: {
        categorymappings: [
            { id: '1', cat: 'PC' },
            { id: '4', cat: 'PC/Games' },
            { id: '5', cat: 'Movies/SD' },
            { id: '6', cat: 'Audio' },
            { id: '7', cat: 'TV/SD' },
            { id: '9', cat: 'XXX' },
            { id: '19', cat: 'Movies/SD' },
            { id: '20', cat: 'Movies/DVD' },
            { id: '22', cat: 'PC' },
            { id: '23', cat: 'Books' },
            { id: '25', cat: 'Other' },
            { id: '34', cat: 'Console/PS4' },
            { id: '36', cat: 'Other' },
            { id: '37', cat: 'Audio/Video' },
            { id: '38', cat: 'Console/Wii' },
            { id: '40', cat: 'Console/Xbox' },
            { id: '41', cat: 'Console' },
            { id: '42', cat: 'Movies/HD' },
            { id: '43', cat: 'TV/HD' },
            { id: '44', cat: 'PC' },
            { id: '45', cat: 'TV/SD' },
            { id: '46', cat: 'Other' },
            { id: '47', cat: 'Movies/BluRay' },
            { id: '48', cat: 'TV/HD' },
        ],
    },
    settings: [{ name: 'cookie', type: 'text', label: 'Cookie' }],
    login: {
        method: 'cookie',
        inputs: { cookie: '{{ .Config.cookie }}' },
        test: { path: 'browse.php' },
    },
    ratio: { path: 'browse.php', selector: 'span#ratioRatio' },
    search: {
        inputs: {
            $raw: '{{range .Categories}}c{{.}}=1&{{end}}',
            search: '{{ .Query.Keywords }}',
            advcat: '0',
            incldead: '1',
            stype: 'b',
            dp: '0',
            isUserClick: '0',
        },
        rows: {
            selector: 'p + table > tbody > tr:has(a[href^="/details.php"])',
        },
        fields: {
            download: {
                selector: 'a[href^="/details.php"]:has(b)',
                attribute: 'href',
                filters: [{ name: 'replace', args: ['/details.php', '/download.php'] }],
            },
            title: { selector: 'a[href^="/details.php"]:has(b)' },
            category: {
                selector: 'a[href^="/browse.php?cat="]',
                attribute: 'href',
                filters: [{ name: 'querystring', args: 'cat' }],
            },
            comments: {
                selector: 'a[href^="/details.php"]:has(b)',
                attribute: 'href',
            },
            files: { selector: 'a[href*="#filelist"]' },
            size: { selector: 'td:nth-child(6)' },
            grabs: {
                selector: 'td:nth-child(7)',
                filters: [{ name: 'regexp', args: '(\\d+)' }],
            },
            seeders: { selector: 'td:nth-child(8)' },
            leechers: { selector: 'td:nth-child(9)' },
            date: {
                selector: 'td:nth-child(5)',
                filters: [
                    { name: 'append', args: ' -05:00' },
                    { name: 'dateparse', args: '2006-01-0215:04:05 -07:00' },
                ],
            },
            downloadvolumefactor: {
                case: {
                    'img[title^="Freeleech: "]': '0',
                    'img[title^="Half Freeleech: "]': '0.5',
                    '*': '1',
                },
            },
            uploadvolumefactor: { case: { '*': '1' } },
        },
        paths: [{ path: 'browse.php' }],
    },
    encoding: 'UTF-8',
    source: 'cardigann',
};
