"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.definition = void 0;
exports.definition = {
    site: 'funfile',
    name: 'FunFile',
    description: 'A general tracker',
    language: 'en-US',
    links: ['https://www.funfile.org/'],
    caps: {
        categorymappings: [
            { id: '4', cat: 'PC/Games' },
            { id: '6', cat: 'Audio' },
            { id: '7', cat: 'TV' },
            { id: '19', cat: 'Movies' },
            { id: '22', cat: 'PC' },
            { id: '27', cat: 'Books' },
            { id: '31', cat: 'PC/Phone-Other' },
            { id: '40', cat: 'Other/Misc' },
            { id: '43', cat: 'Audio/Audiobook' },
            { id: '44', cat: 'TV/Anime' },
        ],
    },
    login: {
        path: '/takelogin.php',
        method: 'post',
        form: 'form',
        inputs: {
            username: '{{ .Config.username }}',
            password: '{{ .Config.password }}',
            login: 'Login',
        },
        error: [{ selector: 'mf_content' }],
        test: { path: '/my.php' },
    },
    ratio: {
        path: '/browse.php',
        selector: 'div:has(div#clock) > b + b+ b > span',
    },
    search: {
        inputs: {
            $raw: '{{range .Categories}}c{{.}}=1&{{end}}',
            search: '{{ .Query.Keywords }}',
            incldead: 1,
            showspam: 1,
        },
        rows: {
            selector: 'table[cellpadding="2"] > tbody > tr:has(td.row3)',
        },
        fields: {
            title: {
                selector: 'a[title][href^="details.php"]',
                attribute: 'title',
            },
            category: {
                selector: 'a[href^="browse.php?cat="]',
                attribute: 'href',
                filters: [{ name: 'querystring', args: 'cat' }],
            },
            comments: {
                selector: 'a[href^="details.php?id="]',
                attribute: 'href',
            },
            download: {
                selector: 'a[href^="download.php"]',
                attribute: 'href',
            },
            size: { selector: 'td:nth-child(8)' },
            seeders: { selector: 'td:nth-child(10)' },
            leechers: { selector: 'td:nth-child(11)' },
            date: {
                selector: 'td:nth-child(6)',
                filters: [{ name: 'append', args: ' ago' }],
            },
        },
        paths: [{ path: '/browse.php' }],
    },
    encoding: 'UTF-8',
    source: 'cardigann',
};
