"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.definition = void 0;
exports.definition = {
    site: 'sceneaccess',
    name: 'sceneaccess',
    language: 'en-US',
    links: ['https://sceneaccess.eu/'],
    caps: {
        categorymappings: [
            { id: '1', cat: 'PC/ISO' },
            { id: '2', cat: 'PC/0day' },
            { id: '3', cat: 'PC/Games' },
            { id: '4', cat: 'Movies' },
            { id: '5', cat: 'Console/PS3' },
            { id: '7', cat: 'Movies' },
            { id: '8', cat: 'Movies/SD' },
            { id: '11', cat: 'TV' },
            { id: '12', cat: 'XXX/XviD' },
            { id: '13', cat: 'Audio/MP3' },
            { id: '14', cat: 'Other/Misc' },
            { id: '15', cat: 'Audio/Video' },
            { id: '17', cat: 'TV/SD' },
            { id: '20', cat: 'Console/PSP' },
            { id: '21', cat: 'Other/Misc' },
            { id: '22', cat: 'Movies' },
            { id: '23', cat: 'Console/Xbox360' },
            { id: '26', cat: 'TV' },
            { id: '27', cat: 'TV/HD' },
            { id: '28', cat: 'Console/Wii' },
            { id: '29', cat: 'PC/Mac' },
            { id: '30', cat: 'Movies/Foreign' },
            { id: '31', cat: 'Movies/Foreign' },
            { id: '32', cat: 'Movies/Foreign' },
            { id: '33', cat: 'TV/Foreign' },
            { id: '34', cat: 'TV/Foreign' },
            { id: '35', cat: 'XXX/x264' },
            { id: '36', cat: 'XXX' },
            { id: '37', cat: 'XXX' },
            { id: '38', cat: 'Audio' },
            { id: '40', cat: 'Audio/Lossless' },
            { id: '41', cat: 'Movies/HD' },
            { id: '42', cat: 'Movies/SD' },
            { id: '43', cat: 'Movies/SD' },
            { id: '44', cat: 'TV/SD' },
            { id: '45', cat: 'TV/HD' },
        ],
    },
    login: {
        path: '/login',
        method: 'form',
        inputs: {
            username: '{{ .Config.username }}',
            password: '{{ .Config.password }}',
        },
        error: [{ message: { selector: '#login_box_desc' } }],
        test: { path: '/inbox' },
    },
    search: {
        inputs: { $raw: 'search={{ .Query.Keywords }}&method=2' },
        rows: { selector: 'tr.tt_row' },
        fields: {
            category: {
                selector: 'td.ttr_type a[href^="?cat="]',
                attribute: 'href',
                filters: [{ name: 'regexp', args: '\\?cat=(\\d+)' }],
            },
            title: { selector: 'td.ttr_name a', attribute: 'title' },
            details: { selector: 'td.ttr_name a', attribute: 'href' },
            comments: { selector: 'td.ttr_name a', attribute: 'href' },
            download: { selector: 'td.td_dl a', attribute: 'href' },
            size: {
                selector: 'td.ttr_size',
                filters: [{ name: 'regexp', args: '(\\d*.\\d*\\s..).*' }],
            },
            date: { selector: 'td.ttr_added' },
            seeders: { selector: 'td.ttr_seeders' },
            leechers: { selector: 'td.ttr_leechers' },
        },
        paths: [{ path: '/all' }],
    },
    encoding: 'UTF-8',
    source: 'cardigann',
};
