"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.definition = void 0;
exports.definition = {
    site: 'scenetime',
    name: 'SceneTime',
    description: 'A general tracker',
    language: 'en-US',
    encoding: 'WINDOWS-1252',
    links: ['https://www.scenetime.com/'],
    caps: {
        categorymappings: [
            { id: '1', cat: 'Movies/SD' },
            { id: '2', cat: 'TV/SD' },
            { id: '3', cat: 'Movies/DVD' },
            { id: '4', cat: 'Audio' },
            { id: '5', cat: 'PC/0day' },
            { id: '6', cat: 'PC/Games' },
            { id: '7', cat: 'Books' },
            { id: '9', cat: 'TV/HD' },
            { id: '11', cat: 'Audio/Video' },
            { id: '43', cat: 'TV' },
            { id: '47', cat: 'Movies/SD' },
            { id: '48', cat: 'Console/Xbox' },
            { id: '49', cat: 'Console/PSP' },
            { id: '50', cat: 'Console/PS3' },
            { id: '51', cat: 'Console/Wii' },
            { id: '52', cat: 'PC/Mac' },
            { id: '53', cat: 'PC' },
            { id: '55', cat: 'Console/NDS' },
            { id: '57', cat: 'Movies/SD' },
            { id: '59', cat: 'Movies/HD' },
            { id: '61', cat: 'Movies/SD' },
            { id: '63', cat: 'TV' },
            { id: '64', cat: 'Movies/3D' },
            { id: '65', cat: 'Books/Comics' },
            { id: '77', cat: 'TV/SD' },
            { id: '79', cat: 'TV/Sport' },
            { id: '80', cat: 'Movies/Foreign' },
            { id: '81', cat: 'Movies/BluRay' },
            { id: '82', cat: 'Movies/Other' },
            { id: '83', cat: 'TV/WEB-DL' },
            { id: '100', cat: 'TV/Foreign' },
            { id: '102', cat: 'Movies/Other' },
            { id: '103', cat: 'Movies/WEBDL' },
            { id: '105', cat: 'Movies' },
            { id: '107', cat: 'Console/PS4' },
        ],
    },
    settings: [{ name: 'cookie', type: 'text', label: 'Cookie' }],
    login: {
        method: 'cookie',
        inputs: { cookie: '{{ .Config.cookie }}' },
        test: { path: '/my.php' },
    },
    ratio: {
        path: '/my.php',
        selector: 'div#Statusdiv > div.FLl',
        filters: [{ name: 'regexp', args: '\\((.*?)\\)' }],
    },
    search: {
        method: 'post',
        inputs: {
            $raw: '{{range .Categories}}c{{.}}=1&{{end}}',
            search: '{{ .Query.Keywords }}',
            cata: 'yes',
            sec: 'jax',
        },
        rows: { selector: 'tr.browse' },
        fields: {
            title: { selector: 'a[href^="details.php"] > font' },
            category: {
                selector: 'a[href^="browse.php?cat="]',
                attribute: 'href',
                filters: [{ name: 'querystring', args: 'cat' }],
            },
            comments: {
                selector: 'a[href^="details.php"]',
                attribute: 'href',
            },
            download: {
                selector: 'a[href^="details.php"]',
                attribute: 'href',
                filters: [
                    { name: 'replace', args: ['details.php?id=', 'download.php/'] },
                    { name: 'append', args: '/dummy.torrent' },
                ],
            },
            size: { selector: 'td:nth-child(6)' },
            seeders: { selector: 'td:nth-child(7)' },
            leechers: { selector: 'td:nth-child(8)' },
            date: { selector: 'span.elapsedDate', attribute: 'title' },
            downloadvolumefactor: {
                case: { 'font > b:contains("Freeleech")': '0', '*': '1' },
            },
            uploadvolumefactor: { case: { '*': '1' } },
        },
        paths: [{ path: '/browse_API.php' }],
    },
    source: 'cardigann',
};
