"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.definition = void 0;
exports.definition = {
    site: 'shareisland',
    name: 'Shareisland',
    description: 'A general italian tracker',
    language: 'it-IT',
    encoding: 'UTF-8',
    links: ['http://shareisland.org'],
    caps: {
        categorymappings: [
            { id: '1', cat: 'Movies' },
            { id: '2', cat: 'Console' },
            { id: '3', cat: 'Console/PS4' },
            { id: '4', cat: 'Console/Wii' },
            { id: '6', cat: 'PC' },
            { id: '7', cat: 'Audio' },
            { id: '14', cat: 'Movies/SD' },
            { id: '16', cat: 'Movies/Other' },
            { id: '17', cat: 'Movies/DVD' },
            { id: '18', cat: 'PC/0day' },
            { id: '19', cat: 'PC/Mac' },
            { id: '20', cat: 'Audio/Video' },
            { id: '21', cat: 'Audio/MP3' },
            { id: '26', cat: 'Console/Xbox' },
            { id: '27', cat: 'PC/Games' },
            { id: '28', cat: 'Console/NDS' },
            { id: '31', cat: 'Movies/HD' },
            { id: '32', cat: 'Other' },
            { id: '33', cat: 'Other' },
            { id: '34', cat: 'Books' },
            { id: '35', cat: 'TV' },
            { id: '36', cat: 'Other' },
            { id: '39', cat: 'Movies/HD' },
            { id: '40', cat: 'Movies/HD' },
            { id: '41', cat: 'Movies/Other' },
            { id: '43', cat: 'Movies/SD' },
            { id: '44', cat: 'PC/Phone-Android' },
            { id: '45', cat: 'XXX' },
            { id: '46', cat: 'Movies/BluRay' },
            { id: '47', cat: 'Other' },
            { id: '48', cat: 'Other' },
            { id: '49', cat: 'Movies/HD' },
            { id: '51', cat: 'Movies/HD' },
            { id: '52', cat: 'Books' },
            { id: '53', cat: 'Books' },
            { id: '55', cat: 'TV/HD' },
        ],
    },
    login: {
        path: '/ajax/login.php',
        method: 'post',
        form: 'form',
        inputs: {
            loginbox_membername: '{{ .Config.username }}',
            loginbox_password: '{{ .Config.password }}',
            action: 'login',
            loginbox_remember: 'true',
        },
        error: [{ selector: 'div.error' }],
        test: { path: '/?p=home&pid=1', selector: 'div#member_info_bar' },
    },
    ratio: {
        path: '/?p=home&pid=1',
        selector: 'img[title="Ratio"] + span',
    },
    search: {
        inputs: {
            p: 'torrents',
            pid: '32',
            $raw: '{{range .Categories}}cid[]:{{.}}&{{end}}',
            keywords: '{{ .Query.Keywords }}',
            search_type: 'name',
            searchin: 'title',
        },
        rows: {
            selector: 'table#torrents_table_classic > tbody > tr:not([id="torrents_table_classic_head"])',
        },
        fields: {
            title: { selector: 'td.torrent_name > a' },
            category: {
                selector: 'div.category_image > a',
                attribute: 'href',
                filters: [{ name: 'querystring', args: 'cid' }],
            },
            comments: { selector: 'td.torrent_name > a', attribute: 'href' },
            download: {
                selector: 'a:has(img[title="Download Torrent"])',
                attribute: 'href',
            },
            size: { selector: 'td.size' },
            seeders: { selector: 'td.seeders' },
            leechers: { selector: 'td.leechers' },
            grabs: { selector: 'td.completed' },
            downloadvolumefactor: {
                case: {
                    'img[title="FREE!"]': '0',
                    'img[title="Download Multiplier: 0.5"]': '0.5',
                    'img[title="Moltiplicatore Download: 0.5"]': '0.5',
                    '*': '1',
                },
            },
            uploadvolumefactor: {
                case: {
                    'img[title="Upload Multiplier: 3"]': '3',
                    'img[title="Upload Multiplier: 2"]': '2',
                    'img[title="Upload Multiplier: 1.5"]': '1.5',
                    'img[title="Moltiplicatore Upload: 3"]': '3',
                    'img[title="Moltiplicatore Upload: 2"]': '2',
                    'img[title="Moltiplicatore Upload: 1.5"]': '1.5',
                    '*': '1',
                },
            },
            date: {
                selector: 'td.torrent_name',
                remove: 'a, span, div, br',
                filters: [
                    { name: 'replace', args: ['Uploaded ', ''] },
                    { name: 'replace', args: [' by', ''] },
                    { name: 'replace', args: [' at', ''] },
                    { name: 'replace', args: ['Oggi', 'Today'] },
                    { name: 'replace', args: ['Ieri', 'Yesterday'] },
                    { name: 'replace', args: ['lunedì', 'Monday'] },
                    { name: 'replace', args: ['martedì', 'Tuesday'] },
                    { name: 'replace', args: ['Mercoledì', 'Wednesday'] },
                    { name: 'replace', args: ['Giovedì', 'Thursday'] },
                    { name: 'replace', args: ['Venerdì', 'Friday'] },
                    { name: 'replace', args: ['Sabato', 'Saturday'] },
                    { name: 'replace', args: ['Domenica', 'Sunday'] },
                    { name: 'replace', args: [' alle', ''] },
                ],
            },
        },
        paths: [{ path: '/' }],
    },
    source: 'cardigann',
};
