"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.definition = void 0;
exports.definition = {
    site: 't411',
    name: 'Torrent411',
    language: 'fr-FR',
    encoding: 'UTF-8',
    links: ['https://t411.li'],
    caps: {
        modes: { search: ['q'], 'tv-search': ['q', 'season', 'ep'] },
        categorymappings: [
            { id: '235', cat: 'PC/Mac' },
            { id: '236', cat: 'PC' },
            { id: '246', cat: 'PC/Games' },
            { id: '393', cat: 'Other' },
            { id: '395', cat: 'Audio' },
            { id: '405', cat: 'Audio/Audiobook' },
            { id: '406', cat: 'Books' },
            { id: '407', cat: 'Books/Comics' },
            { id: '408', cat: 'Books' },
            { id: '409', cat: 'Books' },
            { id: '410', cat: 'Books/Magazines' },
            { id: '433', cat: 'TV' },
            { id: '455', cat: 'TV/Anime' },
            { id: '461', cat: 'XXX/Other' },
            { id: '462', cat: 'XXX/Other' },
            { id: '623', cat: 'Audio' },
            { id: '625', cat: 'PC/Phone-Other' },
            { id: '629', cat: 'PC' },
            { id: '631', cat: 'Movies' },
            { id: '632', cat: 'XXX' },
            { id: '633', cat: 'TV/Other' },
            { id: '634', cat: 'TV/Documentary' },
            { id: '635', cat: 'TV/Other' },
            { id: '636', cat: 'TV/Sport' },
            { id: '637', cat: 'TV/Anime' },
            { id: '638', cat: 'PC' },
            { id: '639', cat: 'TV' },
            { id: '641', cat: 'XXX' },
            { id: '642', cat: 'Audio/Other' },
        ],
    },
    login: {
        path: '/users/login/',
        method: 'post',
        inputs: {
            login: '{{ .Config.username }}',
            password: '{{ .Config.password }}',
        },
        error: [{ selector: 'div#messages > p' }],
        test: { path: '/torrents/search/', selector: 'a.logout' },
    },
    ratio: {
        path: '/',
        selector: 'div.loginBar > span:nth-child(7) > strong',
        filters: [{ name: 'replace', args: [',', '.'] }],
    },
    search: {
        inputs: {
            $raw: '{{range .Categories}}subcat={{.}}&{{end}}',
            search: '{{ .Query.Keywords }}',
        },
        rows: { selector: 'table > tbody > tr' },
        fields: {
            category: {
                selector: 'td:nth-child(1) > a',
                attribute: 'href',
                filters: [{ name: 'querystring', args: 'subcat' }],
            },
            title: {
                selector: 'td:nth-child(2) > a:nth-child(1)',
                attribute: 'title',
            },
            details: {
                selector: 'td:nth-child(2) > a:nth-child(1)',
                attribute: 'href',
            },
            download: {
                selector: 'td:nth-child(3) > a',
                attribute: 'href',
                filters: [
                    {
                        name: 'replace',
                        args: ['/torrents/nfo/?id=', '/torrents/download/?id='],
                    },
                ],
            },
            size: { selector: 'td:nth-child(6)' },
            seeders: { selector: 'td.up' },
            leechers: { selector: 'td.down' },
            date: {
                selector: 'td:nth-child(2) > dl > dd:nth-child(2)',
                filters: [{ name: 'dateparse', args: '2006-01-02 15:04:05 (-07:00)' }],
            },
            grabs: { selector: 'td:nth-child(7)' },
        },
        paths: [{ path: '/torrents/search/' }],
    },
    source: 'cardigann',
};
