"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.definition = void 0;
exports.definition = {
    site: 'torrentbytes',
    name: 'TorrentBytes',
    language: 'en-US',
    links: ['https://torrentbytes.net/'],
    caps: {
        categorymappings: [
            { id: '1', cat: 'PC' },
            { id: '4', cat: 'PC/Games' },
            { id: '5', cat: 'Movies/HD' },
            { id: '6', cat: 'Audio/MP3' },
            { id: '9', cat: 'XXX' },
            { id: '12', cat: 'Movies/BluRay' },
            { id: '19', cat: 'Movies/SD' },
            { id: '20', cat: 'Movies/SD' },
            { id: '21', cat: 'XXX/Packs' },
            { id: '22', cat: 'PC' },
            { id: '23', cat: 'TV/Anime' },
            { id: '24', cat: 'XXX/Imageset' },
            { id: '25', cat: 'Audio/Video' },
            { id: '26', cat: 'Console' },
            { id: '27', cat: 'Console/Wii' },
            { id: '28', cat: 'Movies/Foreign' },
            { id: '29', cat: 'XXX' },
            { id: '30', cat: 'Console/Xbox' },
            { id: '31', cat: 'Other/Misc' },
            { id: '32', cat: 'TV/SD' },
            { id: '33', cat: 'TV/SD' },
            { id: '34', cat: 'Audio/Video' },
            { id: '38', cat: 'TV/HD' },
            { id: '39', cat: 'XXX' },
            { id: '40', cat: 'Movies' },
            { id: '41', cat: 'TV' },
            { id: '42', cat: 'PC/Mac' },
            { id: '43', cat: 'Audio' },
            { id: '44', cat: 'TV' },
            { id: '45', cat: 'Movies' },
            { id: '46', cat: 'Movies' },
            { id: '47', cat: 'Console/PS3' },
            { id: '48', cat: 'Audio/Lossless' },
        ],
    },
    login: {
        path: '/login.php',
        method: 'form',
        inputs: {
            username: '{{ .Config.username }}',
            password: '{{ .Config.password }}',
        },
        error: [{ path: '/takelogin.php', message: { selector: 'td.text' } }],
        test: { path: 'https://torrentbytes.net/inbox.php' },
    },
    search: {
        inputs: { $raw: 'search={{ .Query.Keywords }}' },
        rows: {
            selector: 'html body div#innerwrapper div#mainframe div#content table:not(.main):not(.bottom) tbody tr:not(:first-child)',
        },
        fields: {
            category: {
                selector: 'td:nth-child(1) a,td:nth-child(2) a',
                attribute: 'href',
                filters: [{ name: 'regexp', args: 'browse\\.php\\?cat=(\\d+)|(.*)' }],
            },
            title: { selector: 'td:nth-child(2) a:nth-child(2)' },
            details: {
                selector: 'td:nth-child(2) a:nth-child(2)',
                attribute: 'href',
            },
            download: { selector: 'td:nth-child(2) a', attribute: 'href' },
            size: { selector: 'td:nth-child(7)' },
            date: { selector: 'td:nth-child(5)' },
            seeders: { selector: 'td:nth-child(9)' },
            leechers: { selector: 'td:nth-child(10)' },
        },
        paths: [{ path: '/browse.php' }],
    },
    encoding: 'UTF-8',
    source: 'cardigann',
};
