"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.definition = void 0;
exports.definition = {
    site: 'torrentday',
    name: 'TorrentDay',
    language: 'en-US',
    links: ['https://www.torrentday.com/', 'http://td-update.com/'],
    settings: [{ name: 'cookie', type: 'text', label: 'Cookie' }],
    caps: {
        categorymappings: [
            { id: '1', cat: 'Movies/SD' },
            { id: '2', cat: 'TV/SD' },
            { id: '3', cat: 'Movies/SD' },
            { id: '4', cat: 'PC/Games' },
            { id: '5', cat: 'Movies/HD' },
            { id: '6', cat: 'Audio' },
            { id: '7', cat: 'TV/SD' },
            { id: '8', cat: 'Console/PSP' },
            { id: '9', cat: 'Console/Xbox360' },
            { id: '10', cat: 'Console/Wii' },
            { id: '11', cat: 'Movies/HD' },
            { id: '12', cat: 'PC' },
            { id: '13', cat: 'Movies/SD' },
            { id: '14', cat: 'TV' },
            { id: '16', cat: 'Audio/Video' },
            { id: '17', cat: 'Audio/MP3' },
            { id: '18', cat: 'Console/PS3' },
            { id: '20', cat: 'Books' },
            { id: '21', cat: 'Movies/SD' },
            { id: '22', cat: 'Movies/SD' },
            { id: '23', cat: 'Audio/Foreign' },
            { id: '24', cat: 'TV/SD' },
            { id: '25', cat: 'Movies/SD' },
            { id: '26', cat: 'TV/SD' },
            { id: '27', cat: 'Audio/Lossless' },
            { id: '28', cat: 'PC' },
            { id: '29', cat: 'TV/Anime' },
            { id: '30', cat: 'TV/Documentary' },
            { id: '31', cat: 'TV/SD' },
            { id: '32', cat: 'TV/HD' },
            { id: '33', cat: 'TV/SD' },
            { id: '34', cat: 'TV/SD' },
            { id: '41', cat: 'Audio' },
            { id: '42', cat: 'Audio/Audiobook' },
            { id: '43', cat: 'PC/Mac' },
            { id: '44', cat: 'Movies/SD' },
            { id: '46', cat: 'TV/SD' },
            { id: '48', cat: 'Movies/HD' },
        ],
    },
    login: {
        method: 'cookie',
        inputs: { cookie: '{{ .Config.cookie }}' },
        test: { path: '/messages.php' },
    },
    ratio: {
        path: '/index.php',
        selector: '#activityDiv span:nth-child(2)',
    },
    search: {
        inputs: {
            $raw: '{{range .Categories}}{{.}}&{{end}}q={{ .Query.Keywords }}',
        },
        rows: {
            selector: 'table#torrentTable > tbody > tr:nth-child(n+2):has(td.t_label)',
        },
        fields: {
            category: {
                selector: 'td.t_label > a',
                attribute: 'href',
                filters: [{ name: 'regexp', args: '^\\?(\\d+)$' }],
            },
            title: { selector: 'td.torrentNameInfo > a' },
            details: { selector: 'td.torrentNameInfo > a', attribute: 'href' },
            comments: { selector: 'td:nth-child(5) > a', attribute: 'href' },
            download: { selector: 'td:nth-child(3) > a', attribute: 'href' },
            size: { selector: 'td:nth-child(6)' },
            date: {
                selector: 'td:nth-child(2) .t_ctime',
                filters: [
                    { name: 'split', args: ['|', -1] },
                    { name: 'split', args: [' by ', 0] },
                ],
            },
            seeders: { selector: 'td.seedersInfo' },
            leechers: { selector: 'td.leechersInfo' },
        },
        paths: [{ path: '/t' }],
    },
    encoding: 'UTF-8',
    source: 'cardigann',
};
