"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.definition = void 0;
exports.definition = {
    site: 'torrentheaven',
    name: 'TorrentHeaven',
    description: 'A German general tracker',
    language: 'de-DE',
    links: ['https://torrentheaven.myfqdn.info/'],
    caps: {
        categorymappings: [
            { id: '1', cat: 'PC/Games' },
            { id: '3', cat: 'Console' },
            { id: '7', cat: 'Movies/DVD' },
            { id: '8', cat: 'Movies/SD' },
            { id: '14', cat: 'Audio' },
            { id: '15', cat: 'Audio/Audiobook' },
            { id: '16', cat: 'Audio/Audiobook' },
            { id: '18', cat: 'TV/SD' },
            { id: '19', cat: 'TV/HD' },
            { id: '20', cat: 'TV/HD' },
            { id: '22', cat: 'Books' },
            { id: '24', cat: 'Other' },
            { id: '25', cat: 'Other' },
            { id: '28', cat: 'PC' },
            { id: '29', cat: 'PC/Phone-Other' },
            { id: '30', cat: 'PC' },
            { id: '36', cat: 'Audio/Lossless' },
            { id: '37', cat: 'Movies/DVD' },
            { id: '41', cat: 'Movies/Foreign' },
            { id: '42', cat: 'Audio/Other' },
            { id: '49', cat: 'TV/SD' },
            { id: '51', cat: 'TV/Documentary' },
            { id: '52', cat: 'TV/Documentary' },
            { id: '53', cat: 'TV' },
            { id: '54', cat: 'TV/Sport' },
            { id: '58', cat: 'Audio/Video' },
            { id: '59', cat: 'Console/PS4' },
            { id: '60', cat: 'Console/PSP' },
            { id: '63', cat: 'Console/Wii' },
            { id: '66', cat: 'TV/Foreign' },
            { id: '67', cat: 'Console/Xbox360' },
            { id: '68', cat: 'PC/Phone-Other' },
            { id: '70', cat: 'PC' },
            { id: '71', cat: 'PC/Mac' },
            { id: '72', cat: 'Console/NDS' },
            { id: '101', cat: 'Movies/HD' },
            { id: '102', cat: 'Movies/HD' },
            { id: '103', cat: 'Movies/HD' },
            { id: '104', cat: 'Movies/BluRay' },
            { id: '106', cat: 'Movies/3D' },
            { id: '108', cat: 'TV/Anime' },
        ],
    },
    settings: [{ name: 'cookie', type: 'text', label: 'Cookie' }],
    login: {
        method: 'cookie',
        inputs: { cookie: '{{ .Config.cookie }}' },
        test: { path: '/index.php?strWebValue=account&strWebAction=center' },
    },
    ratio: {
        path: '/index.php?strWebValue=account&strWebAction=center',
        selector: 'span#ElementRatio',
    },
    search: {
        inputs: {
            strWebValue: 'torrent',
            strWebAction: 'search',
            $raw: '{{range .Categories}}dirs{{.}}=1&{{end}}',
            searchstring: '{{ .Query.Keywords }}',
            sort: 'torrent_added',
            by: 'd',
            type: 0,
            do_search: 'suchen',
            time: 0,
            details: 'title',
        },
        rows: {
            selector: 'table.torrenttable > tbody > tr:not(:has(td.torrenttableheader))',
        },
        fields: {
            title: {
                selector: 'a[href^="index.php?strWebValue=torrent&strWebAction=details"]',
                attribute: 'onmouseover',
                filters: [{ name: 'regexp', args: "^return buildTable\\('(.*?)',\\s+" }],
            },
            category: {
                selector: 'a[href^="index.php?strWebValue=torrent&strWebAction=search&dir="]',
                attribute: 'href',
                filters: [{ name: 'querystring', args: 'dir' }],
            },
            comments: {
                selector: 'a[href^="index.php?strWebValue=torrent&strWebAction=details"]',
                attribute: 'href',
            },
            download: {
                selector: 'a[href^="index.php?strWebValue=torrent&strWebAction=downloadssl&id="]',
                attribute: 'href',
            },
            size: { selector: 'td.column2:nth-child(4)' },
            seeders: { selector: 'td.column1:nth-child(7)' },
            leechers: { selector: 'td.column2:nth-child(8)' },
            date: {
                selector: 'font:has(a)',
                remove: 'a',
                filters: [
                    { name: 'split', args: ['\n', 0] },
                    { name: 'replace', args: ['Heute', 'Today'] },
                    { name: 'replace', args: ['Gestern', 'Yesterday'] },
                ],
            },
            grabs: { selector: 'td:nth-child(7)' },
            downloadvolumefactor: {
                case: {
                    'img[src="themes/images/DL50.png"]': '0.5',
                    'img[src="themes/images/freeleech.png"]': '0',
                    '*': '1',
                },
            },
            uploadvolumefactor: { text: '1' },
        },
        paths: [{ path: '/index.php' }],
    },
    encoding: 'UTF-8',
    source: 'cardigann',
};
