"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.definition = void 0;
exports.definition = {
    site: 'torrentleech',
    name: 'TorrentLeech',
    language: 'en-US',
    links: ['https://www.torrentleech.org/'],
    caps: {
        categorymappings: [
            { id: '5', cat: 'Books' },
            { id: '8', cat: 'Movies/SD' },
            { id: '9', cat: 'Movies/SD' },
            { id: '10', cat: 'Movies/SD' },
            { id: '11', cat: 'Movies/SD' },
            { id: '12', cat: 'Movies/SD' },
            { id: '13', cat: 'Movies/HD' },
            { id: '14', cat: 'Movies/HD' },
            { id: '15', cat: 'Movies' },
            { id: '16', cat: 'Audio/Video' },
            { id: '17', cat: 'PC/Games' },
            { id: '18', cat: 'Console/Xbox' },
            { id: '19', cat: 'Console/Xbox360' },
            { id: '21', cat: 'Console/PS3' },
            { id: '22', cat: 'Console/PSP' },
            { id: '23', cat: 'PC/ISO' },
            { id: '24', cat: 'PC/Mac' },
            { id: '25', cat: 'PC/Phone-Other' },
            { id: '26', cat: 'TV/SD' },
            { id: '27', cat: 'TV' },
            { id: '28', cat: 'Console/Wii' },
            { id: '29', cat: 'TV/Documentary' },
            { id: '30', cat: 'Console/NDS' },
            { id: '31', cat: 'Audio' },
            { id: '32', cat: 'TV/HD' },
            { id: '33', cat: 'PC/0day' },
            { id: '34', cat: 'TV/Anime' },
            { id: '35', cat: 'TV' },
        ],
    },
    login: {
        path: '/user/account/login/',
        form: 'form',
        inputs: {
            username: '{{ .Config.username }}',
            password: '{{ .Config.password }}',
        },
        error: [
            {
                selector: '#loginFormBlock .ui-state-error',
                message: {
                    selector: '#loginFormBlock .ui-state-error p',
                    remove: 'span, strong',
                },
            },
        ],
        test: { path: '/torrents/browse', selector: '.memberbar_alt' },
    },
    ratio: {
        path: '/',
        selector: '#memberBar',
        filters: [{ name: 'regexp', args: 'Ratio:.(\\d+\\.\\d+)' }],
    },
    search: {
        inputs: { $raw: '{{range .Categories}}category[]={{.}}&{{end}}' },
        rows: { selector: 'table#torrenttable > tbody > tr' },
        fields: {
            category: {
                selector: 'td:nth-child(1) > a',
                attribute: 'href',
                filters: [{ name: 'regexp', args: '\\/(\\d+)$' }],
            },
            title: { selector: 'td:nth-child(2) .title a' },
            details: {
                selector: 'td:nth-child(2) .title a',
                attribute: 'href',
            },
            comments: { selector: 'td:nth-child(4) > a', attribute: 'href' },
            download: { selector: 'td:nth-child(3) a', attribute: 'href' },
            size: { selector: 'td:nth-child(5)' },
            date: {
                selector: 'td:nth-child(2)',
                filters: [{ name: 'split', args: [' on ', -1] }],
            },
            seeders: { selector: 'td:nth-child(7)' },
            leechers: { selector: 'td:nth-child(8)' },
        },
        paths: [
            {
                path: '/torrents/browse/{{if .Query.Keywords}}index/query/{{ .Query.Keywords}}{{end}}',
            },
        ],
    },
    encoding: 'UTF-8',
    source: 'cardigann',
};
