"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.definition = void 0;
exports.definition = {
    site: 'torrentsyndikat',
    name: 'Torrent-Syndikat',
    description: 'A German general tracker',
    language: 'de-DE',
    encoding: 'UTF-8',
    links: ['https://torrent-syndikat.org/'],
    caps: {
        categorymappings: [
            { id: '2', cat: 'PC' },
            { id: '3', cat: 'Movies/BluRay' },
            { id: '4', cat: 'PC/Mac' },
            { id: '5', cat: 'PC/Phone-Other' },
            { id: '6', cat: 'PC' },
            { id: '7', cat: 'Console/Wii' },
            { id: '8', cat: 'Console/PSP' },
            { id: '9', cat: 'Movies/HD' },
            { id: '10', cat: 'Movies/SD' },
            { id: '11', cat: 'Movies/Other' },
            { id: '12', cat: 'PC/Games' },
            { id: '13', cat: 'PC' },
            { id: '15', cat: 'TV/SD' },
            { id: '16', cat: 'TV/HD' },
            { id: '17', cat: 'Books' },
            { id: '18', cat: 'Audio/Audiobook' },
            { id: '20', cat: 'Movies/HD' },
            { id: '21', cat: 'Movies/DVD' },
            { id: '22', cat: 'Movies/3D' },
            { id: '23', cat: 'TV/HD' },
            { id: '24', cat: 'Audio/Lossless' },
            { id: '25', cat: 'Audio/MP3' },
            { id: '26', cat: 'Audio' },
            { id: '27', cat: 'TV/SD' },
            { id: '28', cat: 'TV/Documentary' },
            { id: '29', cat: 'TV/Documentary' },
            { id: '30', cat: 'TV/Sport' },
            { id: '31', cat: 'Movies/Other' },
            { id: '32', cat: 'Console/Xbox' },
            { id: '33', cat: 'Audio/Video' },
            { id: '35', cat: 'Audio/Other' },
            { id: '36', cat: 'TV/Foreign' },
            { id: '37', cat: 'Movies/Foreign' },
            { id: '39', cat: 'Other' },
            { id: '40', cat: 'TV/Anime' },
            { id: '41', cat: 'Console/NDS' },
            { id: '42', cat: 'Movies/HD' },
            { id: '44', cat: 'TV/HD' },
        ],
    },
    settings: [{ name: 'cookie', type: 'text', label: 'Cookie' }],
    login: {
        method: 'cookie',
        inputs: { cookie: '{{ .Config.cookie }}' },
        test: { path: '/ucp.php?action=default' },
    },
    ratio: {
        path: '/browse.php',
        selector: 'i[title="Gesamtratio"] ~ span',
    },
    search: {
        inputs: {
            $raw: '{{range .Categories}}c{{.}}=1&{{end}}',
            search: '{{ .Query.Keywords }}',
            searchin: 'title',
            incldead: 1,
            rel_type: 0,
        },
        rows: {
            selector: 'table.torrent_table > tbody > tr:not(:has(td.colhead))',
        },
        fields: {
            title: {
                selector: 'a[title][href^="details.php"]',
                attribute: 'title',
            },
            category: {
                selector: 'a[href^="browse.php?cat="]',
                attribute: 'href',
                filters: [{ name: 'querystring', args: 'cat' }],
            },
            comments: {
                selector: 'a[title][href^="details.php"]',
                attribute: 'href',
            },
            download: {
                selector: 'a[href^="download.php"]',
                attribute: 'href',
            },
            size: { selector: 'td:nth-child(6)' },
            seeders: { selector: 'td:nth-child(8)' },
            leechers: { selector: 'td:nth-child(9)' },
            date: {
                selector: 'span.torrent_details',
                remove: 'i, a',
                filters: [
                    { name: 'replace', args: ['Heute', 'Today'] },
                    { name: 'replace', args: ['Gestern', 'Yesterday'] },
                    { name: 'replace', args: [' von', ''] },
                ],
            },
        },
        paths: [{ path: '/browse.php?do=search' }],
    },
    source: 'cardigann',
};
