"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.definition = void 0;
exports.definition = {
    site: 'totheglory',
    name: 'ToTheGlory',
    description: 'A chinese tracker',
    language: 'zh-CN',
    encoding: 'UTF-8',
    links: ['https://totheglory.im/'],
    caps: {
        categorymappings: [
            { id: '电影DVDRip', cat: 'Movies/SD' },
            { id: '电影720p', cat: 'Movies/HD' },
            { id: '电影1080i/p', cat: 'Movies/HD' },
            { id: 'BluRay原盘', cat: 'Movies/BluRay' },
            { id: '纪录片720p', cat: 'Movies/HD' },
            { id: '纪录片1080i/p', cat: 'Movies/HD' },
            { id: '纪录片BluRay原盘', cat: 'Movies/BluRay' },
            { id: '欧美剧720p', cat: 'TV/HD' },
            { id: '欧美剧1080i/p', cat: 'TV/HD' },
            { id: '高清日剧', cat: 'TV/HD' },
            { id: '大陆港台剧1080i/p', cat: 'TV/HD' },
            { id: '大陆港台剧720p', cat: 'TV/HD' },
            { id: '高清韩剧', cat: 'TV/HD' },
            { id: '欧美剧包', cat: 'TV/HD' },
            { id: '日剧包', cat: 'TV/HD' },
            { id: '韩剧包', cat: 'TV/HD' },
            { id: '华语剧包', cat: 'TV/HD' },
            { id: '(电影原声&amp;Game)OST', cat: 'Audio' },
            { id: '无损音乐FLAC&amp;APE', cat: 'Audio/Lossless' },
            { id: 'MV&amp;演唱会', cat: 'Audio/Video' },
            { id: '高清体育节目', cat: 'TV/Sport' },
            { id: '高清动漫', cat: 'TV/Anime' },
            { id: '韩国综艺', cat: 'TV/HD' },
            { id: '日本综艺', cat: 'TV/HD' },
            { id: '高清综艺', cat: 'TV/HD' },
            { id: 'MiniVideo', cat: 'Other' },
            { id: '补充音轨', cat: 'Audio' },
            { id: 'iPhone/iPad视频', cat: 'PC/Phone-Other' },
        ],
    },
    login: {
        path: '/login.php?returnto=',
        method: 'form',
        inputs: {
            username: '{{ .Config.username }}',
            password: '{{ .Config.password }}',
        },
        error: [{ selector: 'form#loginform > span.warning' }],
        test: { path: '/my.php' },
    },
    ratio: {
        path: '/my.php',
        selector: 'span.smallfont:has(span#sp_signed)',
        filters: [{ name: 'regexp', args: '分享率 : (.*?)  ' }],
    },
    search: {
        inputs: {
            search_field: '{{range .Categories}}分类:`{{.}}` {{end}}{{ .Query.Keywords }}',
            c: 'M',
        },
        rows: { selector: 'table#torrent_table > tbody > tr[id]' },
        fields: {
            description: { selector: 'div.name_left > a > b' },
            title: { selector: 'div.name_left > a > b', remove: 'span' },
            category: {
                selector: 'tr[id] td:nth-child(1) > a',
                attribute: 'href',
                filters: [
                    { name: 'querystring', args: 'search_field' },
                    { name: 'replace', args: ['category:', ''] },
                    { name: 'trim', args: '"' },
                ],
            },
            details: { selector: 'div.name_left > a', attribute: 'href' },
            download: {
                selector: 'a.dl_a',
                attribute: 'href',
                filters: [{ name: 'regexp', args: '^(/download.php/\\d+/).*' }],
            },
            files: { selector: 'td:nth-child(3)' },
            size: { selector: 'td:nth-child(7)' },
            seeders: {
                selector: 'td:nth-child(9)',
                filters: [{ name: 'split', args: ['/', 0] }],
            },
            leechers: {
                selector: 'td:nth-child(9)',
                filters: [
                    { name: 'split', args: ['/', 1] },
                    { name: 'replace', args: ['\n', ''] },
                ],
            },
            grabs: {
                selector: 'td:nth-child(8)',
                filters: [{ name: 'regexp', args: '(\\d+)' }],
            },
            date: {
                selector: 'td:nth-child(5)',
                filters: [
                    { name: 'append', args: ' +0800' },
                    { name: 'dateparse', args: '2006-01-0215:04:05 -0700' },
                ],
            },
            downloadvolumefactor: {
                case: {
                    'img[alt="free"]': '0',
                    'img[alt="50%"]': '0.5',
                    'img[alt="30%"]': '0.3',
                    '*': '1',
                },
            },
            uploadvolumefactor: { case: { '*': '1' } },
        },
        paths: [{ path: '/browse.php' }],
    },
    source: 'cardigann',
};
