"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.definition = void 0;
exports.definition = {
    site: 'tspate',
    name: 'Tspate',
    description: 'A French gerneral tracker',
    language: 'fr-FR',
    links: ['https://www.tspate.me/'],
    caps: {
        categorymappings: [
            { id: '1', cat: 'Movies/SD' },
            { id: '2', cat: 'Movies/SD' },
            { id: '3', cat: 'Movies/DVD' },
            { id: '4', cat: 'Movies/HD' },
            { id: '5', cat: 'Movies/HD' },
            { id: '6', cat: 'Movies/BluRay' },
            { id: '7', cat: 'Movies/3D' },
            { id: '8', cat: 'Movies/SD' },
            { id: '9', cat: 'Movies/DVD' },
            { id: '10', cat: 'Movies/SD' },
            { id: '11', cat: 'Movies/HD' },
            { id: '12', cat: 'Movies/HD' },
            { id: '13', cat: 'Movies/HD' },
            { id: '14', cat: 'TV/SD' },
            { id: '15', cat: 'TV' },
            { id: '16', cat: 'TV' },
            { id: '17', cat: 'TV' },
            { id: '18', cat: 'TV/HD' },
            { id: '19', cat: 'TV/HD' },
            { id: '20', cat: 'TV' },
            { id: '21', cat: 'TV/SD' },
            { id: '22', cat: 'TV/Documentary' },
            { id: '23', cat: 'TV/Sport' },
            { id: '24', cat: 'TV' },
            { id: '25', cat: 'TV/Anime' },
            { id: '26', cat: 'TV' },
            { id: '27', cat: 'Books' },
            { id: '28', cat: 'Books' },
            { id: '29', cat: 'Books/Comics' },
            { id: '30', cat: 'Books' },
            { id: '31', cat: 'Books' },
            { id: '32', cat: 'Books' },
            { id: '33', cat: 'PC/Games' },
            { id: '34', cat: 'Console/PS3' },
            { id: '35', cat: 'Console/Xbox' },
            { id: '36', cat: 'Console/Wii' },
            { id: '37', cat: 'Console/PSP' },
            { id: '38', cat: 'Console/NDS' },
            { id: '39', cat: 'PC/Phone-Android' },
            { id: '40', cat: 'PC' },
            { id: '41', cat: 'PC/Mac' },
            { id: '42', cat: 'PC/Phone-Android' },
            { id: '43', cat: 'PC/Phone-IOS' },
            { id: '44', cat: 'PC' },
            { id: '45', cat: 'PC' },
            { id: '46', cat: 'Audio/MP3' },
            { id: '47', cat: 'Audio/Lossless' },
            { id: '48', cat: 'Audio' },
            { id: '49', cat: 'Audio' },
            { id: '50', cat: 'TV/Anime' },
            { id: '51', cat: 'XXX' },
            { id: '55', cat: 'PC/Mac' },
            { id: '56', cat: 'Movies/HD' },
            { id: '57', cat: 'TV/HD' },
            { id: '58', cat: 'Movies/HD' },
            { id: '59', cat: 'Movies/HD' },
            { id: '60', cat: 'TV/HD' },
            { id: '61', cat: 'TV/HD' },
            { id: '62', cat: 'Movies/HD' },
            { id: '63', cat: 'Books' },
            { id: '64', cat: 'TV/SD' },
        ],
    },
    login: {
        path: 'account-login.php',
        method: 'post',
        inputs: {
            username: '{{ .Config.username }}',
            password: '{{ .Config.password }}',
            remember: 'yes',
            returnto: '/',
        },
        error: [{ selector: 'div#nfobar > p#msgError' }],
        test: { path: 'torrents-search.php' },
    },
    ratio: {
        path: 'torrents-search.php',
        selector: 'div#infobar0 > ul > li:nth-child(1) > font:last-child',
    },
    search: {
        inputs: {
            $raw: '{{range .Categories}}c{{.}}=1&{{end}}',
            search: '{{ .Query.Keywords }}',
            incldead: '1',
        },
        rows: {
            selector: 'table.ttable_headinner > tbody > tr.t-row',
            after: 1,
        },
        fields: {
            download: {
                selector: 'a[href^="download.php?id="]',
                attribute: 'href',
            },
            title: {
                selector: 'a[href^="torrents-details.php?id="]',
                attribute: 'title',
            },
            category: {
                selector: 'a[href^="torrents.php?cat="]',
                attribute: 'href',
                filters: [{ name: 'querystring', args: 'cat' }],
            },
            comments: {
                selector: 'a[href^="comments.php"]',
                attribute: 'href',
            },
            size: { selector: 'td:nth-child(7)' },
            grabs: { selector: 'td:nth-child(8)' },
            seeders: { selector: 'td:nth-child(9)' },
            leechers: { selector: 'td:nth-child(10)' },
            date: {
                selector: 'small > i',
                filters: [
                    { name: 'replace', args: ['Date: ', ''] },
                    { name: 'replace', args: ['le ', ''] },
                    { name: 'dateparse', args: '15:04:05 02-01-2006' },
                ],
            },
            downloadvolumefactor: {
                case: { 'img[src="images/free.gif"]': '0', '*': '1' },
            },
            uploadvolumefactor: { case: { '*': '1' } },
        },
        paths: [{ path: 'torrents-search.php' }],
    },
    encoding: 'UTF-8',
    source: 'cardigann',
};
