"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.definition = void 0;
exports.definition = {
    site: 'uhdbits',
    name: 'UHDBits',
    description: 'A vietnamese general tracker',
    language: 'en-US',
    links: ['https://uhdbits.org/'],
    caps: {
        categorymappings: [
            { id: '1', cat: 'Movies' },
            { id: '2', cat: 'Audio' },
            { id: '3', cat: 'TV' },
            { id: '4', cat: 'Audio' },
            { id: '5', cat: 'PC' },
            { id: '6', cat: 'Other' },
        ],
    },
    login: {
        path: '/login.php',
        form: 'form.auth_form',
        inputs: {
            username: '{{ .Config.username }}',
            password: '{{ .Config.password }}',
            keeplogged: '1',
        },
        error: [
            {
                selector: '.auth_form > .warning',
                message: { selector: '.auth_form > .warning' },
            },
        ],
        test: { path: '/top10.php' },
    },
    ratio: { path: '/top10.php', selector: 'span.r99' },
    search: {
        inputs: {
            $raw: '{{range .Categories}}filter_cat[{{.}}]=1&{{end}}',
            searchstr: '{{ .Query.Keywords }}',
            tags_type: '1',
            order_by: 'time',
            order_way: 'desc',
            action: 'advanced',
            searchsubmit: '1',
        },
        rows: { selector: 'table#torrent_table > tbody > tr.torrent' },
        fields: {
            download: {
                selector: 'a[title="Download"]',
                attribute: 'href',
                filters: [{ name: 'replace', args: ['\t', ' '] }],
            },
            title: {
                selector: 'div.group_info',
                remove: 'span, div.tags',
                filters: [
                    { name: 'replace', args: [' / Free', ''] },
                    { name: 'replace', args: [' / ViE', ''] },
                    { name: 'replace', args: [' / User', ''] },
                    { name: 'replace', args: [' / Exclusive!', ''] },
                    { name: 'replace', args: [' / ↓25%', ''] },
                    { name: 'replace', args: [' / ↓50%', ''] },
                    { name: 'replace', args: [' / ↓75%', ''] },
                    { name: 'replace', args: [' / 2x 50%', ''] },
                    { name: 'replace', args: [' / 2x Free', ''] },
                    { name: 'replace', args: [' / 2x', ''] },
                ],
            },
            downloadvolumefactor: {
                case: {
                    'strong.blink_me:contains("Free")': '0',
                    'strong.blink_me:contains("50")': '0.5',
                    'strong.blink_me:contains("25")': '0.75',
                    'strong.blink_me:contains("75")': '0.25',
                    '*': '1',
                },
            },
            uploadvolumefactor: {
                case: { 'strong.blink_me:contains("2x")': '2', '*': '1' },
            },
            category: {
                selector: 'a[href^="torrents.php?filter_cat"]',
                attribute: 'href',
                filters: [{ name: 'regexp', args: '\\[(\\d+?)\\]' }],
            },
            comments: {
                selector: 'a.torrent_name',
                attribute: 'href',
                filters: [{ name: 'replace', args: ['\t', ' '] }],
            },
            details: {
                selector: 'a.torrent_name',
                attribute: 'href',
                filters: [
                    { name: 'replace', args: ['\t', ' '] },
                    { name: 'regexp', args: '(.*)#torrent\\d+$' },
                ],
            },
            size: { selector: 'td:nth-child(5)' },
            grabs: { selector: 'td:nth-child(6)' },
            files: { selector: 'td:nth-child(3)' },
            seeders: { selector: 'td:nth-child(7)' },
            leechers: { selector: 'td:nth-child(8)' },
            date: {
                selector: 'td:nth-child(4)',
                filters: [{ name: 'append', args: ' ago' }],
            },
        },
        paths: [{ path: '/torrents.php' }],
    },
    encoding: 'UTF-8',
    source: 'cardigann',
};
