"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.definition = void 0;
exports.definition = {
    site: 'worldofp2p',
    name: 'WorldOfP2P',
    description: 'A general tracker',
    language: 'en-US',
    encoding: 'UTF-8',
    links: ['https://worldofp2p.net'],
    caps: {
        categorymappings: [
            { id: '1', cat: 'PC/0day' },
            { id: '2', cat: 'PC/Games' },
            { id: '3', cat: 'Movies/SD' },
            { id: '4', cat: 'Audio/MP3' },
            { id: '5', cat: 'TV/SD' },
            { id: '6', cat: 'XXX/XviD' },
            { id: '7', cat: 'Console/PSP' },
            { id: '8', cat: 'Console/Other' },
            { id: '9', cat: 'TV/Anime' },
            { id: '10', cat: 'Movies/DVD' },
            { id: '11', cat: 'Movies/BluRay' },
            { id: '12', cat: 'PC/Games' },
            { id: '13', cat: 'Audio/Lossless' },
            { id: '14', cat: 'Console/Wii' },
            { id: '15', cat: 'PC/0day' },
            { id: '16', cat: 'PC/Mac' },
            { id: '17', cat: 'PC/Phone-Other' },
            { id: '18', cat: 'Audio' },
            { id: '19', cat: 'Audio/Video' },
            { id: '20', cat: 'Console/Other' },
            { id: '21', cat: 'Console/PS3' },
            { id: '22', cat: 'Console/PS4' },
            { id: '23', cat: 'Console/Other' },
            { id: '24', cat: 'Movies/3D' },
            { id: '25', cat: 'Movies/HD' },
            { id: '26', cat: 'Movies/HD' },
            { id: '27', cat: 'Movies/SD' },
            { id: '28', cat: 'Movies/Other' },
            { id: '29', cat: 'Movies/WEBDL' },
            { id: '30', cat: 'Movies/HD' },
            { id: '31', cat: 'Movies/Other' },
            { id: '32', cat: 'Console' },
            { id: '33', cat: 'Movies/Other' },
            { id: '35', cat: 'TV/SD' },
            { id: '36', cat: 'TV/SD' },
            { id: '37', cat: 'TV/HD' },
            { id: '38', cat: 'TV/HD' },
            { id: '39', cat: 'TV/HD' },
            { id: '41', cat: 'TV' },
            { id: '42', cat: 'TV/WEB-DL' },
            { id: '43', cat: 'Console/Xbox' },
            { id: '44', cat: 'Console/Xbox360' },
            { id: '45', cat: 'Console/Xbox' },
            { id: '46', cat: 'XXX' },
            { id: '47', cat: 'XXX/Imageset' },
            { id: '48', cat: 'XXX/Packs' },
            { id: '49', cat: 'Audio' },
            { id: '50', cat: 'Books' },
            { id: '51', cat: 'Audio/Audiobook' },
            { id: '52', cat: 'Movies/SD' },
            { id: '53', cat: 'Movies/SD' },
            { id: '54', cat: 'TV/HD' },
            { id: '55', cat: 'TV/SD' },
            { id: '56', cat: 'Movies/HD' },
            { id: '57', cat: 'Movies/HD' },
            { id: '58', cat: 'TV/HD' },
        ],
    },
    login: {
        path: '/takelogin.php',
        method: 'post',
        form: 'form',
        inputs: {
            username: '{{ .Config.username }}',
            password: '{{ .Config.password }}',
            login: 'Login',
        },
        error: [{ selector: 'td.stdmsg2' }],
        test: { path: '/usercp.php?action=default' },
    },
    search: {
        inputs: {
            $raw: '{{range .Categories}}c{{.}}=1&{{end}}',
            search: '{{ .Query.Keywords }}',
            incldead: '1',
            searchin: 'title',
        },
        rows: {
            selector: 'table.browsewidth100 > tbody > tr:has(a[href^="download.php?torrent="])',
            filters: [{ name: 'andmatch' }],
        },
        fields: {
            title: { selector: 'a[href^="details.php?id="]' },
            category: {
                selector: 'a[href^="browse.php?cat="]',
                attribute: 'href',
                filters: [{ name: 'querystring', args: 'cat' }],
            },
            comments: {
                selector: 'a[href^="details.php?id="]',
                attribute: 'href',
            },
            download: {
                selector: 'a[href^="download.php?torrent="]',
                attribute: 'href',
            },
            files: { selector: 'td:nth-child(5)' },
            size: { selector: 'td:nth-child(8)' },
            seeders: { selector: 'td:nth-child(10)' },
            leechers: { selector: 'td:nth-child(11)' },
            date: { selector: 'td:nth-child(7)' },
            grabs: {
                selector: 'a[href^="snatches.php?id="]',
                filters: [{ name: 'regexp', args: '(\\d+)' }],
            },
            downloadvolumefactor: {
                case: {
                    'a.info:contains("Free")': '0',
                    'img[src*="/free.png"]': '0',
                    '*': '1',
                },
            },
            uploadvolumefactor: { case: { '*': '1' } },
        },
        paths: [{ path: '/browse.php' }],
    },
    source: 'cardigann',
};
