"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.definition = void 0;
exports.definition = {
    site: 'xthor',
    name: 'Xthor',
    language: 'fr-FR',
    links: ['https://xthor.bz/'],
    caps: {
        categorymappings: [
            { id: '1', cat: 'Movies/BluRay' },
            { id: '2', cat: 'Movies/BluRay' },
            { id: '3', cat: 'Movies/3D' },
            { id: '4', cat: 'Movies/HD' },
            { id: '5', cat: 'Movies/HD' },
            { id: '6', cat: 'Movies/SD' },
            { id: '7', cat: 'Movies/SD' },
            { id: '8', cat: 'Movies/DVD' },
            { id: '9', cat: 'Movies/Other' },
            { id: '12', cat: 'TV/Documentary' },
            { id: '13', cat: 'TV' },
            { id: '14', cat: 'TV/SD' },
            { id: '15', cat: 'TV/HD' },
            { id: '16', cat: 'TV/Other' },
            { id: '17', cat: 'TV/Other' },
            { id: '21', cat: 'PC' },
            { id: '22', cat: 'PC/Mac' },
            { id: '23', cat: 'PC/Phone-Other' },
            { id: '24', cat: 'Books' },
            { id: '25', cat: 'PC/Games' },
            { id: '26', cat: 'Console' },
            { id: '27', cat: 'Console' },
            { id: '28', cat: 'Console/Wii' },
            { id: '29', cat: 'Console/NDS' },
            { id: '30', cat: 'TV' },
            { id: '31', cat: 'Movies' },
            { id: '32', cat: 'TV/Anime' },
            { id: '33', cat: 'TV/Other' },
            { id: '34', cat: 'TV/Sport' },
            { id: '94', cat: 'Movies' },
            { id: '95', cat: 'Movies' },
            { id: '96', cat: 'Books/Magazines' },
            { id: '98', cat: 'TV/Other' },
            { id: '99', cat: 'Books' },
            { id: '100', cat: 'Movies/HD' },
            { id: '101', cat: 'TV/Anime' },
            { id: '102', cat: 'Books/Comics' },
            { id: '103', cat: 'Books' },
            { id: '104', cat: 'TV' },
        ],
    },
    login: {
        path: '/takelogin.php',
        method: 'post',
        form: 'form',
        inputs: {
            username: '{{ .Config.username }}',
            password: '{{ .Config.password }}',
            submitme: 'X',
            returnto: '/',
        },
        test: { path: '/usercp.php' },
    },
    search: {
        inputs: {
            $raw: '{{range .Categories}}c{{.}}=1&{{end}}',
            searchin: 'title',
            incldead: 0,
            group: 0,
            search: '{{ .Query.Keywords }}',
        },
        rows: {
            selector: 'div.article > table:nth-child(11) > tbody > tr:has(a[href^="download.php?torrent="])',
        },
        fields: {
            title: { selector: 'a[href^="details.php?id="]' },
            category: {
                selector: 'a[href^="browse.php?cat="]',
                attribute: 'href',
                filters: [{ name: 'querystring', args: 'cat' }],
            },
            comments: {
                selector: 'a[href^="details.php?id="]',
                attribute: 'href',
            },
            download: {
                selector: 'a[href^="download.php?torrent="]',
                attribute: 'href',
            },
            size: {
                selector: 'td:nth-child(6)',
                filters: [
                    { name: 'replace', args: ['Gio', 'gb'] },
                    { name: 'replace', args: ['Mio', 'mb'] },
                    { name: 'replace', args: ['Kio', 'kb'] },
                ],
            },
            seeders: { selector: 'td:nth-child(8)' },
            leechers: { selector: 'td:nth-child(9)' },
            date: {
                selector: 'td:nth-child(2) > a',
                attribute: 'onmouseover',
                filters: [
                    { name: 'replace', args: [' ', ''] },
                    { name: 'regexp', args: 'Ajouté le: </u>(?:<?)(.+?)</b>' },
                ],
            },
            downloadvolumefactor: {
                case: { 'img[src*="/freedownload.gif"]': '0', '*': '1' },
            },
            uploadvolumefactor: { case: { '*': '1' } },
            grabs: { selector: 'td:nth-child(7) > a' },
        },
        paths: [{ path: 'browse.php' }],
    },
    encoding: 'UTF-8',
    source: 'cardigann',
};
