"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.definition = void 0;
exports.definition = {
    site: 'audiobooktorrents',
    name: 'Audiobook Torrents',
    description: 'Audiobook Torrents (ABT) is a Private Torrent Tracker for AUDIOBOOKS',
    language: 'en-US',
    type: 'private',
    encoding: 'UTF-8',
    links: ['https://abtorrents.me/'],
    caps: {
        categorymappings: [
            { id: '10', cat: 'Audio/Audiobook', desc: 'Adventure' },
            { id: '20', cat: 'Audio/Audiobook', desc: 'Biographies & Memoirs' },
            { id: '30', cat: 'Audio/Audiobook', desc: 'Business ' },
            { id: '40', cat: 'Audio/Audiobook', desc: 'Childrens' },
            { id: '50', cat: 'Audio/Audiobook', desc: 'Comedy' },
            { id: '60', cat: 'Audio/Audiobook', desc: 'Comics' },
            { id: '70', cat: 'Audio/Audiobook', desc: 'Computers ' },
            { id: '80', cat: 'Audio/Audiobook', desc: 'Erotica' },
            { id: '90', cat: 'Audio/Audiobook', desc: 'Fantasy-General' },
            { id: '100', cat: 'Audio/Audiobook', desc: 'Fantasy-Youth' },
            { id: '110', cat: 'Audio/Audiobook', desc: 'Files' },
            { id: '120', cat: 'Audio/Audiobook', desc: 'Foreign Language' },
            { id: '130', cat: 'Audio/Audiobook', desc: 'General Fiction' },
            { id: '140', cat: 'Audio/Audiobook', desc: 'Historical Fiction' },
            { id: '150', cat: 'Audio/Audiobook', desc: 'History' },
            { id: '160', cat: 'Audio/Audiobook', desc: 'Horror' },
            { id: '170', cat: 'Audio/Audiobook', desc: 'Literature ' },
            { id: '180', cat: 'Audio/Audiobook', desc: 'Mystery ' },
            { id: '190', cat: 'Audio/Audiobook', desc: 'Non-Fiction' },
            { id: '200', cat: 'Audio/Audiobook', desc: 'Radio Drama' },
            { id: '210', cat: 'Audio/Audiobook', desc: 'Romance' },
            { id: '235', cat: 'Audio/Audiobook', desc: 'Sci-Fi Apocalypse' },
            { id: '220', cat: 'Audio/Audiobook', desc: 'Science' },
            { id: '230', cat: 'Audio/Audiobook', desc: 'Science Fiction ' },
            { id: '240', cat: 'Audio/Audiobook', desc: 'Self Improvement' },
            { id: '250', cat: 'Audio/Audiobook', desc: 'Suspense' },
            { id: '260', cat: 'Audio/Audiobook', desc: 'Talk Radio' },
            { id: '245', cat: 'Audio/Audiobook', desc: 'Thriller' },
            { id: '270', cat: 'Audio/Audiobook', desc: 'Urban Fantasy' },
            { id: '280', cat: 'Audio/Audiobook', desc: 'Western' },
        ],
        modes: { search: ['q'] },
    },
    settings: [
        { name: 'username', type: 'text', label: 'Username' },
        { name: 'password', type: 'password', label: 'Password' },
        {
            name: 'info_results',
            type: 'info',
            label: 'Search results',
            default: 'If you are getting the error <b>Login Failed, got redirected</b> then access the site with your browser and <b>mark as read</b> all PMs.',
        },
    ],
    login: {
        path: 'takelogin.php',
        method: 'post',
        inputs: {
            username: '{{ .Config.username }}',
            password: '{{ .Config.password }}',
            use_ssl: 1,
            perm_ssl: 1,
            submitme: 'X',
        },
        error: [
            { selector: 'td.embedded:has(h2:contains("Oops"))' },
            { selector: 'td.embedded:has(h2:contains("failed"))' },
        ],
        test: { path: 'browse.php' },
    },
    search: {
        paths: [{ path: 'browse.php' }],
        inputs: {
            $raw: '{{range .Categories}}c{{.}}=1&{{end}}',
            search: '{{ .Keywords }}',
            searchin: 'title',
            incldead: 1,
        },
        rows: {
            selector: 'tr.browse_color, tr.freeleech_color, tr[id^="kdescr"]',
            after: 1,
        },
        fields: {
            category: {
                selector: 'a[href^="browse.php?cat="]',
                attribute: 'href',
                filters: [{ name: 'querystring', args: 'cat' }],
            },
            title: {
                selector: 'a[href^="details.php?id="][onmouseover]',
                attribute: 'onmouseover',
                filters: [
                    { name: 'regexp', args: "Tip\\('<b>(.*?)</b>" },
                    { name: 'replace', args: ['\\', ''] },
                ],
            },
            details: {
                selector: 'a[href^="details.php?id="][onmouseover]',
                attribute: 'href',
            },
            download: {
                selector: 'a[href^="download.php"]',
                attribute: 'href',
            },
            banner: {
                selector: 'a[href^="details.php?id="][onmouseover]',
                attribute: 'onmouseover',
                filters: [{ name: 'regexp', args: "src=\\'(.*?)\\'" }],
            },
            description: {
                selector: 'td[colspan="13"]',
                filters: [{ name: 'prepend', args: '{{ .Result.description }}<br>\n' }],
            },
            files: { selector: 'td:nth-last-child(9)' },
            date: { selector: 'td:nth-last-child(7)' },
            size: { selector: 'td:nth-last-child(6)' },
            grabs: {
                selector: 'td:nth-last-child(5)',
                filters: [{ name: 'regexp', args: '(\\d+)' }],
            },
            seeders: { selector: 'td:nth-last-child(4)' },
            leechers: { selector: 'td:nth-last-child(3)' },
            downloadvolumefactor: {
                case: { 'a.info > b:contains("[FREE]")': 0, '*': 1 },
            },
            uploadvolumefactor: { text: 1 },
        },
    },
    source: 'jackett',
};
