"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.definition = void 0;
exports.definition = {
    site: 'crazyscorner',
    name: "Crazy's Corner",
    description: "Crazy's Corner is a Private Torrent Tracker for MUSIC",
    language: 'en-US',
    type: 'private',
    encoding: 'UTF-8',
    links: ['http://crazys-corner.info/'],
    caps: {
        categorymappings: [
            { id: '1', cat: 'Audio', desc: 'Alternative' },
            { id: '2', cat: 'Audio', desc: '  |-- ' },
            { id: '3', cat: 'Audio', desc: 'Blues' },
            { id: '35', cat: 'Audio', desc: 'Christmas Music' },
            { id: '4', cat: 'Audio', desc: 'Classic Rock' },
            { id: '6', cat: 'Audio', desc: 'Country' },
            { id: '7', cat: 'Audio', desc: 'Dance' },
            { id: '8', cat: 'Audio', desc: 'Disco' },
            { id: '9', cat: 'Audio', desc: 'Electronic' },
            { id: '10', cat: 'Audio', desc: 'Folk' },
            { id: '11', cat: 'Audio', desc: 'Gospel' },
            { id: '37', cat: 'Audio', desc: 'HardCore' },
            { id: '12', cat: 'Audio', desc: 'Heavy-Metal' },
            { id: '13', cat: 'Audio', desc: 'Hip-Hop' },
            { id: '14', cat: 'Audio', desc: 'Jazz' },
            { id: '15', cat: 'Audio', desc: 'Karaoke' },
            { id: '16', cat: 'Audio', desc: 'Metal' },
            { id: '34', cat: 'Audio', desc: 'Misc Compilation Albums Packs' },
            { id: '17', cat: 'Audio', desc: 'Music Apps' },
            { id: '18', cat: 'Audio', desc: 'Music Video' },
            { id: '19', cat: 'Audio', desc: 'Opera' },
            { id: '20', cat: 'Audio', desc: 'Pop' },
            { id: '21', cat: 'Audio', desc: 'Punk' },
            { id: '22', cat: 'Audio', desc: 'Punk Pop' },
            { id: '24', cat: 'Audio', desc: 'R & B' },
            { id: '23', cat: 'Audio', desc: 'Rap' },
            { id: '25', cat: 'Audio', desc: 'Reggae' },
            { id: '26', cat: 'Audio', desc: 'Rock' },
            { id: '27', cat: 'Audio', desc: 'Rock-70s' },
            { id: '28', cat: 'Audio', desc: 'Rock-80s' },
            { id: '29', cat: 'Audio', desc: 'Soul' },
            { id: '30', cat: 'Audio', desc: 'Sound Tracks' },
            { id: '31', cat: 'Audio', desc: 'Techno' },
            { id: '32', cat: 'Audio', desc: 'Teen-Pop' },
            { id: '33', cat: 'Audio', desc: 'Trance' },
        ],
        modes: {
            search: ['q'],
            'music-search': ['q', 'album', 'artist', 'label', 'year'],
        },
    },
    settings: [
        { name: 'username', type: 'text', label: 'Username' },
        { name: 'password', type: 'password', label: 'Password' },
        {
            name: 'sort',
            type: 'select',
            label: 'Sort requested from site',
            default: 'added',
            options: {
                added: 'created',
                seeders: 'seeders',
                size: 'size',
                name: 'title',
            },
        },
        {
            name: 'type',
            type: 'select',
            label: 'Order requested from site',
            default: 'desc',
            options: { desc: 'desc', asc: 'asc' },
        },
    ],
    login: {
        path: 'takelogin.php',
        method: 'post',
        inputs: {
            username: '{{ .Config.username }}',
            password: '{{ .Config.password }}',
            submit: 'LOGIN',
        },
        error: [{ selector: 'table:contains("ERROR")' }],
        test: {
            path: 'index.php',
            selector: 'a[href*="/logout.php?logouthash="]',
        },
    },
    download: {
        before: {
            path: 'takethanks.php',
            method: 'post',
            inputs: { torrentid: '{{ .DownloadUri.Query.id }}' },
        },
        selector: 'a[href*="/download.php?id="]',
        attribute: 'href',
    },
    search: {
        paths: [{ path: 'browse.php', method: 'post' }],
        inputs: {
            do: 'search',
            keywords: '{{if or (.Query.Album) (.Query.Artist) }}{{ or (.Query.Album) (.Query.Artist) }}{{else}}{{ .Keywords }}{{end}}',
            category: '{{ if .Categories }}{{ range .Categories }}{{.}};{{end}}{{else}}0{{end}}',
            search_type: 't_name',
            include_dead_torrents: 'yes',
            sort: '{{ .Config.sort }}',
            order: '{{ .Config.type }}',
        },
        rows: {
            selector: 'table.sortable tr:has(a[href*="/download.php?id="])',
        },
        fields: {
            category: {
                selector: 'a[href*="/browse.php?category="]',
                attribute: 'href',
                filters: [{ name: 'querystring', args: 'category' }],
            },
            title: { selector: 'div.tooltip-content > div', optional: true },
            details: {
                selector: 'a[href*="/details.php?id="]',
                attribute: 'href',
            },
            download: {
                selector: 'a[href*="/details.php?id="]',
                attribute: 'href',
            },
            banner: {
                selector: 'img[src*="/torrents/images/"]',
                attribute: 'src',
            },
            date: {
                selector: 'td:nth-child(2)',
                filters: [
                    { name: 'regexp', args: '(\\d{2}-\\d{2}-\\d{4} \\d{2}:\\d{2})' },
                    { name: 'dateparse', args: '02-01-2006 15:04' },
                ],
            },
            size: { selector: 'td:nth-last-child(5)' },
            grabs: { selector: 'td:nth-last-child(4)' },
            seeders: { selector: 'td:nth-last-child(3)' },
            leechers: { selector: 'td:nth-last-child(2)' },
            downloadvolumefactor: {
                case: {
                    'img[src$="_flags/freedownload.gif"]': 0,
                    'img[src$="_flags/silverdownload.gif"]': 0.5,
                    '*': 1,
                },
            },
            uploadvolumefactor: {
                case: { 'img[src$="_flags/x2.gif"]': 2, '*': 1 },
            },
        },
    },
    source: 'jackett',
};
