"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.definition = void 0;
exports.definition = {
    site: 'crnaberza',
    name: 'CrnaBerza',
    description: 'Crna Berza is a BALKAN Private Torrent Tracker for MOVIES / TV / GENERAL',
    language: 'sr-SP',
    type: 'private',
    encoding: 'UTF-8',
    links: ['http://www.crnaberza.com/'],
    caps: {
        categorymappings: [
            { id: '65', cat: 'Movies/3D', desc: '3D Film' },
            { id: '37', cat: 'Movies', desc: 'Deca' },
            { id: '43', cat: 'TV/Documentary', desc: 'Dokumentarci' },
            { id: '52', cat: 'Movies/DVD', desc: 'Film/DVD Domaće' },
            { id: '20', cat: 'Movies/DVD', desc: 'Film/DVD Strano' },
            { id: '73', cat: 'Movies/HD', desc: 'Film/HD Domaće' },
            { id: '48', cat: 'Movies/HD', desc: 'Film/HD Strano' },
            { id: '29', cat: 'Movies/SD', desc: 'Film/SD Domaće' },
            { id: '54', cat: 'Movies/SD', desc: 'Film/SD Strano' },
            { id: '64', cat: 'Movies/HD', desc: 'HD Boxset' },
            { id: '61', cat: 'Movies/HD', desc: 'HD Mesano' },
            { id: '50', cat: 'PC/Games', desc: 'Igre' },
            { id: '44', cat: 'Books', desc: 'Knjige' },
            { id: '46', cat: 'Audio', desc: 'Koncerti' },
            { id: '58', cat: 'Audio/Lossless', desc: 'Lossless/Domaće' },
            { id: '59', cat: 'Audio/Lossless', desc: 'Lossless/Strano' },
            { id: '5', cat: 'Audio/MP3', desc: 'MP3/Domaće' },
            { id: '57', cat: 'Audio/MP3', desc: 'MP3/Strano' },
            { id: '49', cat: 'PC', desc: 'Programi' },
            { id: '28', cat: 'Other', desc: 'Razno' },
            { id: '62', cat: 'TV/SD', desc: 'SD Boxset' },
            { id: '38', cat: 'TV/Sport', desc: 'Sport' },
            { id: '39', cat: 'Audio/Video', desc: 'Spotovi DVD' },
            { id: '45', cat: 'Books/Comics', desc: 'Stripovi' },
            { id: '75', cat: 'TV/HD', desc: 'TV/HD Domaće' },
            { id: '77', cat: 'TV/HD', desc: 'TV/HD Strano' },
            { id: '78', cat: 'TV/Other', desc: 'TV/ostalo' },
            { id: '30', cat: 'TV/SD', desc: 'TV/SD Domaće' },
            { id: '34', cat: 'TV/SD', desc: 'TV/SD Strano' },
            { id: '60', cat: 'XXX', desc: 'XXX/Domace' },
            { id: '63', cat: 'XXX', desc: 'XXX/Strano' },
        ],
        modes: {
            search: ['q'],
            'tv-search': ['q', 'season', 'ep'],
            'movie-search': ['q'],
        },
    },
    settings: [
        { name: 'username', type: 'text', label: 'Username' },
        { name: 'password', type: 'password', label: 'Password' },
        {
            name: 'info',
            type: 'info',
            label: 'Results Per Page',
            default: "For best results, change the 'Torrents per page' setting to 100 on your 'Personal Options' from the 'Personal' menu on the Crna Berza webpage.",
        },
        {
            name: 'sort',
            type: 'select',
            label: 'Sort requested from site',
            default: '4',
            options: { '1': 'title', '4': 'created', '5': 'size', '7': 'seeders' },
        },
        {
            name: 'type',
            type: 'select',
            label: 'Order requested from site',
            default: 'desc',
            options: { desc: 'desc', asc: 'asc' },
        },
    ],
    login: {
        path: 'login.php',
        method: 'form',
        form: 'form[action="takelogin.php"]',
        inputs: {
            username: '{{ .Config.username }}',
            password: '{{ .Config.password }}',
        },
        error: [{ selector: 'h2', message: { selector: 'table tr td.text' } }],
        test: { path: 'browse.php', selector: 'a[href$="/logout.php"]' },
    },
    ratio: {
        path: 'browse.php',
        selector: 'div div font:contains("Ratio:")',
        filters: [{ name: 'regexp', args: 'Ratio:\\s(.*?)\\s\\s' }],
    },
    search: {
        paths: [{ path: 'browse.php' }],
        inputs: {
            $raw: '{{ range .Categories }}c{{.}}=1&{{end}}',
            search: '{{ .Keywords }}',
            blah: 0,
            incldead: 1,
            sort: '{{ .Config.sort }}',
            type: '{{ .Config.type }}',
        },
        rows: { selector: 'tr:has(td.trowtorrent)' },
        fields: {
            category: {
                selector: 'td:nth-of-type(1) a',
                attribute: 'href',
                filters: [{ name: 'regexp', args: '[-](\\d{1,2})$' }],
            },
            title: { selector: 'td:nth-of-type(2) a' },
            details: { selector: 'td:nth-of-type(2) a', attribute: 'href' },
            download: { selector: 'td:nth-of-type(3) a', attribute: 'href' },
            files: { selector: 'td:nth-of-type(4)' },
            date: {
                optional: true,
                selector: 'td:nth-of-type(6):not(:contains("Juče")):not(:contains("Danas"))',
                filters: [{ name: 'dateparse', args: 'Jan 2 2006 03:04 PM' }],
            },
            size: { selector: 'td:nth-of-type(7)' },
            grabs: {
                selector: 'td:nth-of-type(8) a',
                filters: [{ name: 'regexp', args: '([\\d]+)' }],
            },
            seeders: { selector: 'td:nth-of-type(9)' },
            leechers: { selector: 'td:nth-of-type(10)' },
            downloadvolumefactor: {
                case: { 'img[src$="/pic/freedownload.gif"]': 0, '*': 1 },
            },
            uploadvolumefactor: { text: 1 },
        },
    },
    source: 'jackett',
};
