"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.definition = void 0;
exports.definition = {
    site: 'ebookparadijs',
    name: 'EbookParadijs',
    description: 'EbookParadijs is a DUTCH Private Tracker for EBOOKS',
    language: 'nl-NL',
    type: 'private',
    encoding: 'UTF-8',
    links: ['https://www.ebookparadijs.org/'],
    caps: {
        categorymappings: [
            { id: '2', cat: 'Books/Ebook', desc: 'Roman' },
            { id: '3', cat: 'Books/Ebook', desc: 'Thriller' },
            { id: '4', cat: 'Books/Ebook', desc: 'Diverse' },
            { id: '7', cat: 'Books/Ebook', desc: 'Jeugd' },
            { id: '8', cat: 'Books/Ebook', desc: 'Oorlog' },
            { id: '9', cat: 'Books/Ebook', desc: 'Luisterboeken' },
            { id: '10', cat: 'Books/Ebook', desc: 'Stripboeken' },
            { id: '11', cat: 'Books/Ebook', desc: 'Crime' },
            { id: '13', cat: 'Books/Ebook', desc: 'Detective' },
            { id: '15', cat: 'Books/Ebook', desc: 'erothiek' },
            { id: '16', cat: 'Books/Ebook', desc: 'tijdschriften' },
            { id: '17', cat: 'Books/Ebook', desc: 'hobby' },
            { id: '19', cat: 'Books/Ebook', desc: 'medisch' },
            { id: '21', cat: 'Books/Ebook', desc: 'sport' },
            { id: '50', cat: 'Books/Ebook', desc: 'Kookboeken' },
            { id: '51', cat: 'Books/Ebook', desc: 'Fantasy' },
            { id: '52', cat: 'Books/Ebook', desc: 'Kerst' },
            { id: '53', cat: 'Books/Ebook', desc: 'Waargebeurd' },
        ],
        modes: { search: ['q'] },
    },
    login: {
        path: 'takelogin.php',
        method: 'post',
        inputs: {
            username: '{{ .Config.username }}',
            password: '{{ .Config.password }}',
        },
        error: [
            {
                selector: 'table[border="0"][cellspacing="0"][cellpadding="10"] tr td font[color="orange"]',
            },
        ],
        test: { path: '/', selector: ':has(a[href="logout.php"])' },
    },
    search: {
        paths: [{ path: 'browse.php' }],
        inputs: {
            $raw: '{{ range .Categories }}c{{.}}=1&{{end}}',
            search: '{{ .Keywords }}',
            incldead: 1,
        },
        rows: {
            selector: 'table.mainouter',
            filters: [{ name: 'andmatch' }],
        },
        fields: {
            category: {
                selector: 'a[href^="browse.php?cat="]',
                attribute: 'href',
                filters: [{ name: 'querystring', args: 'cat' }],
            },
            banner: { selector: 'img[src*="/covers/"]', attribute: 'src' },
            title: { selector: 'a[href^="details.php?id="]' },
            details: {
                selector: 'a[href^="details.php?id="]',
                attribute: 'href',
            },
            download: {
                selector: 'a[href^="details.php?id="]',
                attribute: 'href',
                filters: [{ name: 'replace', args: ['details', 'download'] }],
            },
            size: {
                selector: 'td:nth-child(4) table tr td:nth-child(2)',
                filters: [{ name: 'regexp', args: '(.+?) in' }],
            },
            files: {
                selector: 'td:nth-child(4) table tr td:nth-child(2)',
                filters: [{ name: 'regexp', args: 'in (\\d+) bestan' }],
            },
            grabs: {
                selector: 'td:nth-child(4) table tr:nth-child(2) td:nth-child(1)',
                filters: [{ name: 'regexp', args: '(\\d+)' }],
            },
            date: {
                selector: 'td:nth-child(4) table tr:nth-child(2) td:last-child',
                filters: [
                    { name: 'replace', args: ['januari', 'January'] },
                    { name: 'replace', args: ['februari', 'February'] },
                    { name: 'replace', args: ['maart', 'March'] },
                    { name: 'replace', args: ['april', 'April'] },
                    { name: 'replace', args: ['mei', 'May'] },
                    { name: 'replace', args: ['juni', 'June'] },
                    { name: 'replace', args: ['juli', 'July'] },
                    { name: 'replace', args: ['augustus', 'August'] },
                    { name: 'replace', args: ['september', 'September'] },
                    { name: 'replace', args: ['oktober', 'October'] },
                    { name: 'replace', args: ['november', 'November'] },
                    { name: 'replace', args: ['december', 'December'] },
                    { name: 're_replace', args: ['\\s*om\\s*', ' '] },
                    { name: 'dateparse', args: '2 January 2006 15:04:05' },
                ],
            },
            seeders: {
                optional: true,
                selector: 'td:nth-child(4) table tr:nth-child(3) td:nth-child(5)  font b',
            },
            leechers: {
                optional: true,
                selector: 'td:nth-child(4) table tr:nth-child(3) td:nth-child(5) font font b',
            },
            downloadvolumefactor: {
                case: { 'img[src="pic/freedlfsu.gif"]': 0, '*': 1 },
            },
            uploadvolumefactor: { text: 1 },
        },
    },
    source: 'jackett',
};
