"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.definition = void 0;
exports.definition = {
    site: 'estrenosdtl',
    name: 'EstrenosDTL',
    description: 'EstrenosDTL is a SPANISH Public tracker for MOVIES',
    language: 'es-ES',
    type: 'public',
    encoding: 'UTF-8',
    links: ['https://www.estrenosdtl.la/'],
    caps: {
        modes: { search: ['q'] },
        categorymappings: [
            { id: '1080P', cat: 'Movies/HD' },
            { id: '720P', cat: 'Movies/HD' },
            { id: 'BR-RIP', cat: 'Movies/BluRay' },
            { id: 'BR-SCREENER', cat: 'Movies/Other' },
            { id: 'DVDRIP', cat: 'Movies/DVD' },
            { id: 'DVDSCREENER', cat: 'Movies/Other' },
            { id: 'HC HDRIP', cat: 'Movies/HD' },
            { id: 'HD-RIP', cat: 'Movies/HD' },
            { id: 'HD-TC', cat: 'Movies/HD' },
            { id: 'HD-TS', cat: 'Movies/HD' },
            { id: 'HDRIP', cat: 'Movies/HD' },
            { id: 'HDTC-SCREENER', cat: 'Movies/Other' },
            { id: 'HDTV-SCREENER', cat: 'Movies/Other' },
            { id: 'HQ-TC', cat: 'Movies' },
            { id: 'MKV', cat: 'Movies' },
            { id: 'TELECINE', cat: 'Movies' },
            { id: 'TS-HQ', cat: 'Movies' },
            { id: 'TS-SCREENER', cat: 'Movies/Other' },
            { id: 'V.O. SUBTITULADAS', cat: 'Movies' },
            { id: 'VHS-SCREENER', cat: 'Movies/Other' },
            { id: 'Web DL', cat: 'Movies/WEBDL' },
            { id: 'WEB-RIP', cat: 'Movies/WEBDL' },
            { id: 'WEB-SCREENER', cat: 'Movies/Other' },
            { id: 'WEB-SCREENER HC', cat: 'Movies/Other' },
            { id: 'NOCAT', cat: 'Movies/Other' },
        ],
    },
    settings: [],
    download: {
        selector: 'a.linktorrent',
        attribute: 'href',
        filters: [
            {
                name: 'replace',
                args: ['https://www.estrenosdtl1.net/', '{{ .Config.sitelink }}'],
            },
        ],
    },
    search: {
        paths: [{ path: '/' }],
        inputs: { s: '{{ .Keywords }}' },
        rows: { selector: 'div.new_post', filters: [{ name: 'andmatch' }] },
        fields: {
            title: { selector: 'div.nombre_big1 a' },
            details: { selector: 'div.nombre_big1 a', attribute: 'href' },
            category: { text: 'NOCAT' },
            'category|noappend': {
                selector: 'div.nombre_big1 p b',
                optional: true,
                filters: [{ name: 'toupper' }],
            },
            download: { selector: 'div.nombre_big1 a', attribute: 'href' },
            date: {
                selector: 'div.fecha p',
                filters: [{ name: 'dateparse', args: '02-01-2006' }],
            },
            size: { selector: 'div.tamanio p', optional: true },
            seeders: { text: 1 },
            leechers: { text: 1 },
            downloadvolumefactor: { text: 0 },
            uploadvolumefactor: { text: 1 },
        },
    },
    source: 'jackett',
};
