"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.definition = void 0;
exports.definition = {
    site: 'filebase',
    name: 'Filebase',
    description: 'Filebase is a RUSSIAN Public Torrent Tracker for MOVIES / TV / GENERAL',
    language: 'ru-RU',
    type: 'public',
    encoding: 'UTF-8',
    links: ['http://www.filebase.ws/'],
    caps: {
        categorymappings: [
            { id: 'cartoons', cat: 'Movies', desc: 'Мультики (cartoons)' },
            { id: 'tv', cat: 'TV', desc: 'ТВ Передача (tv)' },
            { id: 'sport', cat: 'Movies', desc: 'Спорт (sport)' },
            { id: 'action', cat: 'Movies', desc: 'Боевик (action)' },
            { id: 'comedy', cat: 'Movies', desc: 'Комедия (comedy)' },
            { id: 'thriller', cat: 'Movies', desc: 'Триллер (thriller)' },
            { id: 'classic', cat: 'Movies', desc: 'Классика (classic)' },
            { id: 'history', cat: 'Movies', desc: 'Исторический (history)' },
            { id: 'mystic', cat: 'Movies', desc: 'Мистика (mystic)' },
            { id: 'sci-fi', cat: 'Movies', desc: 'Фантастика (sci-fi)' },
            { id: 'horror', cat: 'Movies', desc: 'Ужасы (horror)' },
            { id: 'drama', cat: 'Movies', desc: 'Драма (drama)' },
            { id: 'adventure', cat: 'Movies', desc: 'Приключения (adventure)' },
            { id: 'detective', cat: 'Movies', desc: 'Детектив (detective)' },
            { id: 'concert', cat: 'Movies', desc: 'Концерт (concert)' },
            { id: 'anime', cat: 'TV/Anime', desc: 'Аниме (anime)' },
            { id: 'epic', cat: 'Movies', desc: 'Мелодрама (epic)' },
            {
                id: 'documental',
                cat: 'TV/Documentary',
                desc: 'Док. Фильм (documental)',
            },
            { id: 'serials', cat: 'TV', desc: 'Сериал (serials)' },
            { id: 'fantasy', cat: 'Movies', desc: 'Фентези (fantasy)' },
            { id: 'war', cat: 'Movies', desc: 'Военный (war)' },
            { id: 'family', cat: 'Movies', desc: 'Семейный (family)' },
            { id: 'tales', cat: 'Movies', desc: 'Сказка (tales)' },
            {
                id: 'catastroph',
                cat: 'Movies',
                desc: 'Катастрофа (catastroph)',
            },
            { id: 'games', cat: 'Console', desc: 'Игры (games)' },
            { id: 'software', cat: 'PC', desc: 'Программы (software)' },
            {
                id: 'videoclips',
                cat: 'Audio/Video',
                desc: 'Видеоклип (videoclips)',
            },
            { id: 'wallpapers', cat: 'Other', desc: 'Картинки (wallpapers)' },
            { id: 'eng-music', cat: 'Audio', desc: 'Eng Музыка (eng-music)' },
            { id: 'rus-music', cat: 'Audio', desc: 'Rus Музыка (rus-music)' },
            { id: 'books', cat: 'Books', desc: 'Книги (books)' },
            { id: 'phone', cat: 'PC/Phone-Other', desc: 'Телефон (phone)' },
        ],
        modes: {
            search: ['q'],
            'tv-search': ['q', 'season', 'ep'],
            'movie-search': ['q'],
        },
    },
    settings: [
        {
            name: 'striprussian',
            type: 'checkbox',
            label: 'Strip Russian Letters',
            default: false,
        },
        {
            name: 'cat',
            type: 'select',
            label: 'Category',
            default: '0',
            options: {
                '0': 'all',
                cartoons: 'Мультики (cartoons)',
                tv: 'ТВ Передача (tv)',
                sport: 'Спорт (sport)',
                action: 'Боевик (action)',
                comedy: 'Комедия (comedy)',
                thriller: 'Триллер (thriller)',
                classic: 'Классика (classic)',
                history: 'Исторический (history)',
                mystic: 'Мистика (mystic)',
                'sci-fi': 'Фантастика (sci-fi)',
                horror: 'Ужасы (horror)',
                drama: 'Драма (drama)',
                adventure: 'Приключения (adventure)',
                detective: 'Детектив (detective)',
                concert: 'Концерт (concert)',
                anime: 'Аниме (anime)',
                epic: 'Мелодрама (epic)',
                documental: 'Док. Фильм (documental)',
                serials: 'Сериал (serials)',
                fantasy: 'Фентези (fantasy)',
                war: 'Военный (war)',
                family: 'Семейный (family)',
                tales: 'Сказка (tales)',
                catastroph: 'Катастрофа (catastroph)',
                games: 'Игры (games)',
                software: 'Программы (software)',
                videoclips: 'Видеоклип (videoclips)',
                wallpapers: 'Картинки (wallpapers)',
                'eng-music': 'Eng Музыка (eng-music)',
                'rus-music': 'Rus Музыка (rus-music)',
                books: 'Книги (books)',
                phone: 'Телефон (phone)',
            },
        },
        {
            name: 'sort',
            type: 'select',
            label: 'Sort requested from site',
            default: 'dateD',
            options: {
                dateD: 'created desc',
                dateA: 'created asc',
                seedD: 'seeders desc',
                seedA: 'seeders asc',
                sizeD: 'size desc',
                sizeA: 'size asc',
            },
        },
    ],
    search: {
        paths: [{ path: 'torrents/search/' }],
        keywordsfilters: [
            { name: 'diacritics', args: 'replace' },
            { name: 're_replace', args: ['(?i)\\bS0*(\\d+)\\b', '$1'] },
            {
                name: 're_replace',
                args: ['(?i)\\bS0*(\\d+)E0*(\\d+)\\b', '$1 $2'],
            },
        ],
        inputs: {
            t: 'all',
            c: '{{ .Config.cat }}',
            s: '{{ .Config.sort }}',
            search: '{{ .Keywords }}',
        },
        rows: { selector: 'table#torrents_list > tbody > tr[data-fid]' },
        fields: {
            category: {
                selector: 'td:nth-child(1) a',
                attribute: 'href',
                filters: [{ name: 'split', args: ['/', 2] }],
            },
            torrent_id: {
                selector: 'td:nth-last-child(8) a',
                attribute: 'href',
                filters: [{ name: 'split', args: ['/', 3] }],
            },
            title: {
                selector: 'td:nth-last-child(8) a',
                filters: [
                    { name: 'replace', args: [' [/|:|\\||\\.] ', ' '] },
                    { name: 'replace', args: ['Кураж-Бамбей', 'kurazh'] },
                    { name: 'replace', args: ['Кубик в Кубе', 'Kubik'] },
                    { name: 'replace', args: ['Кравец', 'Kravec'] },
                    {
                        name: 're_replace',
                        args: [
                            '\\((\\d+)\\s+[Сс]езон:\\s+(?:(\\d+-*\\d*)\\s+[Сс]ери[ия]\\s+.*\\d+)\\)(.*)\\s\\[([12][0-9]{3})\\]\\s(.*)',
                            '$3 - S$1E$2 - rus $5',
                        ],
                    },
                    {
                        name: 're_replace',
                        args: [
                            '\\((\\d+)\\s+[Сс]езон:\\s+(\\d+)\\s+[Сс]ери[ия]\\)(.*)\\s\\[([12][0-9]{3})\\]\\s(.*)',
                            'S$1E$2 - rus $3',
                        ],
                    },
                    {
                        name: 're_replace',
                        args: [
                            '\\((?:(\\d+-*\\d*)\\s+[Сс]ери[ия]\\s+.*\\d+)\\)(.*)\\s\\[([12][0-9]{3})\\]\\s(.*)',
                            '$2 - S1E$1 - rus $4',
                        ],
                    },
                    {
                        name: 're_replace',
                        args: [
                            '(\\([А-Яа-яЁё\\W]+\\))|(^[А-Яа-яЁё\\W\\d]+\\/ )|([а-яА-ЯЁё \\-]+,+)|([а-яА-ЯЁё]+)',
                            '{{ if .Config.striprussian }}{{ else }}$1$2$3$4{{ end }}',
                        ],
                    },
                    { name: 're_replace', args: ['\\((\\d+[p|i])\\)', '$1'] },
                    { name: 'replace', args: ['-Rip', 'Rip'] },
                    { name: 'replace', args: ['WEB-DL', 'WEBDL'] },
                    { name: 'replace', args: ['WEBDLRip', 'WEBDL'] },
                    { name: 'replace', args: ['HDTVRip', 'HDTV'] },
                ],
            },
            details: { selector: 'td:nth-last-child(8) a', attribute: 'href' },
            download: {
                text: '{{ .Config.sitelink }}download.php?id={{ .Result.torrent_id }}',
            },
            date: {
                selector: 'td:nth-child(4)',
                filters: [{ name: 'dateparse', args: '02/01/06' }],
            },
            size: {
                selector: 'td:nth-child(5)',
                filters: [
                    { name: 'replace', args: ['ТБ', 'TB'] },
                    { name: 'replace', args: ['ГБ', 'GB'] },
                    { name: 'replace', args: ['МБ', 'MB'] },
                    { name: 'replace', args: ['КБ', 'KB'] },
                ],
            },
            seeders: { selector: 'td:nth-child(7)' },
            leechers: { selector: 'td:nth-child(8)' },
            grabs: { selector: 'td:nth-child(9)' },
            downloadvolumefactor: { text: 0 },
            uploadvolumefactor: { text: 1 },
        },
    },
    source: 'jackett',
};
