"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.definition = void 0;
exports.definition = {
    site: 'film-paleis',
    name: 'Film-Paleis',
    description: 'Film-Paleis is a DUTCH Private Torrent Tracker for MOVIES / TV / GENERAL',
    language: 'nl-NL',
    type: 'private',
    encoding: 'UTF-8',
    links: ['https://www.film-paleis.me/'],
    legacylinks: ['http://www.film-paleis.me/'],
    caps: {
        categorymappings: [
            { id: '2', cat: 'Movies/BluRay', desc: ' Bluray/HD' },
            { id: '3', cat: 'Movies/DVD', desc: ' DVD Kids' },
            { id: '4', cat: 'Audio/Video', desc: ' DVD Muziek' },
            { id: '5', cat: 'Movies/DVD', desc: ' DVD Films' },
            { id: '7', cat: 'Movies/UHD', desc: ' 4K films' },
            { id: '8', cat: 'XXX', desc: ' Erotiek' },
            { id: '9', cat: 'PC/Phone-Other', desc: ' GSM/Navigatie' },
            { id: '10', cat: 'Audio', desc: ' Muziek Album' },
            { id: '11', cat: 'Audio/Other', desc: ' Muziek Diverse' },
            { id: '12', cat: 'Console/NDS', desc: ' Nintendo' },
            { id: '13', cat: 'Movies', desc: ' Classic' },
            { id: '15', cat: 'Other', desc: ' Overige' },
            { id: '16', cat: 'PC/0day', desc: ' PC Software' },
            { id: '17', cat: 'PC', desc: ' PC Spellen' },
            { id: '19', cat: 'TV', desc: ' TV Series' },
            { id: '21', cat: 'Movies/SD', desc: ' Divx/Xvid' },
            { id: '24', cat: 'Books/Ebook', desc: ' E-Books' },
            { id: '26', cat: 'Audio/Other', desc: ' Cabaret' },
            { id: '27', cat: 'TV/Documentary', desc: ' Documentaire' },
            { id: '31', cat: 'Movies/HD', desc: ' FP-release' },
            { id: '32', cat: 'Audio/Audiobook', desc: ' Luister Boeken' },
        ],
        modes: {
            search: ['q', 'imdbid'],
            'tv-search': ['q', 'season', 'ep', 'imdbid'],
            'movie-search': ['q', 'imdbid'],
        },
    },
    settings: [
        { name: 'username', type: 'text', label: 'Username' },
        { name: 'password', type: 'password', label: 'Password' },
        { name: 'thankyou', type: 'text', label: 'Thank You Comment' },
        {
            name: 'info',
            type: 'info',
            label: 'Thank you comment',
            default: 'This site requires you to leave a Thank You comment before you can download. Enter your personalised comment above. Minimum of at least 10 characters.',
        },
    ],
    login: {
        path: 'takelogin.php',
        method: 'post',
        inputs: {
            username: '{{ .Config.username }}',
            password: '{{ .Config.password }}',
        },
        error: [{ selector: 'table.main:contains("Aanmelden mislukt")' }],
        test: { path: '/', selector: 'a[href="logout.php"]' },
    },
    download: {
        before: {
            path: 'comment.php',
            method: 'post',
            inputs: {
                action: 'add',
                tid: '{{ .DownloadUri.Query.id }}',
                text: '{{ .Config.thankyou }}',
                submit: 'Opslaan',
            },
        },
        selector: 'a[href^="download.php?id="]',
        attribute: 'href',
    },
    search: {
        paths: [{ path: 'browse.php' }],
        inputs: {
            $raw: '{{ range .Categories }}c{{.}}=1&{{end}}',
            search: '{{ if .Query.IMDBID }}{{ .Query.IMDBID }}{{else}}{{ .Keywords }}{{end}}',
            incldead: 1,
        },
        rows: {
            selector: 'table.mainouter',
            filters: [{ name: 'andmatch' }],
        },
        fields: {
            title: {
                selector: 'a[href^="details.php?id="]',
                filters: [
                    {
                        name: 're_replace',
                        args: ['([Ss]eizoen|[Ss]eizoen )(\\d{1,2})', 'S$2'],
                    },
                    {
                        name: 're_replace',
                        args: [
                            '([Aa]fl.|[Aa]fl. | [Aa]fl. |[Aa]flevering|[Aa]flevering | [Aa]flevering )(\\d{1,2})',
                            'E$2',
                        ],
                    },
                    { name: 're_replace', args: ['[Cc]ompleet', 'Complete'] },
                ],
            },
            details: {
                selector: 'a[href^="details.php?id="]',
                attribute: 'href',
            },
            category: {
                selector: 'a[href^="browse.php?cat="]',
                attribute: 'href',
                filters: [{ name: 'querystring', args: 'cat' }],
            },
            download: {
                selector: 'a[href^="details.php?id="]',
                attribute: 'href',
            },
            banner: { selector: 'img[src*="/covers/"]', attribute: 'src' },
            size: {
                selector: 'td:nth-child(4) table tr td:nth-child(2)',
                filters: [{ name: 'regexp', args: '(.+?) in' }],
            },
            files: {
                selector: 'td:nth-child(4) table tr td:nth-child(2)',
                filters: [{ name: 'regexp', args: 'in (\\d+) bestan' }],
            },
            grabs: {
                selector: 'td:nth-child(4) table tr:nth-child(2) td:nth-child(1)',
                filters: [{ name: 'regexp', args: '(\\d+)' }],
            },
            date: {
                selector: 'td:nth-child(4) table tr:nth-child(2) td:nth-child(2)',
                filters: [
                    { name: 'replace', args: ['januari', 'January'] },
                    { name: 'replace', args: ['februari', 'February'] },
                    { name: 'replace', args: ['maart', 'March'] },
                    { name: 'replace', args: ['april', 'April'] },
                    { name: 'replace', args: ['mei', 'May'] },
                    { name: 'replace', args: ['juni', 'June'] },
                    { name: 'replace', args: ['juli', 'July'] },
                    { name: 'replace', args: ['augustus', 'August'] },
                    { name: 'replace', args: ['september', 'September'] },
                    { name: 'replace', args: ['oktober', 'October'] },
                    { name: 'replace', args: ['november', 'November'] },
                    { name: 'replace', args: ['december', 'December'] },
                    { name: 're_replace', args: ['\\s*om\\s*', ' '] },
                    { name: 'dateparse', args: '2 January 2006 15:04:05' },
                ],
            },
            seeders: {
                optional: true,
                selector: 'td:nth-child(4) table tr:nth-child(3) td:nth-child(5)  font b',
            },
            leechers: {
                optional: true,
                selector: 'td:nth-child(4) table tr:nth-child(3) td:nth-child(5) font font b',
            },
            downloadvolumefactor: {
                case: { 'img[src="pic/freedlfsu.gif"]': 0, '*': 1 },
            },
            uploadvolumefactor: { text: 1 },
        },
    },
    source: 'jackett',
};
