"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.definition = void 0;
exports.definition = {
    site: 'funkytorrents',
    name: 'FunkyTorrents',
    description: 'FunkyTorrents (FT) is a Private Torrent Tracker for MUSIC',
    language: 'en-US',
    type: 'private',
    encoding: 'UTF-8',
    links: ['http://funkytorrents.com/'],
    caps: {
        modes: {
            search: ['q'],
            'music-search': ['q', 'album', 'artist', 'label', 'year'],
        },
        categorymappings: [
            { id: '1', cat: 'PC' },
            { id: '2', cat: 'Books' },
            { id: '3', cat: 'Movies' },
            { id: '4', cat: 'Audio' },
            { id: '5', cat: 'Audio/Video' },
            { id: '6', cat: 'Audio' },
            { id: '7', cat: 'Audio' },
            { id: '8', cat: 'Audio' },
            { id: '9', cat: 'Audio' },
            { id: '10', cat: 'Audio' },
            { id: '11', cat: 'Audio' },
            { id: '12', cat: 'Audio' },
            { id: '13', cat: 'Audio' },
            { id: '14', cat: 'Audio' },
            { id: '15', cat: 'Audio' },
            { id: '16', cat: 'Audio' },
            { id: '17', cat: 'Audio' },
            { id: '18', cat: 'Audio' },
            { id: '19', cat: 'Audio' },
            { id: '20', cat: 'Audio' },
            { id: '21', cat: 'Audio' },
            { id: '22', cat: 'Audio' },
            { id: '23', cat: 'Audio' },
            { id: '24', cat: 'Audio' },
            { id: '25', cat: 'Audio' },
            { id: '26', cat: 'Audio' },
            { id: '28', cat: 'Audio' },
            { id: '29', cat: 'Audio' },
            { id: '30', cat: 'Audio' },
            { id: '31', cat: 'Audio' },
            { id: '32', cat: 'Audio' },
            { id: '33', cat: 'Audio' },
            { id: '34', cat: 'Audio' },
            { id: '35', cat: 'Audio' },
            { id: '36', cat: 'Audio' },
            { id: '37', cat: 'Audio' },
            { id: '3010', cat: 'Audio/MP3' },
            { id: '3040', cat: 'Audio/Lossless' },
        ],
    },
    login: {
        path: 'takelogin.php',
        method: 'post',
        inputs: {
            username: '{{ .Config.username }}',
            password: '{{ .Config.password }}',
        },
        error: [{ selector: 'td.embedded:has(h2:contains("failed"))' }],
        test: { path: 'browse.php' },
    },
    search: {
        paths: [{ path: 'browse.php' }],
        inputs: {
            search: '{{if .Query.Artist}}{{ .Query.Artist }}{{else}}{{ .Keywords }}{{end}}',
            incldead: 1,
        },
        rows: {
            selector: 'table.mainouter > tbody > tr > td.outer > table > tbody > tr.mouse_out',
        },
        fields: {
            description: { optional: true, selector: 'td:nth-child(2) > font' },
            title: { selector: 'td:nth-child(2)', remove: 'font' },
            category: {
                optional: true,
                case: {
                    'a[href="/browse.php?ext=1&bitrate=Lossless"]': '3040',
                    'a[href="/browse.php?ext=1&format=MP3"]': '3010',
                },
            },
            details: {
                selector: 'a[href^="details.php?id="]',
                attribute: 'href',
            },
            download: {
                selector: 'a[href^="download.php"]',
                attribute: 'href',
            },
            files: { selector: 'td:nth-child(5)' },
            size: { selector: 'td:nth-child(8)' },
            seeders: { selector: 'td:nth-child(10)' },
            leechers: { selector: 'td:nth-child(11)' },
            date: {
                selector: 'td:nth-child(7)',
                filters: [
                    { name: 'append', args: ' +0000' },
                    { name: 'dateparse', args: '2006-01-0215:04:05 -0700' },
                ],
            },
            grabs: { selector: 'td:nth-child(9)' },
            downloadvolumefactor: {
                case: { 'img[alt="Free Leech"]': '0', '*': '1' },
            },
            uploadvolumefactor: { case: { '*': '1' } },
        },
    },
    source: 'jackett',
};
