"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.definition = void 0;
exports.definition = {
    site: 'hdarea',
    name: 'HDArea',
    description: 'HDArea is a CHINESE Private Torrent Tracker for HD MOVIES / TV',
    language: 'zh-CN',
    type: 'private',
    encoding: 'UTF-8',
    links: ['https://www.hdarea.co/'],
    caps: {
        categorymappings: [
            { id: '300', cat: 'Movies/UHD', desc: 'Movies UHD-4K' },
            { id: '401', cat: 'Movies/BluRay', desc: 'Movies Blu-ray' },
            { id: '415', cat: 'Movies/HD', desc: 'Movies REMUX' },
            { id: '416', cat: 'Movies/3D', desc: 'Movies 3D' },
            { id: '410', cat: 'Movies/HD', desc: 'Movies 1080p' },
            { id: '411', cat: 'Movies/HD', desc: 'Movies 720p' },
            { id: '414', cat: 'Movies/DVD', desc: 'Movies DVD' },
            { id: '412', cat: 'Movies/WEBDL', desc: 'Movies WEB-DL' },
            { id: '413', cat: 'Movies/HD', desc: 'Movies HDTV' },
            { id: '417', cat: 'Movies/Other', desc: 'Movies iPad' },
            { id: '404', cat: 'TV/Documentary', desc: 'Documentaries' },
            { id: '405', cat: 'TV/Anime', desc: 'Animations' },
            { id: '402', cat: 'TV', desc: 'TV Series' },
            { id: '403', cat: 'TV', desc: 'TV Shows' },
            { id: '406', cat: 'Audio/Video', desc: 'Music Videos' },
            { id: '407', cat: 'TV/Sport', desc: 'Sports' },
            { id: '409', cat: 'Other', desc: 'Misc' },
            { id: '408', cat: 'Audio', desc: 'HQ Audio' },
        ],
        modes: {
            search: ['q', 'imdbid'],
            'tv-search': ['q', 'season', 'ep', 'imdbid'],
            'movie-search': ['q', 'imdbid'],
        },
    },
    settings: [
        { name: 'username', type: 'text', label: 'Username' },
        { name: 'password', type: 'password', label: 'Password' },
        {
            name: 'sort',
            type: 'select',
            label: 'Sort requested from site',
            default: '4',
            options: { '1': 'title', '4': 'created', '5': 'size', '7': 'seeders' },
        },
        {
            name: 'type',
            type: 'select',
            label: 'Order requested from site',
            default: 'desc',
            options: { desc: 'desc', asc: 'asc' },
        },
    ],
    login: {
        path: 'takelogin.php',
        method: 'post',
        inputs: {
            username: '{{ .Config.username }}',
            password: '{{ .Config.password }}',
        },
        error: [
            { selector: 'td.embedded:has(h2:contains("登录失败"))' },
            { selector: 'td.embedded:has(h2:contains("failed"))' },
        ],
        test: { path: 'index.php', selector: 'a[href="logout.php"]' },
    },
    ratio: {
        path: 'torrents.php',
        selector: 'table#info_block',
        filters: [{ name: 'regexp', args: 'Ratio:\\s(.*?)\\s\\s' }],
    },
    search: {
        paths: [{ path: 'torrents.php' }],
        method: 'post',
        inputs: {
            $raw: '{{ range .Categories }}cat{{.}}=1&{{end}}',
            search: '{{ if .Query.IMDBID }}{{ .Query.IMDBID }}{{else}}{{ .Keywords }}{{end}}',
            incldead: 1,
            spstate: 0,
            search_area: '{{ if .Query.IMDBID }}4{{else}}0{{end}}',
            search_mode: 0,
            sort: '{{ .Config.sort }}',
            type: '{{ .Config.type }}',
        },
        rows: {
            selector: 'table.torrents > tbody > tr:has(table.torrentname)',
        },
        fields: {
            category: {
                selector: 'a[href^="?cat="]',
                attribute: 'href',
                filters: [{ name: 'querystring', args: 'cat' }],
            },
            title: {
                optional: true,
                selector: 'a[title][href^="details.php?id="]',
                attribute: 'title',
            },
            details: {
                selector: 'a[href^="details.php?id="]',
                attribute: 'href',
            },
            download: {
                selector: 'a[href^="download.php?id="]',
                attribute: 'href',
            },
            imdb: {
                optional: true,
                selector: 'a[href*="www.imdb.com/title/tt"]',
                attribute: 'href',
            },
            date: {
                selector: 'td:nth-child(4):not(:has(span))',
                optional: true,
                filters: [
                    { name: 'append', args: ' +08:00' },
                    { name: 'dateparse', args: '2006-01-0215:04:05 -07:00' },
                ],
            },
            size: { selector: 'td:nth-child(5)' },
            seeders: { selector: 'td:nth-child(6)' },
            leechers: { selector: 'td:nth-child(7)' },
            grabs: { selector: 'td:nth-child(8)' },
            downloadvolumefactor: {
                case: {
                    'img.pro_free': 0,
                    'img.pro_free2up': 0,
                    'img.pro_50pctdown': 0.5,
                    'img.pro_50pctdown2up': 0.5,
                    'img.pro_30pctdown': 0.3,
                    '*': 1,
                },
            },
            uploadvolumefactor: {
                case: {
                    'img.pro_50pctdown2up': 2,
                    'img.pro_free2up': 2,
                    'img.pro_2up': 2,
                    '*': 1,
                },
            },
            description: { selector: 'td:nth-child(2)', remove: 'a, img' },
        },
    },
    source: 'jackett',
};
