"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.definition = void 0;
exports.definition = {
    site: 'ilcorsaroblu',
    name: 'Il Corsaro Blu',
    description: 'il CorSaRo Blu is an ITALIAN Semi-Private site for TV / MOVIES / GENERAL',
    language: 'it-IT',
    type: 'semi-private',
    encoding: 'UTF-8',
    links: ['https://www.ilcorsaroblu.org/'],
    legacylinks: ['http://ilcorsaroblu.org/', 'https://www.ilcorsaroblu.info/'],
    caps: {
        categorymappings: [
            { id: '12', cat: 'XXX', desc: 'Adult' },
            { id: '5', cat: 'PC/Phone-Android', desc: 'Android' },
            { id: '30', cat: 'PC/Phone-IOS', desc: 'iOS / iPhone' },
            { id: '7', cat: 'PC/0day', desc: 'Windows' },
            { id: '8', cat: 'PC', desc: 'Linux' },
            { id: '9', cat: 'PC/Mac', desc: 'Mac' },
            { id: '40', cat: 'PC', desc: 'Emulatori' },
            { id: '34', cat: 'PC', desc: "Student's Office" },
            { id: '6', cat: 'Books/Ebook', desc: 'Books' },
            { id: '45', cat: 'Books/Comics', desc: 'Fumetti' },
            { id: '51', cat: 'Books/Ebook', desc: 'Pdf' },
            { id: '33', cat: 'Books/Ebook', desc: 'Romanzi' },
            {
                id: '26',
                cat: 'Books/Magazines',
                desc: 'Edicola: Giornali/Quotidiani',
            },
            { id: '3', cat: 'PC/Games', desc: 'Games PC' },
            { id: '27', cat: 'Console', desc: 'Games Console' },
            { id: '41', cat: 'Console/Xbox', desc: 'Games Xbox360' },
            { id: '43', cat: 'Console', desc: 'Games Retro' },
            { id: '47', cat: 'Console/NDS', desc: 'Games Nintendo' },
            { id: '2', cat: 'Audio', desc: 'Music' },
            { id: '48', cat: 'Audio/MP3', desc: 'Music MP3' },
            { id: '49', cat: 'Audio', desc: 'Radio Trasmissioni' },
            { id: '17', cat: 'Movies/HD', desc: 'Movie BDRip' },
            { id: '39', cat: 'Movies/HD', desc: 'Movie BDRip TNT' },
            { id: '21', cat: 'Movies/Other', desc: 'Movie Films' },
            { id: '11', cat: 'Movies/DVD', desc: 'Movie DVD-R' },
            { id: '14', cat: 'Movies/HD', desc: 'Movie 720p' },
            { id: '13', cat: 'Movies/HD', desc: 'Movie 1080p' },
            { id: '15', cat: 'Movies/3D', desc: 'Movie 3D' },
            { id: '25', cat: 'Movies/UHD', desc: 'Movie UHD' },
            { id: '36', cat: 'Movies', desc: 'Movie TNT' },
            { id: '24', cat: 'TV/SD', desc: 'TV Show Standard' },
            { id: '19', cat: 'TV/HD', desc: 'TV Show 1080p' },
            { id: '20', cat: 'TV/HD', desc: 'TV Show 720' },
            { id: '50', cat: 'TV', desc: 'TV Show TNT' },
            { id: '28', cat: 'TV/Anime', desc: 'Anime' },
            { id: '29', cat: 'TV', desc: 'Cartoons' },
            { id: '37', cat: 'TV/Sport', desc: 'Sport' },
            { id: '35', cat: 'TV/Documentary', desc: 'Documentari' },
            { id: '38', cat: 'Movies', desc: 'Commedia' },
            { id: '46', cat: 'Movies', desc: 'Movie Parodie' },
            { id: '4', cat: 'Other', desc: 'Other' },
            { id: '23', cat: 'Other', desc: 'Archive' },
            { id: '42', cat: 'Other', desc: 'Disegni e Modelli' },
            { id: '16', cat: 'Other', desc: 'V.I.P.' },
            { id: '32', cat: 'Other', desc: 'Premium' },
        ],
        modes: {
            search: ['q'],
            'tv-search': ['q', 'season', 'ep'],
            'movie-search': ['q'],
        },
    },
    settings: [
        { name: 'username', type: 'text', label: 'Username' },
        { name: 'password', type: 'password', label: 'Password' },
        {
            name: 'sort',
            type: 'select',
            label: 'Sort requested from site',
            default: '3',
            options: { '2': 'title', '3': 'created', '4': 'size', '5': 'seeders' },
        },
        {
            name: 'type',
            type: 'select',
            label: 'Order requested from site',
            default: '2',
            options: { '1': 'asc', '2': 'desc' },
        },
        {
            name: 'info',
            type: 'info',
            label: 'Results Per Page',
            default: 'For best results, change the <b>Torrents per page:</b> setting to <b>100</b> on your account profile.',
        },
    ],
    login: {
        path: 'index.php?page=login&returnto=index.php',
        method: 'form',
        form: 'form[name="login"]',
        inputs: {
            uid: '{{ .Config.username }}',
            pwd: '{{ .Config.password }}',
        },
        error: [{ selector: 'span[style="color:#FF0000;"]' }],
        test: { path: 'index.php', selector: 'a[href="logout.php"]' },
    },
    search: {
        paths: [{ path: 'index.php' }],
        keywordsfilters: [
            { name: 'diacritics', args: 'replace' },
            { name: 're_replace', args: ['(?i)\\bS0*(\\d+)\\b', '$1'] },
            {
                name: 're_replace',
                args: ['(?i)\\bS0*(\\d+)E0*(\\d+)\\b', '$1 $2'],
            },
        ],
        inputs: {
            page: 'torrents',
            search: '{{ .Keywords }}',
            category: '{{ if .Categories }}{{ range .Categories }}{{.}};{{end}}{{else}}0{{end}}',
            options: 0,
            active: 0,
            order: '{{ .Config.sort }}',
            by: '{{ .Config.type }}',
        },
        rows: {
            selector: 'div.b-content > table > tbody > tr > td > table.lista > tbody > tr:has(a[href^="index.php?page=torrents&category="])',
            filters: [{ name: 'andmatch' }],
        },
        fields: {
            title: {
                selector: 'td:nth-child(2) > a',
                filters: [
                    {
                        name: 're_replace',
                        args: ['[\\[!"#$%&\'()*+,\\-.\\/:;<=>?@[\\]^_`{|}~]', ' '],
                    },
                    { name: 'diacritics', args: 'replace' },
                    { name: 're_replace', args: ['[ ]{2,}', ' '] },
                    {
                        name: 're_replace',
                        args: ['(?i)\\bS(\\d+)\\sE(\\d+)\\b', 'S$1E$2'],
                    },
                    { name: 're_replace', args: ['(?i)(\\d{2})x(\\d+)', 'S$1E$2'] },
                    {
                        name: 're_replace',
                        args: ['(?i)\\b(\\d{1})x(\\d+)', 'S0$1E$2'],
                    },
                    {
                        name: 're_replace',
                        args: ["(?i)\\bStagion[ei]\\s?(\\d{1})\\b|\\bSeason'?s?\\s?(\\d{1})\\b", 'S0$1$2'],
                    },
                    {
                        name: 're_replace',
                        args: ["(?i)\\bStagion[ei]\\s?(\\d{2,})\\b|\\bSeason'?s?\\s?(\\d{2,})\\b", 'S$1$2'],
                    },
                    {
                        name: 're_replace',
                        args: ['(?i)\\b(?:[\\/\\|]?Episodio\\s?(\\d+)|Puntata\\s?(\\d+))', 'E$1$2'],
                    },
                    {
                        name: 're_replace',
                        args: ['(?i)\\b(?:Puntate\\s*)(\\d+)\\s?(\\d+)', 'E0$1-0$2'],
                    },
                    {
                        name: 're_replace',
                        args: ['(?i)(Serie completa|Completat?a?|in pausa)', ''],
                    },
                ],
            },
            download: {
                optional: true,
                selector: 'a[href^="download.php?id="]',
                attribute: 'href',
                filters: [
                    { name: 'querystring', args: 'id' },
                    { name: 'toupper' },
                    { name: 'prepend', args: 'http://itorrents.org/torrent/' },
                    { name: 'append', args: '.torrent' },
                ],
            },
            _magnetfilename: {
                text: '{{ .Result.title }}',
                filters: [{ name: 'validfilename' }, { name: 'urlencode' }],
            },
            magnet: {
                optional: true,
                selector: 'a[href^="magnet:?xt="]',
                attribute: 'href',
            },
            category: {
                selector: 'a[href^="index.php?page=torrents&category="]',
                attribute: 'href',
                filters: [{ name: 'querystring', args: 'category' }],
            },
            details: { selector: 'td:nth-child(2) > a', attribute: 'href' },
            size: { selector: 'td:nth-last-child(2)' },
            date: {
                selector: "td:nth-last-child(7):contains('/')",
                optional: true,
                filters: [{ name: 'dateparse', args: '02/01/2006' }],
            },
            grabs: {
                selector: 'td:nth-last-child(4)',
                filters: [{ name: 'replace', args: ['---', '0'] }],
            },
            seeders: { selector: 'td:nth-last-child(6)' },
            leechers: { selector: 'td:nth-last-child(5)' },
            downloadvolumefactor: {
                case: {
                    'img[src="images/gold.gif"]': 0,
                    'img[src="images/silver.gif"]': 0.5,
                    'img[src="images/bronze.gif"]': 0.75,
                    '*': 1,
                },
            },
            uploadvolumefactor: { text: 1 },
        },
    },
    source: 'jackett',
};
