"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.definition = void 0;
exports.definition = {
    site: 'mteamtp2fa',
    name: 'MTeamTP2FA',
    description: 'this indexer uses a cookie login for MTeamTP for those that want to use 2FA',
    language: 'zh-CN',
    type: 'private',
    encoding: 'UTF-8',
    links: ['https://pt.m-team.cc/'],
    legacylinks: ['https://tp.m-team.cc/'],
    caps: {
        categorymappings: [
            { id: '401', cat: 'Movies/SD', desc: 'Movie(電影)/SD' },
            { id: '419', cat: 'Movies/HD', desc: 'Movie(電影)/HD' },
            { id: '420', cat: 'Movies/DVD', desc: 'Movie(電影)/DVDiSo' },
            { id: '421', cat: 'Movies/BluRay', desc: 'Movie(電影)/Blu-Ray' },
            { id: '439', cat: 'Movies/Other', desc: 'Movie(電影)/Remux' },
            { id: '403', cat: 'TV/SD', desc: 'TV Series(影劇/綜藝)/SD' },
            { id: '402', cat: 'TV/HD', desc: 'TV Series(影劇/綜藝)/HD' },
            { id: '435', cat: 'TV/SD', desc: 'TV Series(影劇/綜藝)/DVDiSo' },
            { id: '438', cat: 'TV/HD', desc: 'TV Series(影劇/綜藝)/BD' },
            { id: '404', cat: 'TV/Documentary', desc: '紀錄教育' },
            { id: '405', cat: 'TV/Anime', desc: 'Anime(動畫)' },
            { id: '407', cat: 'TV/Sport', desc: 'Sports(運動)' },
            { id: '422', cat: 'PC/0day', desc: 'Software(軟體)' },
            { id: '423', cat: 'PC/Games', desc: 'PCGame(PC遊戲)' },
            { id: '427', cat: 'Books', desc: 'eBook(電子書)' },
            { id: '409', cat: 'Other', desc: 'Misc(其他)' },
            { id: '406', cat: 'Audio/Video', desc: 'MV(演唱)' },
            { id: '408', cat: 'Audio/Other', desc: 'Music(AAC/ALAC)' },
            { id: '434', cat: 'Audio', desc: 'Music(無損)' },
            { id: '410', cat: 'XXX', desc: 'AV(有碼)/HD Censored' },
            { id: '429', cat: 'XXX', desc: 'AV(無碼)/HD Uncensored' },
            { id: '424', cat: 'XXX', desc: 'AV(有碼)/SD Censored' },
            { id: '430', cat: 'XXX', desc: 'AV(無碼)/SD Uncensored' },
            { id: '426', cat: 'XXX', desc: 'AV(無碼)/DVDiSo Uncensored' },
            { id: '437', cat: 'XXX', desc: 'AV(有碼)/DVDiSo Censored' },
            { id: '431', cat: 'XXX', desc: 'AV(有碼)/Blu-Ray Censored' },
            { id: '432', cat: 'XXX', desc: 'AV(無碼)/Blu-Ray Uncensored' },
            { id: '436', cat: 'XXX', desc: 'AV(網站)/0Day' },
            { id: '425', cat: 'XXX', desc: 'IV(寫真影集)/Video Collection' },
            { id: '433', cat: 'XXX', desc: 'IV(寫真圖集)/Picture Collection' },
            { id: '411', cat: 'XXX', desc: 'H-Game(遊戲)' },
            { id: '412', cat: 'XXX', desc: 'H-Anime(動畫)' },
            { id: '413', cat: 'XXX', desc: 'H-Comic(漫畫)' },
        ],
        modes: {
            search: ['q', 'imdbid'],
            'tv-search': ['q', 'season', 'ep', 'imdbid'],
            'movie-search': ['q', 'imdbid'],
        },
    },
    settings: [
        { name: 'cookie', type: 'text', label: 'Cookie' },
        {
            name: 'infocookie',
            type: 'info',
            label: 'How to get the Cookie',
            default: "<ol><li>Login to this tracker with your browser<li>Open the <b>DevTools</b> panel by pressing <b>F12</b><li>Select the <b>Network</b> tab<li>Click on the <b>Doc</b> button<li>Refresh the page by pressing <b>F5</b><li>Select the <b>Headers</b> tab<li>Find <b>'cookie:'</b> in the <b>Request Headers</b> section<li><b>Select</b> and <b>Copy</b> the whole cookie string <i>(everything after 'cookie: ')</i> and <b>Paste</b> here.</ol>",
        },
        {
            name: 'infotitle',
            type: 'info',
            label: 'About Titles',
            default: 'For best results disable the torrent name tooltip (User CP/Tracker Settings/Torrents Page). Otherwise long release names will be cut off.',
        },
        {
            name: 'sort',
            type: 'select',
            label: 'Sort requested from site',
            default: '4',
            options: { '1': 'title', '4': 'created', '5': 'size', '7': 'seeders' },
        },
        {
            name: 'type',
            type: 'select',
            label: 'Order requested from site',
            default: 'desc',
            options: { desc: 'desc', asc: 'asc' },
        },
    ],
    login: {
        method: 'cookie',
        inputs: { cookie: '{{ .Config.cookie }}' },
        test: { path: 'index.php', selector: 'a[href="logout.php"]' },
    },
    ratio: {
        path: 'torrents.php',
        selector: 'table#info_block',
        filters: [{ name: 'regexp', args: 'Ratio:\\s(.*?)\\s\\s' }],
    },
    search: {
        paths: [
            {
                path: 'torrents.php',
                categorymappings: [
                    '!',
                    410,
                    429,
                    424,
                    430,
                    426,
                    437,
                    431,
                    432,
                    436,
                    425,
                    433,
                    411,
                    412,
                    413,
                    406,
                    408,
                    434,
                ],
            },
            {
                path: 'adult.php',
                categorymappings: [410, 429, 424, 430, 426, 437, 431, 432, 436, 425, 433, 411, 412, 413],
            },
            { path: 'music.php', categorymappings: [406, 408, 434] },
        ],
        inputs: {
            $raw: '{{range .Categories}}cat{{.}}=1&{{end}}',
            search: '{{if .Query.IMDBID}}{{ .Query.IMDBID }}{{else}}{{ .Keywords }}{{end}}',
            incldead: 0,
            spstate: 0,
            search_area: '{{ if .Query.IMDBID }}4{{else}}0{{end}}',
            search_mode: 0,
            sort: '{{ .Config.sort }}',
            type: '{{ .Config.type }}',
        },
        rows: {
            selector: 'table.torrents > tbody > tr:has(table.torrentname)',
        },
        fields: {
            title: {
                optional: true,
                selector: 'a[title][href^="details.php?id="]',
                attribute: 'title',
            },
            category: {
                selector: 'a[href^="?cat="]',
                attribute: 'href',
                filters: [{ name: 'querystring', args: 'cat' }],
            },
            details: {
                selector: 'a[href^="details.php?id="]',
                attribute: 'href',
            },
            download: {
                selector: 'a[href^="download.php?id="]',
                attribute: 'href',
            },
            banner: {
                selector: 'img[alt="torrent thumbnail"]',
                attribute: 'src',
                filters: [{ name: 'replace', args: ['pic/nopic.jpg', ''] }],
            },
            imdb: {
                optional: true,
                selector: 'a[href*="www.imdb.com/title/tt"]',
                attribute: 'href',
            },
            size: { selector: 'td.rowfollow:nth-last-child(6)' },
            grabs: { selector: 'td.rowfollow:nth-last-child(3)' },
            seeders: { selector: 'td.rowfollow:nth-last-child(5)' },
            leechers: { selector: 'td.rowfollow:nth-last-child(4)' },
            date: {
                selector: 'td.rowfollow:nth-last-child(7) > span[title]',
                optional: true,
                attribute: 'title',
                filters: [
                    { name: 'append', args: ' +08:00' },
                    { name: 'dateparse', args: '2006-01-02 15:04:05 -07:00' },
                ],
            },
            downloadvolumefactor: {
                case: {
                    'img.pro_free': 0,
                    'img.pro_free2up': 0,
                    'img.pro_50pctdown': 0.5,
                    'img.pro_50pctdown2up': 0.5,
                    'img.pro_30pctdown': 0.3,
                    '*': 1,
                },
            },
            uploadvolumefactor: {
                case: {
                    'img.pro_50pctdown2up': 2,
                    'img.pro_free2up': 2,
                    'img.pro_2up': 2,
                    '*': 1,
                },
            },
            description: { selector: 'td:nth-child(2)', remove: 'a, img' },
        },
    },
    source: 'jackett',
};
