"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.definition = void 0;
exports.definition = {
    site: 'myspleen',
    name: 'MySpleen',
    description: 'MySpleen is a Private Torrent Tracker for TV / COMEDY / ANIMATION / 80-90’S VHS NOSTALGIA',
    language: 'en-US',
    type: 'private',
    encoding: 'UTF-8',
    links: ['https://www.myspleen.org/'],
    caps: {
        categorymappings: [
            { id: '31', cat: 'TV', desc: 'Adult Swim' },
            { id: '30', cat: 'TV', desc: 'Animation' },
            { id: '25', cat: 'TV', desc: 'Cartoon Network' },
            { id: '3', cat: 'TV', desc: 'Comedy' },
            { id: '26', cat: 'TV', desc: 'Comedy Central' },
            { id: '24', cat: 'TV', desc: 'MST3K' },
            { id: '28', cat: 'TV', desc: 'MTV' },
            { id: '29', cat: 'TV', desc: 'Nick' },
            { id: '20', cat: 'Other', desc: 'Other' },
            { id: '32', cat: 'TV', desc: 'Star Wars' },
        ],
        modes: { search: ['q'], 'tv-search': ['q', 'season', 'ep'] },
    },
    login: {
        path: 'takelogin.php',
        method: 'post',
        inputs: {
            username: '{{ .Config.username }}',
            password: '{{ .Config.password }}',
            returnto: '/',
        },
        error: [{ selector: 'div#content:has(h2:contains("Login Failed"))' }],
        test: {
            path: 'browse.php',
            selector: 'span.key:contains("Ratio") + span.value',
        },
    },
    ratio: {
        path: 'browse.php',
        selector: 'span.key:contains("Ratio") + span.value',
    },
    search: {
        paths: [{ path: 'browse.php', method: 'get' }],
        inputs: {
            $raw: '{{range .Categories}}c{{.}}=1&{{end}}',
            search: '{{ .Query.Keywords }}',
            incldead: '1',
            title: '0',
        },
        rows: { selector: 'table#main-torrents > tbody > tr' },
        fields: {
            title: { selector: 'td.tor-name > a', attribute: 'title' },
            category: {
                selector: 'td[class^="cat-"] > a',
                attribute: 'href',
                filters: [{ name: 'querystring', args: 'cat' }],
            },
            details: { selector: 'td.tor-name > a', attribute: 'href' },
            download: { selector: 'td.tor-down > a', attribute: 'href' },
            files: { selector: 'td:nth-child(5)' },
            size: { selector: 'td:nth-child(8)' },
            grabs: {
                selector: 'td:nth-child(9)',
                filters: [{ name: 'regexp', args: '(\\d+)' }],
            },
            seeders: {
                selector: 'td:nth-child(10)',
                filters: [{ name: 'regexp', args: '^(\\d+)' }],
            },
            leechers: {
                selector: 'td:nth-child(11)',
                filters: [{ name: 'regexp', args: '^(\\d+)' }],
            },
            date: { selector: 'td:nth-child(7)' },
            downloadvolumefactor: {
                case: {
                    'span.star': '0',
                    'span.fltime': '0',
                    ':root li[id="alert-fl"][class="alert"]:contains("Freeleech ends in ")': 0,
                    '*': '1',
                },
            },
            uploadvolumefactor: { case: { '*': '1' } },
        },
    },
    source: 'jackett',
};
