"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.definition = void 0;
exports.definition = {
    site: 'nyaa-pantsu',
    name: 'Nyaa-pantsu',
    description: 'Nyaa-pantsu is a Public site for dedicated to Asian ANIME',
    language: 'en-EN',
    type: 'public',
    encoding: 'UTF-8',
    links: ['https://nyaa.net/'],
    legacylinks: ['https://nyaa.pantsu.cat/', 'https://nyaa.pt/'],
    settings: [
        {
            name: 'cat-id',
            type: 'select',
            label: 'Category',
            default: '_',
            options: {
                '11': 'Software - Applications',
                '12': 'Software - Games',
                '23': 'Audio - Lossless',
                '24': 'Audio - Lossy',
                '35': 'Anime - English-translated',
                '36': 'Anime - Raw',
                '47': 'Literature - English-translated',
                '48': 'Literature - Raw',
                '59': 'Live Action - English subtitled',
                '312': 'Anime - Anime Music Video',
                '313': 'Anime - Non-English-translated',
                '414': 'Literature - Non-English-translated',
                '510': 'Live Action - Trailers',
                '511': 'Live Action - Raw',
                '518': 'Live Action - Non-English subtitled',
                '615': 'Pictures - Graphics',
                '616': 'Pictures - Photos',
                _: 'All categories',
                '3_': 'Anime',
                '2_': 'Audio',
                '4_': 'Literature',
                '1_': 'Software',
                '5_': 'Live Action',
                '6_': 'Pictures',
            },
        },
        {
            name: 'sort',
            type: 'select',
            label: 'Sort requested from site',
            default: '2',
            options: { '1': 'title', '2': 'created', '4': 'size', '5': 'seeders' },
        },
        {
            name: 'type',
            type: 'select',
            label: 'Order requested from site',
            default: 'false',
            options: { false: 'desc', true: 'asc' },
        },
    ],
    caps: {
        categorymappings: [
            { id: '3_', cat: 'TV/Anime', desc: 'Anime' },
            { id: '312', cat: 'TV/Anime', desc: 'Anime music videos' },
            { id: '35', cat: 'TV/Anime', desc: 'Anime English subtitled' },
            { id: '313', cat: 'TV/Anime', desc: 'Anime Non-English subtitled' },
            { id: '36', cat: 'TV/Anime', desc: 'Anime Raw' },
            { id: '2_', cat: 'Audio', desc: 'Audio' },
            { id: '23', cat: 'Audio', desc: 'Audio Lossless' },
            { id: '24', cat: 'Audio', desc: 'Audio Lossy' },
            { id: '4_', cat: 'Books', desc: 'Literature' },
            { id: '47', cat: 'Books', desc: 'Literature English translated' },
            {
                id: '414',
                cat: 'Books',
                desc: 'Literature non-English translated',
            },
            { id: '48', cat: 'Books', desc: 'Literature Raw' },
            { id: '1_', cat: 'PC', desc: 'Software' },
            { id: '11', cat: 'PC/ISO', desc: 'Applications' },
            { id: '12', cat: 'PC/Games', desc: 'Games' },
            { id: '5_', cat: 'TV', desc: 'Live Action' },
            { id: '510', cat: 'TV', desc: 'Live Action Trailers' },
            { id: '59', cat: 'TV', desc: 'Live Action English subtitled' },
            { id: '518', cat: 'TV', desc: 'Live Action Non-English subtitled' },
            { id: '511', cat: 'TV', desc: 'Live Action Raw' },
            { id: '6_', cat: 'Other', desc: 'Pictures' },
            { id: '615', cat: 'Other', desc: 'Pictures Graphics' },
            { id: '616', cat: 'Other', desc: 'Pictures Photos' },
        ],
        modes: { search: ['q'], 'tv-search': ['q'] },
    },
    search: {
        paths: [{ path: 'search' }],
        inputs: {
            q: '{{ .Keywords }}',
            c: '{{ .Config.cat-id }}',
            s: 0,
            sort: '{{ .Config.sort }}',
            order: '{{ .Config.type }}',
        },
        rows: { selector: 'tr.torrent-info' },
        fields: {
            title: { selector: 'td.tr-name a' },
            category: {
                selector: 'td:nth-child(1) a',
                attribute: 'href',
                filters: [{ name: 'split', args: ['=', -1] }],
            },
            details: { selector: 'td.tr-name a', attribute: 'href' },
            download: {
                selector: 'a[title="Magnet Link"]',
                attribute: 'href',
            },
            seeders: { selector: 'td.tr-se', optional: true },
            leechers: { selector: 'td.tr-le', optional: true },
            grabs: { selector: 'td.tr-dl', optional: true },
            date: {
                selector: 'td.date-short',
                filters: [{ name: 'dateparse', args: '2006-01-02T15:04:05Z' }],
            },
            size: {
                selector: 'td.tr-size',
                filters: [{ name: 'replace', args: ['Unknown', '0'] }],
            },
            downloadvolumefactor: { text: 0 },
            uploadvolumefactor: { text: 1 },
        },
    },
    source: 'jackett',
};
