"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.definition = void 0;
exports.definition = {
    site: 'pleasuredome',
    name: 'PleasureDome',
    description: 'PleasureDome is a private site for Arcade / Console / PC Games',
    language: 'en-EN',
    type: 'private',
    encoding: 'UTF-8',
    links: ['https://www.pleasuredome.org.uk/'],
    legacylinks: ['http://www.pleasuredome.org.uk/'],
    certificates: ['eb27d56880fa073cd9ddd040d9a7f101d4868f53'],
    caps: {
        categorymappings: [
            { id: '10', cat: 'Console', desc: 'MAME' },
            { id: '11', cat: 'Console', desc: 'Pinball' },
            { id: '12', cat: 'Console', desc: 'ZiNc' },
            { id: '13', cat: 'Console', desc: 'Nebula' },
            { id: '14', cat: 'Console', desc: 'Daphne' },
            { id: '17', cat: 'Console', desc: 'Fruit' },
            { id: '32', cat: 'Console', desc: 'Neo-Geo' },
            { id: '33', cat: 'Console', desc: 'NonMAME' },
            { id: '34', cat: 'Console', desc: 'RAINE' },
            { id: '35', cat: 'Console', desc: 'Kawaks' },
            { id: '40', cat: 'Console', desc: 'FBA' },
            { id: '51', cat: 'Console', desc: 'HBMAME' },
            { id: '58', cat: 'Console', desc: 'Dice' },
            { id: '16', cat: 'Console', desc: 'Amiga' },
            { id: '19', cat: 'Console', desc: 'Amstrad' },
            { id: '20', cat: 'Console', desc: 'Commodore 64' },
            { id: '22', cat: 'Console', desc: 'Apple' },
            { id: '25', cat: 'Console', desc: 'Sinclair' },
            { id: '41', cat: 'Console', desc: 'Doom' },
            { id: '44', cat: 'Console', desc: 'MS-DOS' },
            { id: '50', cat: 'Console', desc: 'eXoDOS' },
            { id: '53', cat: 'Console', desc: 'Win3xO' },
            { id: '55', cat: 'Console', desc: 'Neo Kobe' },
            { id: '15', cat: 'Console', desc: 'MESS' },
            { id: '24', cat: 'Console', desc: 'Atari' },
            { id: '31', cat: 'Console', desc: 'TOSEC' },
            { id: '38', cat: 'Console', desc: 'Dreamcast' },
            { id: '43', cat: 'Console', desc: 'ScummVM' },
            { id: '46', cat: 'Console', desc: 'Redump' },
            { id: '48', cat: 'Console', desc: 'Trurip' },
            { id: '52', cat: 'Console', desc: 'GoodTools' },
            { id: '57', cat: 'Console', desc: 'Hyperspin' },
            { id: '61', cat: 'Console', desc: 'RAWdump' },
            { id: '18', cat: 'Console', desc: 'Sega' },
            { id: '21', cat: 'Console', desc: '3DO' },
            { id: '23', cat: 'Console', desc: 'PC Engine' },
            { id: '47', cat: 'Console', desc: 'Demul' },
            { id: '49', cat: 'Console', desc: 'Sega Saturn' },
            { id: '54', cat: 'Console', desc: 'No-Intro' },
            { id: '59', cat: 'Console', desc: 'XBOX' },
            { id: '60', cat: 'Console', desc: 'DMC' },
            { id: '4', cat: 'Console', desc: 'Other' },
            { id: '37', cat: 'Console', desc: 'Remix Projects' },
            { id: '39', cat: 'Console', desc: 'EmuMovies' },
            { id: '42', cat: 'Console', desc: 'CDi' },
            { id: '45', cat: 'Console', desc: 'NUON' },
        ],
        modes: { search: ['q'] },
    },
    settings: [
        { name: 'username', type: 'text', label: 'Username' },
        { name: 'password', type: 'password', label: 'Password' },
        {
            name: 'sort',
            type: 'select',
            label: 'Sort requested from site',
            default: 'data',
            options: {
                data: 'created',
                's.seeds': 'seeders',
                'n.size': 'size',
                'n.filename': 'title',
            },
        },
        {
            name: 'type',
            type: 'select',
            label: 'Order requested from site',
            default: 'DESC',
            options: { DESC: 'desc', ASC: 'asc' },
        },
    ],
    login: {
        path: 'login2.php',
        method: 'form',
        form: 'form[action="login2.php"]',
        inputs: {
            uid: '{{ .Config.username }}',
            pwd: '{{ .Config.password }}',
        },
        error: [{ selector: 'div font[color="#FF0000"]' }],
        test: { path: 'torrents.php', selector: 'a[href="logout.php"]' },
    },
    search: {
        paths: [{ path: 'torrents.php' }],
        inputs: {
            search: '{{ .Keywords }}',
            category: 0,
            active: 0,
            sort: '{{ .Config.sort }}',
            order: '{{ .Config.type }}',
        },
        rows: {
            selector: 'table[width="100%"] > tbody tr:has(a[href^="download.php?id="])',
        },
        fields: {
            category: {
                selector: 'a[href^="torrents.php?category="]',
                attribute: 'href',
                filters: [{ name: 'querystring', args: 'category' }],
            },
            title: {
                selector: 'a[href^="javascript:popdetails"]',
                filters: [{ name: 'replace', args: ['[FREE] ', ''] }],
            },
            details: {
                selector: 'a[href^="javascript:popdetails"]',
                attribute: 'href',
                filters: [
                    { name: 'replace', args: ["javascript:popdetails('", ''] },
                    { name: 'replace', args: ["');", ''] },
                ],
            },
            download: {
                selector: 'a[href^="download.php?id="]',
                attribute: 'href',
            },
            date: {
                selector: 'td:nth-last-child(9)',
                filters: [{ name: 'dateparse', args: '02/01/2006' }],
            },
            size: { selector: 'td:nth-last-child(8)' },
            seeders: { selector: 'td:nth-last-child(6)' },
            leechers: { selector: 'td:nth-last-child(5) a' },
            grabs: { selector: 'td:nth-last-child(4)' },
            downloadvolumefactor: {
                case: { 'img[src="images/fdownload.gif"]': 0, '*': 1 },
            },
            uploadvolumefactor: {
                case: { 'img[src="images/2x.gif"]': 2, '*': 1 },
            },
        },
    },
    source: 'jackett',
};
