"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.definition = void 0;
exports.definition = {
    site: 'ptsbao',
    name: 'PTSBAO',
    description: 'PTSBAO is a CHINESE Private Torrent Tracker for HD MOVIES / TV',
    language: 'zh-CN',
    type: 'private',
    encoding: 'UTF-8',
    followredirect: true,
    links: ['https://ptsbao.club/'],
    caps: {
        categorymappings: [
            { id: '401', cat: 'Movies', desc: 'Movies(电影)' },
            { id: '402', cat: 'TV', desc: 'TV Series(电视剧)' },
            { id: '403', cat: 'TV/Other', desc: 'TV Shows(电视节目)' },
            { id: '405', cat: 'TV/Anime', desc: 'Animations(动漫)' },
            { id: '414', cat: 'Audio', desc: 'Music(音乐)' },
            { id: '404', cat: 'TV/Documentary', desc: 'Documentaries(记录片)' },
            { id: '423', cat: 'Movies', desc: 'Movies Original(原创)' },
            { id: '409', cat: 'Other', desc: 'Misc(其他)' },
            { id: '424', cat: 'Other', desc: 'Limit(限制)' },
        ],
        modes: {
            search: ['q', 'imdbid'],
            'tv-search': ['q', 'season', 'ep', 'imdbid'],
            'movie-search': ['q', 'imdbid'],
        },
    },
    settings: [
        {
            name: 'info_email',
            type: 'info',
            label: 'About the Username field',
            default: 'Enter your <b>Email address</b> in the username field.',
        },
        { name: 'username', type: 'text', label: 'Username' },
        { name: 'password', type: 'password', label: 'Password' },
        {
            name: 'sort',
            type: 'select',
            label: 'Sort requested from site',
            default: '4',
            options: { '1': 'title', '4': 'created', '5': 'size', '7': 'seeders' },
        },
        {
            name: 'type',
            type: 'select',
            label: 'Order requested from site',
            default: 'desc',
            options: { desc: 'desc', asc: 'asc' },
        },
    ],
    login: {
        path: 'login.php',
        method: 'form',
        form: 'form[action="takelogin.php"]',
        captcha: {
            type: 'image',
            selector: 'img[alt="CAPTCHA"]',
            input: 'imagestring',
        },
        inputs: {
            loginmethod: 'email',
            username: '{{ .Config.username }}',
            password: '{{ .Config.password }}',
            dutime: 'month',
            logout: '',
            securelogin: '',
            ssl: 'yes',
            trackerssl: '',
        },
        error: [{ selector: 'td.embeddeds:has(h2:contains("失败"))' }],
        test: { path: 'index.php', selector: 'a[href="logout.php"]' },
    },
    search: {
        paths: [{ path: 'torrents.php' }],
        inputs: {
            $raw: '{{ range .Categories }}cat{{.}}=1&{{end}}',
            search: '{{ if .Query.IMDBID }}{{ .Query.IMDBID }}{{else}}{{ .Keywords }}{{end}}',
            incldead: 0,
            spstate: 0,
            search_area: '{{ if .Query.IMDBID }}4{{else}}0{{end}}',
            search_mode: 0,
            sort: '{{ .Config.sort }}',
            type: '{{ .Config.type }}',
        },
        rows: {
            selector: 'table.torrents > tbody > tr:has(a[href^="download.php?id="])',
        },
        fields: {
            category: {
                selector: 'a[href^="torrents.php?cat="]',
                attribute: 'href',
                filters: [{ name: 'querystring', args: 'cat' }],
            },
            title: {
                optional: true,
                selector: 'a[title][href^="details.php?id="]',
                attribute: 'title',
            },
            details: {
                selector: 'a[href^="details.php?id="]',
                attribute: 'href',
            },
            download: {
                selector: 'a[href^="download.php?id="]',
                attribute: 'href',
            },
            banner: {
                optional: true,
                selector: 'img.tooltip',
                attribute: 'src',
                filters: [{ name: 'replace', args: ['pic/imdb_pic/nophoto.gif', ''] }],
            },
            date: {
                selector: 'td:nth-child(6):not(:has(span))',
                optional: true,
                filters: [
                    { name: 'append', args: ' +08:00' },
                    { name: 'dateparse', args: '2006-01-0215:04:05 -07:00' },
                ],
            },
            size: { selector: 'td:nth-child(7)' },
            seeders: { selector: 'td:nth-child(8)' },
            leechers: { selector: 'td:nth-child(9)' },
            grabs: { selector: 'td:nth-child(10)' },
            downloadvolumefactor: {
                case: {
                    'img.pro_free': 0,
                    'img.pro_free2up': 0,
                    'img.pro_50pctdown': 0.5,
                    'img.pro_50pctdown2up': 0.5,
                    'img.pro_30pctdown': 0.3,
                    '*': 1,
                },
            },
            uploadvolumefactor: {
                case: {
                    'img.pro_50pctdown2up': 2,
                    'img.pro_free2up': 2,
                    'img.pro_2up': 2,
                    '*': 1,
                },
            },
        },
    },
    source: 'jackett',
};
