"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.definition = void 0;
exports.definition = {
    site: 'retroflix',
    name: 'RetroFlix',
    description: 'Private Torrent Tracker for Classic Movies / TV / General Releases.',
    language: 'en-US',
    type: 'private',
    encoding: 'UTF-8',
    links: ['https://retroflix.club/'],
    legacylinks: ['https://retroflix.net/'],
    caps: {
        categorymappings: [
            { id: '401', cat: 'Movies', desc: 'Movies' },
            { id: '404', cat: 'TV/Documentary', desc: 'Documentaries' },
            { id: '405', cat: 'TV/Anime', desc: 'Animations' },
            { id: '402', cat: 'TV', desc: 'TV Series' },
            { id: '403', cat: 'TV', desc: 'TV Shows' },
            { id: '406', cat: 'Audio/Video', desc: 'Music Videos' },
            { id: '407', cat: 'TV/Sport', desc: 'Sports' },
            { id: '409', cat: 'Other', desc: 'Misc' },
            { id: '408', cat: 'Audio', desc: 'HQ Audio' },
        ],
        modes: {
            search: ['q', 'imdbid'],
            'tv-search': ['q', 'season', 'ep', 'imdbid'],
            'movie-search': ['q', 'imdbid'],
        },
    },
    settings: [
        { name: 'cookie', type: 'text', label: 'Cookie' },
        {
            name: 'info',
            type: 'info',
            label: 'How to get the Cookie',
            default: "<ol><li>Login to this tracker with your browser<li>Open the <b>DevTools</b> panel by pressing <b>F12</b><li>Select the <b>Network</b> tab<li>Click on the <b>Doc</b> button<li>Refresh the page by pressing <b>F5</b><li>Select the <b>Headers</b> tab<li>Find <b>'cookie:'</b> in the <b>Request Headers</b> section<li><b>Select</b> and <b>Copy</b> the whole cookie string <i>(everything after 'cookie: ')</i> and <b>Paste</b> here.</ol>",
        },
    ],
    login: {
        method: 'cookie',
        inputs: { cookie: '{{ .Config.cookie }}' },
        test: { path: 'torrents.php' },
    },
    search: {
        paths: [{ path: 'torrents.php', method: 'get' }],
        inputs: {
            search: '{{ if .Query.IMDBID }}{{ .Query.IMDBID }}{{else}}{{ .Keywords }}{{end}}',
            incldead: 1,
            search_area: '{{ if .Query.IMDBID }}4{{else}}0{{end}}',
            search_mode: 0,
        },
        rows: {
            selector: 'table.torrents > tbody > tr:has(table.torrentname)',
        },
        fields: {
            release_year: {
                selector: 'a[href^="/torrents.php?processing="]',
                optional: true,
            },
            quality: {
                selector: 'a[href^="/torrents.php?standard="]',
                optional: true,
            },
            title: {
                selector: 'a[title][href^="details.php?id="]',
                attribute: 'title',
                filters: [
                    { name: 'append', args: ' {{ .Result.release_year }}' },
                    { name: 'append', args: ' {{ .Result.quality }}' },
                ],
            },
            category: {
                selector: 'a[href^="?cat="]',
                attribute: 'href',
                filters: [{ name: 'querystring', args: 'cat' }],
            },
            details: {
                selector: 'a[href^="details.php?id="]',
                attribute: 'href',
            },
            download: {
                selector: 'a[href^="download.php?id="]',
                attribute: 'href',
            },
            size: { selector: 'td:nth-child(5)' },
            grabs: { selector: 'td:nth-child(8)' },
            seeders: { selector: 'td:nth-child(6)' },
            leechers: { selector: 'td:nth-child(7)' },
            date: {
                selector: 'td:nth-child(4) > span[title]',
                attribute: 'title',
                filters: [{ name: 'dateparse', args: '02-01-2006 15:04:05' }],
            },
            downloadvolumefactor: {
                case: {
                    'img.pro_free': 0,
                    'img.pro_free2up': 0,
                    'img.pro_50pctdown': 0.5,
                    'img.pro_50pctdown2up': 0.5,
                    'img.pro_30pctdown': 0.3,
                    '*': 1,
                },
            },
            uploadvolumefactor: {
                case: {
                    'img.pro_50pctdown2up': 2,
                    'img.pro_free2up': 2,
                    'img.pro_2up': 2,
                    '*': '1',
                },
            },
        },
    },
    source: 'jackett',
};
