"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.definition = void 0;
exports.definition = {
    site: 'sharespacedb',
    name: 'ShareSpaceDB',
    description: 'A French gerneral tracker',
    language: 'fr-FR',
    type: 'private',
    encoding: 'UTF-8',
    links: ['https://ssdb.me/'],
    caps: {
        categorymappings: [
            { id: '50', cat: 'TV/Anime', desc: 'Anime: Tout' },
            { id: '40', cat: 'PC', desc: 'Apps: Windows' },
            { id: '41', cat: 'PC/Mac', desc: 'Apps: Mac' },
            { id: '42', cat: 'PC/Phone-Android', desc: 'Apps: Android' },
            { id: '43', cat: 'PC/Phone-IOS', desc: 'Apps: Ipod/Iphone' },
            { id: '44', cat: 'PC', desc: 'Apps: Autres' },
            { id: '45', cat: 'PC', desc: 'Apps: Linux' },
            { id: '27', cat: 'Books', desc: 'E-Books: Livres' },
            { id: '28', cat: 'Books', desc: 'E-Books: Audio' },
            { id: '29', cat: 'Books/Comics', desc: 'E-Books: Comics' },
            { id: '30', cat: 'Books', desc: 'E-Books: Mangas' },
            { id: '32', cat: 'Books', desc: 'E-Books: Bds' },
            { id: '31', cat: 'Books', desc: 'E-Books: Presse' },
            { id: '63', cat: 'Books', desc: 'E-Books: ePUB' },
            { id: '1', cat: 'Movies/SD', desc: 'Films: DVDRip' },
            { id: '2', cat: 'Movies/SD', desc: 'Films: DVDRip VOSTFR' },
            { id: '3', cat: 'Movies/DVD', desc: 'Films: DVD-R' },
            { id: '4', cat: 'Movies/HD', desc: 'Films: 720p' },
            { id: '5', cat: 'Movies/HD', desc: 'Films: 1080p' },
            {
                id: '6',
                cat: 'Movies/BluRay',
                desc: 'Films: BluRay x264 et x265',
            },
            { id: '7', cat: 'Movies/3D', desc: 'Films: BluRay-3D' },
            { id: '11', cat: 'Movies/HD', desc: 'Films: BDRip' },
            { id: '9', cat: 'Movies/DVD', desc: 'Films: R5' },
            { id: '10', cat: 'Movies/SD', desc: 'Films: DVDSCR' },
            { id: '56', cat: 'Movies/HD', desc: 'Films: mHD' },
            { id: '12', cat: 'Movies/HD', desc: 'Films: BRRip' },
            { id: '13', cat: 'Movies/HD', desc: 'Films: WEBRip' },
            { id: '58', cat: 'Movies/HD', desc: 'Films: WEBRip 720p' },
            { id: '59', cat: 'Movies/HD', desc: 'Films: WEBRip 1080p' },
            { id: '8', cat: 'Movies/SD', desc: 'Films: Cam / TS' },
            { id: '62', cat: 'Movies/HD', desc: 'Films: Uhd4k' },
            { id: '35', cat: 'Console/Xbox', desc: 'Jeux: XBOX' },
            { id: '36', cat: 'Console/Wii', desc: 'Jeux: WII' },
            { id: '37', cat: 'Console/PSP', desc: 'Jeux: PSP' },
            { id: '38', cat: 'Console/NDS', desc: 'Jeux: DS' },
            { id: '39', cat: 'PC/Phone-Android', desc: 'Jeux: Android' },
            { id: '34', cat: 'Console/PS3', desc: 'Jeux: PS3' },
            { id: '55', cat: 'PC/Mac', desc: 'Jeux: Mac' },
            { id: '33', cat: 'PC/Games', desc: 'Jeux: PC' },
            { id: '46', cat: 'Audio/MP3', desc: 'Musiques: MP3' },
            { id: '47', cat: 'Audio/Lossless', desc: 'Musiques: FLAC' },
            { id: '48', cat: 'Audio', desc: 'Musiques: WMA' },
            { id: '49', cat: 'Audio', desc: 'Musiques: Autres' },
            { id: '14', cat: 'TV/SD', desc: 'Series: HDTV' },
            { id: '15', cat: 'TV', desc: 'Series: TV VOSTFR' },
            { id: '16', cat: 'TV', desc: 'Series: TV VOSTA' },
            { id: '17', cat: 'TV', desc: 'Series: TV PACK' },
            { id: '18', cat: 'TV/HD', desc: 'Series: HDTV 1080p' },
            { id: '57', cat: 'TV/HD', desc: 'Series: TVHD VOSTFR' },
            { id: '20', cat: 'TV', desc: 'Series: TV VO' },
            { id: '19', cat: 'TV/HD', desc: 'Series: HDTV 720p' },
            { id: '64', cat: 'TV/SD', desc: 'Series: WEBRip' },
            { id: '60', cat: 'TV/HD', desc: 'Series: WEBRip 720p' },
            { id: '61', cat: 'TV/HD', desc: 'Series: WEBRip 1080p' },
            { id: '21', cat: 'TV/SD', desc: 'Series: DVD-R TV' },
            { id: '26', cat: 'TV', desc: 'Television: Television' },
            { id: '24', cat: 'TV', desc: 'Television: Spectacles' },
            { id: '23', cat: 'TV/Sport', desc: 'Television: Sports' },
            { id: '25', cat: 'TV/Anime', desc: 'Television: Animes' },
            {
                id: '22',
                cat: 'TV/Documentary',
                desc: 'Television: Documentaires',
            },
            { id: '51', cat: 'XXX', desc: 'XXX: Tous' },
        ],
        modes: { search: ['q'], 'tv-search': ['q', 'season', 'ep'] },
    },
    login: {
        path: 'account-login.php',
        method: 'post',
        inputs: {
            username: '{{ .Config.username }}',
            password: '{{ .Config.password }}',
            remember: 'yes',
            returnto: '/',
        },
        error: [{ selector: 'div#nfobar > p#msgError' }],
        test: { path: 'torrents-search.php' },
    },
    ratio: {
        path: 'torrents-search.php',
        selector: 'div#infobar0 > ul > li:nth-child(1) > font:last-child',
    },
    search: {
        paths: [{ path: 'torrents-search.php' }],
        inputs: {
            $raw: '{{range .Categories}}c{{.}}=1&{{end}}',
            search: '{{ .Query.Keywords }}',
            incldead: '1',
        },
        rows: {
            selector: 'table.ttable_headinner > tbody > tr.t-row',
            filters: [{ name: 'andmatch' }],
            after: 1,
        },
        fields: {
            download: {
                selector: 'a[href^="download.php?id="]',
                attribute: 'href',
            },
            title: {
                selector: 'a[href^="torrents-details.php?id="]',
                attribute: 'title',
            },
            category: {
                selector: 'a[href^="torrents.php?cat="]',
                attribute: 'href',
                filters: [{ name: 'querystring', args: 'cat' }],
            },
            details: {
                selector: 'a[href^="torrents-details.php?id="]',
                attribute: 'href',
            },
            comments: {
                selector: 'a[href^="comments.php"]',
                attribute: 'href',
            },
            banner: {
                selector: 'a[onmouseover][href^="torrents-details.php?id="]',
                attribute: 'onmouseover',
                filters: [{ name: 'regexp', args: '<td align=left><img src=(.*?) width' }],
            },
            size: { selector: 'td:nth-child(7)' },
            grabs: { selector: 'td:nth-child(8)' },
            seeders: { selector: 'td:nth-child(9)' },
            leechers: { selector: 'td:nth-child(10)' },
            date: {
                selector: 'small > i',
                filters: [
                    { name: 'replace', args: ['Date: ', ''] },
                    { name: 'replace', args: ['le ', ''] },
                    { name: 'dateparse', args: '15:04:05 02-01-2006' },
                ],
            },
            downloadvolumefactor: {
                case: { 'img[src="images/free.gif"]': '0', '*': '1' },
            },
            uploadvolumefactor: { case: { '*': '1' } },
        },
    },
    source: 'jackett',
};
