"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.definition = void 0;
exports.definition = {
    site: 'tekno3d',
    name: 'TEKNO3D',
    description: 'TEKNO3D is a Private Torrent Tracker for MOVIES / TV',
    language: 'en-US',
    type: 'private',
    encoding: 'UTF-8',
    links: ['https://tracker.tekno3d.com/'],
    caps: {
        categorymappings: [
            { id: '9', cat: 'TV/Anime', desc: 'Anime' },
            { id: '1', cat: 'PC/0day', desc: 'Apps' },
            { id: '29', cat: 'Audio', desc: 'Audio Tracks' },
            { id: '26', cat: 'Movies/UHD', desc: 'BETA UHD HDR-X' },
            { id: '32', cat: 'Movies', desc: 'Dolby Vision' },
            { id: '5', cat: 'TV', desc: 'Episodes' },
            { id: '28', cat: 'Movies', desc: 'INTERNAL HDR-X' },
            { id: '3', cat: 'Movies', desc: 'Movies' },
            { id: '17', cat: 'Movies/HD', desc: 'Movies/1080p BACKUP' },
            { id: '18', cat: 'Movies/HD', desc: 'Movies/1080p HDR' },
            { id: '11', cat: 'Movies/HD', desc: 'Movies/HDTV' },
            { id: '16', cat: 'Movies/UHD', desc: 'Movies/UltraHD 4K HDR' },
            { id: '19', cat: 'Movies/UHD', desc: 'Movies/UltraHD 4K SDR' },
            { id: '21', cat: 'TV/HD', desc: 'TV Series/1080p SDR' },
            { id: '22', cat: 'TV/UHD', desc: 'TV Series/Ultra HD 4K HDR' },
            { id: '20', cat: 'TV/UHD', desc: 'TV Series/Ultra HD 4K SDR' },
            { id: '31', cat: 'Other', desc: 'YouTube HDR' },
            { id: '30', cat: 'Other', desc: '[SAMPLES] INTERNAL HDR-X' },
        ],
        modes: {
            search: ['q'],
            'tv-search': ['q', 'season', 'ep'],
            'movie-search': ['q'],
        },
    },
    settings: [
        { name: 'username', type: 'text', label: 'Username' },
        { name: 'password', type: 'password', label: 'Password' },
        {
            name: 'incldead',
            type: 'select',
            label: 'Search Torrents that are:',
            default: '0',
            options: { '0': 'Active', '1': 'Including Dead', '2': 'Only Dead' },
        },
        {
            name: 'onlyfree',
            type: 'checkbox',
            label: 'Show only Free torrents',
            default: false,
        },
        {
            name: 'info',
            type: 'info',
            label: 'Results Per Page',
            default: "For best results, change the 'Torrents per page' setting to 100 on your profile.",
        },
    ],
    login: {
        path: 'login.php',
        method: 'form',
        form: 'form[action="takelogin.php"]',
        inputs: {
            username: '{{ .Config.username }}',
            password: '{{ .Config.password }}',
            use_ssl: 0,
            perm_ssl: 0,
        },
        error: [{ selector: 'h2', message: { selector: 'table tr td.colhead2' } }],
        test: {
            path: 'browse.php',
            selector: 'a[href*="logout.php?hash_please="]',
        },
    },
    search: {
        paths: [{ path: 'browse.php' }],
        inputs: {
            $raw: '{{range .Categories}}c{{.}}=1&{{end}}',
            search: '{{ .Keywords }}',
            searchin: 'title',
            incldead: '{{ .Config.incldead }}',
            only_free: '{{ if .Config.onlyfree }}1{{else}}0{{end}}',
        },
        keywordsfilters: [{ name: 're_replace', args: ['(\\w+)', ' +$1'] }],
        rows: {
            selector: 'tr.highlight, tr.browse_color, tr.freeleech_color, tr[id^="kdescr"]',
            after: 1,
        },
        fields: {
            category: {
                selector: 'a[href^="browse.php?cat="]',
                attribute: 'href',
                filters: [{ name: 'querystring', args: 'cat' }],
            },
            title: {
                selector: 'a[href^="details.php?id="]',
                attribute: 'onmouseover',
                filters: [
                    { name: 'split', args: ['>', '1'] },
                    { name: 'replace', args: ['</b', ''] },
                ],
            },
            banner: {
                selector: 'a[href^="details.php?id="]',
                optional: true,
                attribute: 'onmouseover',
                filters: [{ name: 'regexp', args: "src=\\\\\\'(.+?)\\\\\\'" }],
            },
            details: {
                selector: 'a[href^="details.php?id="]',
                attribute: 'href',
            },
            download: {
                selector: 'a[href^="download.php?torrent="]',
                attribute: 'href',
            },
            files: { selector: 'td:nth-of-type(5)' },
            date: {
                selector: 'td:nth-of-type(7):not(:contains("day"))',
                optional: true,
                filters: [{ name: 'dateparse', args: 'Jan 2 2006 03:04 PM' }],
            },
            size: { selector: 'td:nth-of-type(8)' },
            grabs: {
                selector: 'td:nth-of-type(9)',
                filters: [{ name: 'regexp', args: '([\\d]+)' }],
            },
            seeders: { selector: 'td:nth-of-type(10)' },
            leechers: { selector: 'td:nth-of-type(11)' },
            description: {
                selector: 'td[colspan="14"]',
                filters: [{ name: 'replace', args: ['\n', '<br>\n'] }],
            },
            downloadvolumefactor: {
                case: { 'a.info:contains("FREE")': 0, '*': 1 },
            },
            uploadvolumefactor: { text: 1 },
        },
    },
    source: 'jackett',
};
