"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.definition = void 0;
exports.definition = {
    site: 'tenyardtracker',
    name: 'TenYardTracker',
    description: 'TenYardTorrents (TYT) is a Private Torrent Tracker for AMERICAN FOOTBALL',
    language: 'en-US',
    type: 'private',
    encoding: 'UTF-8',
    certificates: ['C77A88F4AC9798E3E5B18C4AA6CE2ABF32ECF025'],
    links: ['https://tenyardtracker.com/'],
    legacylinks: ['http://tenyardtracker.com/'],
    caps: {
        modes: { search: ['q'], 'tv-search': ['q', 'season', 'ep'] },
        categorymappings: [{ id: '1', cat: 'TV' }],
    },
    login: {
        path: 'members.php?action=takelogin',
        method: 'post',
        inputs: {
            username: '{{ .Config.username }}',
            password: '{{ .Config.password }}',
        },
        error: [{ selector: 'div:contains("Login Failed")' }],
        test: { path: 'my.php' },
    },
    ratio: { path: 'browse.php', selector: null },
    search: {
        paths: [{ path: 'browse.php' }],
        inputs: {
            $raw: '{{range .Categories}}filter_cat[{{.}}]=1&{{end}}',
            search: '{{ .Query.Keywords }}',
        },
        rows: { selector: 'table[border="1"] tr:not(:first-child)' },
        fields: {
            category: { text: 1 },
            title: { selector: 'td:nth-child(2)' },
            download: {
                selector: 'a[href^="details.php?id="]',
                attribute: 'href',
                filters: [
                    {
                        name: 'replace',
                        args: ['details.php?id=', 'download.php?torrent='],
                    },
                ],
            },
            details: {
                selector: 'a[href^="details.php?id="]',
                attribute: 'href',
            },
            files: { selector: 'td:nth-child(3)' },
            date: { selector: 'td:nth-child(5)' },
            size: { selector: 'td:nth-child(6)' },
            seeders: { selector: 'td:nth-child(8)' },
            leechers: { selector: 'td:nth-child(9)' },
            downloadvolumefactor: { case: { '*': '1' } },
            uploadvolumefactor: { case: { '*': '1' } },
        },
    },
    source: 'jackett',
};
