"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.definition = void 0;
exports.definition = {
    site: 'thefallingangels',
    name: 'The Falling Angels',
    description: 'The Falling Angels (TFA) is a German Private site for TV / MOVIES / GENERAL',
    language: 'de-DE',
    type: 'private',
    encoding: 'UTF-8',
    links: ['https://tfa.tf/'],
    caps: {
        categorymappings: [
            { id: '107', cat: 'PC/0day', desc: 'Apps Windows' },
            { id: '132', cat: 'PC/Mac', desc: 'Apps Mac-OSX' },
            { id: '105', cat: 'PC/Phone-Other', desc: 'Apps Other' },
            { id: '116', cat: 'PC/Games', desc: 'Games PC' },
            { id: '155', cat: 'Console/NDS', desc: 'Games Nintendo DS' },
            { id: '134', cat: 'Console', desc: 'Games Switch' },
            { id: '138', cat: 'Console/Wii', desc: 'Games Nintendo Wii' },
            { id: '124', cat: 'Console/PSP', desc: 'Games PSP / PS 1-4' },
            { id: '139', cat: 'Console/Xbox', desc: 'Games XBOX' },
            { id: '140', cat: 'Movies/HD', desc: 'Movies HD' },
            { id: '141', cat: 'Movies/SD', desc: 'Movies SD' },
            { id: '125', cat: 'Movies/UHD', desc: 'Movies Ultra HD' },
            { id: '104', cat: 'Movies/Other', desc: 'Movies Packs' },
            { id: '100', cat: 'Movies', desc: 'Movies Horror' },
            { id: '142', cat: 'Movies/DVD', desc: 'Movies DVD' },
            { id: '143', cat: 'Movies/BluRay', desc: 'Bluray' },
            { id: '144', cat: 'Movies/DVD', desc: 'Movies S-DVD' },
            { id: '133', cat: 'Movies/Foreign', desc: 'Movies Englisch' },
            { id: '101', cat: 'Movies/HD', desc: "TFA AVCHD's" },
            { id: '103', cat: 'Movies/DVD', desc: "TFA Special DVD's" },
            { id: '108', cat: 'TV/Documentary', desc: 'Dokus HD' },
            { id: '113', cat: 'TV/Documentary', desc: 'Dokus SD' },
            { id: '154', cat: 'TV/Documentary', desc: 'Dokus Pack' },
            { id: '149', cat: 'TV/HD', desc: 'Serien HD' },
            { id: '151', cat: 'TV/SD', desc: 'Serien SD' },
            { id: '150', cat: 'TV/Other', desc: 'Serien Pack' },
            { id: '136', cat: 'TV/Foreign', desc: 'Serien Englisch' },
            { id: '152', cat: 'TV/Sport', desc: 'Sport HD' },
            { id: '153', cat: 'TV/Sport', desc: 'Sport SD' },
            { id: '135', cat: 'TV/Sport', desc: 'Sport Ultra HD' },
            { id: '106', cat: 'TV/Sport', desc: 'Sport Pack' },
            { id: '147', cat: 'Audio/MP3', desc: 'Music MP3' },
            { id: '145', cat: 'Audio/Lossless', desc: 'Music Flac' },
            { id: '137', cat: 'Audio', desc: 'Music M4A' },
            { id: '109', cat: 'Audio', desc: 'Music Discographie' },
            { id: '146', cat: 'Audio/Other', desc: 'Music Pack' },
            { id: '148', cat: 'Audio/Video', desc: 'Music Video' },
            { id: '157', cat: 'Movies/HD', desc: 'Kids Movies HD' },
            { id: '158', cat: 'Movies/SD', desc: 'Kids Movies SD' },
            { id: '161', cat: 'TV/HD', desc: 'Kids Serien HD' },
            { id: '162', cat: 'TV/SD', desc: 'Kids Serien SD' },
            { id: '112', cat: 'Audio/Audiobook', desc: 'Kids Hörbuch' },
            { id: '115', cat: 'Books/Magazines', desc: 'Books Zeitschriften' },
            { id: '114', cat: 'Books/Comics', desc: 'Books Comics' },
            { id: '117', cat: 'Books/Ebook', desc: 'Books Romane' },
            { id: '156', cat: 'Books', desc: 'Books Packs' },
            { id: '130', cat: 'Books', desc: 'Books FSK 18' },
            { id: '159', cat: 'TV/Anime', desc: 'Anime Movies HD' },
            { id: '160', cat: 'TV/Anime', desc: 'Anime Movies SD' },
            { id: '128', cat: 'TV/Anime', desc: 'Anime Serien' },
            { id: '131', cat: 'TV/Anime', desc: 'Anime Hentai' },
            { id: '129', cat: 'TV/Anime', desc: 'Anime Sonstiges' },
            { id: '119', cat: 'Other', desc: 'Other Hörbücher' },
            { id: '118', cat: 'Other', desc: 'Other Mobile' },
            { id: '123', cat: 'Other', desc: 'Other Pics' },
            { id: '120', cat: 'XXX', desc: 'XXX Movies HD' },
            { id: '121', cat: 'XXX', desc: 'XXX Movies SD' },
            { id: '122', cat: 'XXX', desc: 'XXX Movies Pack' },
            { id: '110', cat: 'XXX', desc: 'XXX Pics' },
        ],
        modes: {
            search: ['q'],
            'tv-search': ['q', 'season', 'ep'],
            'movie-search': ['q'],
        },
    },
    settings: [
        { name: 'username', type: 'text', label: 'Username' },
        { name: 'password', type: 'password', label: 'Password' },
        { name: 'pin', type: 'text', label: 'Pin' },
        {
            name: 'sort',
            type: 'select',
            label: 'Sort requested from site',
            default: 'added',
            options: {
                added: 'created',
                seeds: 'seeders',
                size: 'size',
                name: 'title',
            },
        },
        {
            name: 'type',
            type: 'select',
            label: 'Order requested from site',
            default: 'desc',
            options: { desc: 'desc', asc: 'asc' },
        },
    ],
    login: {
        path: 'login.php',
        method: 'form',
        form: 'form[action="/login.php"]',
        cookies: ['JAVA=OK'],
        inputs: {
            username: '{{ .Config.username }}',
            password: '{{ .Config.password }}',
            pin: '{{ .Config.pin }}',
        },
        error: [{ selector: 'div#login_error' }],
        test: { path: 'index.php', selector: 'a[href="logout.php"]' },
    },
    search: {
        paths: [{ path: 'selection.php' }],
        inputs: {
            $raw: '{{ range .Categories }}c{{.}}=1&{{end}}',
            search: '{{ .Keywords }}',
            blah: 0,
            orderby: '{{ .Config.sort }}',
            sort: '{{ .Config.type }}',
        },
        rows: { selector: 'div.selection_wrap' },
        fields: {
            category: {
                selector: 'div.kat_cat_pic',
                case: {
                    ':has(div.kat_cat_pic_name:contains("Apps")):has(div.kat_cat_pic_name_b:contains("Win"))': 107,
                    ':has(div.kat_cat_pic_name:contains("Apps")):has(div.kat_cat_pic_name_b:contains("Mac"))': 132,
                    ':has(div.kat_cat_pic_name:contains("Apps")):has(div.kat_cat_pic_name_b:contains("Oth"))': 105,
                    ':has(div.kat_cat_pic_name:contains("Game")):has(div.kat_cat_pic_name_b:contains("PC"))': 116,
                    ':has(div.kat_cat_pic_name:contains("Game")):has(div.kat_cat_pic_name_b:contains("DS"))': 155,
                    ':has(div.kat_cat_pic_name:contains("Game")):has(div.kat_cat_pic_name_b:contains("Swi"))': 134,
                    ':has(div.kat_cat_pic_name:contains("Game")):has(div.kat_cat_pic_name_b:contains("Wii"))': 138,
                    ':has(div.kat_cat_pic_name:contains("Game")):has(div.kat_cat_pic_name_b:contains("PS"))': 124,
                    ':has(div.kat_cat_pic_name:contains("Game")):has(div.kat_cat_pic_name_b:contains("XBOX"))': 139,
                    ':has(div.kat_cat_pic_name:contains("Movie")):has(div.kat_cat_pic_name_b:contains("Ult"))': 125,
                    ':has(div.kat_cat_pic_name:contains("Movie")):has(div.kat_cat_pic_name_b:contains("HD"))': 140,
                    ':has(div.kat_cat_pic_name:contains("Movie")):has(div.kat_cat_pic_name_b:contains("SD"))': 141,
                    ':has(div.kat_cat_pic_name:contains("Movie")):has(div.kat_cat_pic_name_b:contains("Pac"))': 104,
                    ':has(div.kat_cat_pic_name:contains("Movie")):has(div.kat_cat_pic_name_b:contains("Hor"))': 100,
                    ':has(div.kat_cat_pic_name:contains("Movie")):has(div.kat_cat_pic_name_b:contains("S-DVD"))': 144,
                    ':has(div.kat_cat_pic_name:contains("Movie")):has(div.kat_cat_pic_name_b:contains("DVD"))': 142,
                    ':has(div.kat_cat_pic_name:contains("Movie")):has(div.kat_cat_pic_name_b:contains("Blu"))': 143,
                    ':has(div.kat_cat_pic_name:contains("Movie")):has(div.kat_cat_pic_name_b:contains("Eng"))': 133,
                    ':has(div.kat_cat_pic_name:contains("Movie")):has(div.kat_cat_pic_name_b:contains("AVC"))': 101,
                    ':has(div.kat_cat_pic_name:contains("Movie")):has(div.kat_cat_pic_name_b:contains("Spe"))': 103,
                    ':has(div.kat_cat_pic_name:contains("Dokus")):has(div.kat_cat_pic_name_b:contains("HD"))': 108,
                    ':has(div.kat_cat_pic_name:contains("Dokus")):has(div.kat_cat_pic_name_b:contains("SD"))': 113,
                    ':has(div.kat_cat_pic_name:contains("Dokus")):has(div.kat_cat_pic_name_b:contains("Pac"))': 154,
                    ':has(div.kat_cat_pic_name:contains("Serien")):has(div.kat_cat_pic_name_b:contains("HD"))': 149,
                    ':has(div.kat_cat_pic_name:contains("Serien")):has(div.kat_cat_pic_name_b:contains("SD"))': 151,
                    ':has(div.kat_cat_pic_name:contains("Serien")):has(div.kat_cat_pic_name_b:contains("Pac"))': 150,
                    ':has(div.kat_cat_pic_name:contains("Serien")):has(div.kat_cat_pic_name_b:contains("Eng"))': 136,
                    ':has(div.kat_cat_pic_name:contains("Sport")):has(div.kat_cat_pic_name_b:contains("Ult"))': 135,
                    ':has(div.kat_cat_pic_name:contains("Sport")):has(div.kat_cat_pic_name_b:contains("HD"))': 152,
                    ':has(div.kat_cat_pic_name:contains("Sport")):has(div.kat_cat_pic_name_b:contains("SD"))': 153,
                    ':has(div.kat_cat_pic_name:contains("Sport")):has(div.kat_cat_pic_name_b:contains("Pac"))': 106,
                    ':has(div.kat_cat_pic_name:contains("Music")):has(div.kat_cat_pic_name_b:contains("MP3"))': 147,
                    ':has(div.kat_cat_pic_name:contains("Music")):has(div.kat_cat_pic_name_b:contains("Flac"))': 145,
                    ':has(div.kat_cat_pic_name:contains("Music")):has(div.kat_cat_pic_name_b:contains("M4A"))': 137,
                    ':has(div.kat_cat_pic_name:contains("Music")):has(div.kat_cat_pic_name_b:contains("Dis"))': 109,
                    ':has(div.kat_cat_pic_name:contains("Music")):has(div.kat_cat_pic_name_b:contains("Pac"))': 146,
                    ':has(div.kat_cat_pic_name:contains("Music")):has(div.kat_cat_pic_name_b:contains("Vid"))': 148,
                    ':has(div.kat_cat_pic_name:contains("Kids")):has(div.kat_cat_pic_name_b:contains("s HD"))': 157,
                    ':has(div.kat_cat_pic_name:contains("Kids")):has(div.kat_cat_pic_name_b:contains("s SD"))': 158,
                    ':has(div.kat_cat_pic_name:contains("Kids")):has(div.kat_cat_pic_name_b:contains("n HD"))': 161,
                    ':has(div.kat_cat_pic_name:contains("Kids")):has(div.kat_cat_pic_name_b:contains("n SD"))': 162,
                    ':has(div.kat_cat_pic_name:contains("Kids")):has(div.kat_cat_pic_name_b:contains("buch"))': 112,
                    ':has(div.kat_cat_pic_name:contains("Books")):has(div.kat_cat_pic_name_b:contains("Zeit"))': 115,
                    ':has(div.kat_cat_pic_name:contains("Books")):has(div.kat_cat_pic_name_b:contains("Com"))': 114,
                    ':has(div.kat_cat_pic_name:contains("Books")):has(div.kat_cat_pic_name_b:contains("Rom"))': 117,
                    ':has(div.kat_cat_pic_name:contains("Books")):has(div.kat_cat_pic_name_b:contains("Pac"))': 156,
                    ':has(div.kat_cat_pic_name:contains("Books")):has(div.kat_cat_pic_name_b:contains("FSK"))': 130,
                    ':has(div.kat_cat_pic_name:contains("Anime")):has(div.kat_cat_pic_name_b:contains("HD"))': 159,
                    ':has(div.kat_cat_pic_name:contains("Anime")):has(div.kat_cat_pic_name_b:contains("SD"))': 160,
                    ':has(div.kat_cat_pic_name:contains("Anime")):has(div.kat_cat_pic_name_b:contains("Ser"))': 128,
                    ':has(div.kat_cat_pic_name:contains("Anime")):has(div.kat_cat_pic_name_b:contains("Hen"))': 131,
                    ':has(div.kat_cat_pic_name:contains("Anime")):has(div.kat_cat_pic_name_b:contains("Son"))': 129,
                    ':has(div.kat_cat_pic_name:contains("Other")):has(div.kat_cat_pic_name_b:contains("cher"))': 119,
                    ':has(div.kat_cat_pic_name:contains("Other")):has(div.kat_cat_pic_name_b:contains("Mob"))': 118,
                    ':has(div.kat_cat_pic_name:contains("Other")):has(div.kat_cat_pic_name_b:contains("Pic"))': 123,
                    ':has(div.kat_cat_pic_name:contains("XXX")):has(div.kat_cat_pic_name_b:contains("HD"))': 120,
                    ':has(div.kat_cat_pic_name:contains("XXX")):has(div.kat_cat_pic_name_b:contains("SD"))': 121,
                    ':has(div.kat_cat_pic_name:contains("XXX")):has(div.kat_cat_pic_name_b:contains("Pac"))': 122,
                    ':has(div.kat_cat_pic_name:contains("XXX")):has(div.kat_cat_pic_name_b:contains("Pic"))': 110,
                },
            },
            title: {
                selector: 'a.selection_a',
                filters: [
                    { name: 're_replace', args: ['^\\[[\\w ]*\\]\\s?', ''] },
                    { name: 're_replace', args: ['^\\[[\\w ]*\\]\\s?', ''] },
                ],
            },
            details: { selector: 'a.selection_a', attribute: 'href' },
            download: {
                selector: 'a[href^="download_ssl.php?torrent="]',
                optional: true,
                attribute: 'href',
            },
            banner: { selector: 'div[id^="details"] img', attribute: 'src' },
            size: {
                selector: 'div.selection_unter_ad',
                filters: [
                    { name: 'replace', args: ['.', ''] },
                    { name: 'replace', args: [',', '.'] },
                ],
            },
            grabs: {
                selector: 'div.selection_unter_ae',
                filters: [
                    { name: 'trim', args: 'x' },
                    { name: 'replace', args: ['.', ''] },
                    { name: 'replace', args: [',', '.'] },
                ],
            },
            date: {
                selector: 'div.selection_unter_ab:contains(".")',
                optional: true,
                filters: [
                    { name: 'replace', args: [' um', ''] },
                    { name: 'dateparse', args: '02.01.2006 15:04:05' },
                ],
            },
            description: { selector: 'selection_unter_af', optional: true },
            seeders: {
                selector: 'div.selection_unter_aa',
                filters: [
                    { name: 'replace', args: ['.', ''] },
                    { name: 'replace', args: [',', '.'] },
                ],
            },
            leechers: {
                selector: 'div.selection_unter_aaa',
                filters: [
                    { name: 'replace', args: ['.', ''] },
                    { name: 'replace', args: [',', '.'] },
                ],
            },
            downloadvolumefactor: {
                case: {
                    'div[onmouseover="return overlib(\'OnlyUp: Ja\');"]': 0,
                    'div[onmouseover="return overlib(\'Freeleech: Ja\');"]': 0,
                    '*': 1,
                },
            },
            uploadvolumefactor: {
                case: {
                    'div[onmouseover="return overlib(\'Freeleech: Ja\');"]': 0,
                    '*': 1,
                },
            },
        },
    },
    source: 'jackett',
};
