"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.definition = void 0;
exports.definition = {
    site: 'tntvillage',
    name: 'TNTVillage',
    description: 'TNTVillage is an ITALIAN Public site for TV / MOVIES / GENERAL',
    language: 'it-IT',
    type: 'public',
    encoding: 'UTF-8',
    links: ['http://tntvillage.scambioetico.org/'],
    legacylinks: ['http://www.tntvillage.scambioetico.org/'],
    caps: {
        categorymappings: [
            { id: '4', cat: 'Movies', desc: 'Film' },
            { id: '2', cat: 'Audio', desc: 'Musica' },
            { id: '1', cat: 'TV', desc: 'Film TV e programmi' },
            { id: '14', cat: 'TV/Documentary', desc: 'Documentari' },
            { id: '13', cat: 'Other', desc: 'Students Releases' },
            { id: '3', cat: 'Books/Ebook', desc: 'E Books' },
            { id: '6', cat: 'PC', desc: 'Linux' },
            { id: '7', cat: 'TV/Anime', desc: 'Anime' },
            { id: '8', cat: 'TV/Anime', desc: 'Cartoni' },
            { id: '9', cat: 'PC/Mac', desc: 'Macintosh' },
            { id: '10', cat: 'PC/0day', desc: 'Windows Software' },
            { id: '11', cat: 'PC/Games', desc: 'Pc Game' },
            { id: '12', cat: 'Console/PSP', desc: 'Playstation' },
            { id: '21', cat: 'Audio/Video', desc: 'Video Musicali' },
            { id: '22', cat: 'TV/Sport', desc: 'Sport' },
            { id: '23', cat: 'TV', desc: 'Teatro' },
            { id: '24', cat: 'TV/Sport', desc: 'Wrestling' },
            { id: '25', cat: 'TV', desc: 'Varie' },
            { id: '26', cat: 'Console/Xbox', desc: 'Xbox' },
            { id: '27', cat: 'Other', desc: 'Immagini sfondi' },
            { id: '28', cat: 'Console', desc: 'Altri Giochi' },
            { id: '29', cat: 'TV', desc: 'Serie TV' },
            { id: '30', cat: 'Books/Comics', desc: 'Fumetteria' },
            { id: '31', cat: 'Other', desc: 'Trash' },
            { id: '32', cat: 'Console/NDS', desc: 'Nintendo' },
            { id: '34', cat: 'Audio/Audiobook', desc: 'A Book' },
            { id: '35', cat: 'Audio', desc: 'Podcast' },
            { id: '36', cat: 'Books/Magazines', desc: 'Edicola' },
            { id: '37', cat: 'PC/Phone-Other', desc: 'Mobile' },
        ],
        modes: {
            search: ['q'],
            'tv-search': ['q', 'season', 'ep'],
            'movie-search': ['q'],
        },
    },
    settings: [],
    search: {
        paths: [{ path: 'src/releaselist.php', method: 'post' }],
        headers: { Referer: ['{{ .Config.sitelink }}?releaselist'] },
        inputs: { cat: 0, page: 1, srcrel: '{{ .Keywords }}' },
        keywordsfilters: [{ name: 'diacritics', args: 'replace' }],
        rows: {
            selector: 'div.showrelease_tb table tbody tr:not(tr:nth-child(1))',
        },
        fields: {
            category: {
                selector: 'td:nth-child(3) a',
                attribute: 'href',
                filters: [
                    { name: 'split', args: ['=', '-1'] },
                    {
                        name: 're_replace',
                        args: ['(?i)\\b([s])?(\\d{1,3})[x\\s](\\d{1,3})', 'S$2E$3'],
                    },
                    { name: 're_replace', args: ['(?i)web-?\\s?dlmux', 'WEB-DL'] },
                ],
            },
            title: { selector: 'td:nth-child(7)' },
            details: { selector: 'td:nth-child(7) a', attribute: 'href' },
            download: { selector: 'td:nth-child(1) a', attribute: 'href' },
            magnet: { selector: 'td:nth-child(2) a', attribute: 'href' },
            date: { text: 'now' },
            size: {
                selector: 'td:nth-child(3) a',
                case: {
                    'a[href*="&cat=4"]': '5GB',
                    'a[href*="&cat=2"]': '100MB',
                    'a[href*="&cat=30"]': '100MB',
                    '*': '2GB',
                },
            },
            seeders: { selector: 'td:nth-child(5)' },
            leechers: { selector: 'td:nth-child(4)' },
            grabs: { selector: 'td:nth-child(6)' },
            downloadvolumefactor: { text: 0 },
            uploadvolumefactor: { text: 1 },
        },
    },
    source: 'jackett',
};
