"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.definition = void 0;
exports.definition = {
    site: 'torrentsectorcrew',
    name: 'Torrent Sector Crew',
    description: 'Torrent Sector Crew (TSC) is a GERMAN Private Torrent Tracker for MOVIES / TV / GENERAL',
    language: 'de-DE',
    type: 'private',
    encoding: 'ISO-8859-1',
    links: ['https://tsctracker.org/'],
    legacylinks: ['https://tsctracker.net/'],
    caps: {
        categorymappings: [
            { id: '65', cat: 'PC/Phone-Android', desc: 'Apps Android' },
            { id: '83', cat: 'PC/Phone-IOS', desc: 'Apps iOS' },
            { id: '107', cat: 'PC/0day', desc: 'Apps Linux' },
            { id: '48', cat: 'PC/Mac', desc: 'Apps MAC' },
            { id: '109', cat: 'PC', desc: 'Apps Sonstige' },
            { id: '22', cat: 'PC/0day', desc: 'Apps Win' },
            { id: '24', cat: 'Audio/Audiobook', desc: 'Audio aBooks' },
            { id: '104', cat: 'Audio', desc: "Audio Disco's" },
            { id: '38', cat: 'Audio/Audiobook', desc: 'Audio Hörspiel' },
            { id: '6', cat: 'Audio', desc: 'Audio Musik' },
            { id: '82', cat: 'Audio', desc: 'Audio Tracks' },
            { id: '29', cat: 'Audio/Video', desc: 'Audio Videos' },
            { id: '113', cat: 'TV/Documentary', desc: 'Doku 3D' },
            { id: '76', cat: 'TV/Documentary', desc: 'Doku HD' },
            { id: '78', cat: 'TV/Documentary', desc: 'Doku Packs' },
            { id: '75', cat: 'TV/Documentary', desc: 'Doku SD' },
            { id: '114', cat: 'TV/Documentary', desc: 'Doku Sonstige' },
            { id: '77', cat: 'TV/Documentary', desc: 'Doku Untouched' },
            { id: '54', cat: 'Movies/HD', desc: 'Filme 1080p' },
            { id: '5', cat: 'Movies/3D', desc: 'Filme 3D' },
            { id: '55', cat: 'Movies/HD', desc: 'Filme 720p' },
            { id: '111', cat: 'Movies', desc: 'Filme Anime' },
            { id: '43', cat: 'Movies/BluRay', desc: 'Filme BluRay' },
            { id: '20', cat: 'Movies/DVD', desc: 'Filme DVDR' },
            { id: '120', cat: 'Movies/Foreign', desc: 'Filme Int.' },
            { id: '119', cat: 'Movies', desc: 'Filme Remux' },
            { id: '121', cat: 'Movies/UHD', desc: 'Filme UHD' },
            { id: '124', cat: 'Movies/UHD', desc: 'Filme UHD Remux' },
            { id: '36', cat: 'Movies/HD', desc: 'Filme SD' },
            { id: '112', cat: 'TV/Anime', desc: 'Serien Anime' },
            { id: '69', cat: 'TV/HD', desc: 'Serien HD' },
            { id: '72', cat: 'TV/Foreign', desc: 'Serien Int.' },
            { id: '68', cat: 'TV', desc: 'Serien Packs' },
            { id: '66', cat: 'TV/SD', desc: 'Serien SD' },
            { id: '108', cat: 'TV', desc: 'Serien TV-Shows' },
            { id: '117', cat: 'Other', desc: 'Sonstige Diverses' },
            { id: '28', cat: 'Books', desc: 'Sonstige eBooks' },
            { id: '42', cat: 'TV/Sport', desc: 'Sonstige Sport' },
            { id: '103', cat: 'Other', desc: 'Sonstige Tutorials' },
            { id: '9', cat: 'Other', desc: 'Sonstige Wallpaper' },
            { id: '64', cat: 'XXX', desc: 'Sonstige XXX' },
            { id: '115', cat: 'PC/Mac', desc: 'Spiele MAC' },
            { id: '37', cat: 'Console/NDS', desc: 'Spiele Nintendo' },
            { id: '4', cat: 'PC/Games', desc: 'Spiele PC' },
            { id: '58', cat: 'Console/PS4', desc: 'Spiele PSX' },
            { id: '116', cat: 'Other', desc: 'Spiele Sonstige' },
            { id: '50', cat: 'Console/Xbox', desc: 'Spiele XBOX' },
        ],
        modes: {
            search: ['q'],
            'tv-search': ['q', 'season', 'ep'],
            'movie-search': ['q'],
        },
    },
    settings: [
        { name: 'username', type: 'text', label: 'Username' },
        { name: 'password', type: 'password', label: 'Password' },
        { name: 'pin', type: 'text', label: 'Pin' },
        {
            name: 'info_results',
            type: 'info',
            label: 'Search results',
            default: '<ol><li>Only the Classic profile is supported.<li>Make sure to set the <b>TorrentList-Layout</b> option in your profile to <b>Klassisches Layout, sehr breite Darstellung.</b><li>And for best results set the <b>Torrents pro Seite</b> to <b>100.</b></ol>',
        },
        {
            name: 'sort',
            type: 'select',
            label: 'Sort requested from site',
            default: 'added',
            options: {
                added: 'created',
                seeds: 'seeders',
                size: 'size',
                name: 'title',
            },
        },
        {
            name: 'type',
            type: 'select',
            label: 'Order requested from site',
            default: 'desc',
            options: { desc: 'desc', asc: 'asc' },
        },
    ],
    login: {
        path: 'landing.php',
        method: 'form',
        form: 'form',
        inputs: {
            username: '{{ .Config.username }}',
            password: '{{ .Config.password }}',
            pin: '{{ .Config.pin }}',
        },
        error: [{ selector: '#login_box_desc' }],
        test: { path: 'my.php' },
    },
    ratio: {
        path: 'my.php',
        selector: 'td.navi_top:contains("Deine Ratio:")',
        filters: [
            { name: 'replace', args: ['Deine Ratio: ', ''] },
            { name: 'replace', args: ['.', ''] },
            { name: 'replace', args: [',', '.'] },
        ],
    },
    search: {
        paths: [{ path: 'browse.php' }],
        inputs: {
            $raw: '{{ range .Categories }}c{{.}}=1&{{end}}',
            search: '{{ .Keywords }}',
            incldead: 1,
            orderby: '{{ .Config.sort }}',
            sort: '{{ .Config.type }}',
        },
        rows: {
            selector: 'table.tablebrowse > tbody > tr:has(a[href^="download_ssl.php"])',
        },
        fields: {
            title: {
                selector: 'a[title][href^="details.php"]',
                attribute: 'title',
            },
            category: {
                selector: 'a[href*="cat="]',
                attribute: 'href',
                filters: [{ name: 'querystring', args: 'cat' }],
            },
            comments: { selector: 'a[href*="&tocomm="]', attribute: 'href' },
            download: {
                selector: 'a[href^="download_ssl.php"]',
                attribute: 'href',
            },
            banner: { selector: 'a.thumbnail > span > img', attribute: 'src' },
            grabs: {
                selector: 'td:nth-child(9)',
                filters: [{ name: 'regexp', args: '(\\d+)' }],
            },
            size: {
                selector: 'td:nth-child(6)',
                filters: [
                    { name: 'replace', args: ['.', ''] },
                    { name: 'replace', args: [',', '.'] },
                ],
            },
            files: { selector: 'a[href*="&filelist=1"]' },
            seeders: {
                selector: 'td:has(a[href*="&toseeders="])',
                filters: [{ name: 'regexp', args: '(\\d+)' }],
            },
            leechers: {
                selector: 'td:has(a[href*="&todlers="])',
                filters: [{ name: 'regexp', args: '(\\d+)' }],
            },
            date: {
                selector: 'td:nth-child(5)',
                filters: [
                    { name: 're_replace', args: ['\\s', ' '] },
                    { name: 'dateparse', args: '02.01.200615:04:05' },
                ],
            },
            downloadvolumefactor: {
                case: {
                    'font[color="#730d1e"]:contains("[OnlyUpload]")': 0,
                    '*': 1,
                },
            },
            uploadvolumefactor: { case: { '*': 1 } },
        },
    },
    source: 'jackett',
};
