"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.definition = void 0;
exports.definition = {
    site: 'torrentv',
    name: 'Torrentv',
    description: 'Torrentv is a Public tracker for MOVIES',
    language: 'en-US',
    type: 'public',
    encoding: 'UTF-8',
    links: ['https://torrentv.org/'],
    caps: {
        modes: { search: ['q'], 'movie-search': ['q'] },
        categorymappings: [{ id: '1', cat: 'Movies' }],
    },
    settings: [
        {
            name: 'sort',
            type: 'select',
            label: 'Sort requested from site (Applies only to Keyword searches)',
            default: 'td-1',
            options: { 'td-1': 'created', 's-1': 'seeders', 'na-1': 'title' },
        },
    ],
    download: { selector: 'a[href^="magnet:?xt="]', attribute: 'href' },
    search: {
        paths: [
            {
                path: '{{ if .Keywords }}search/{{ .Keywords }}/{{ .Config.sort }}/{{else}}new.html{{end}}',
            },
        ],
        rows: { selector: 'div.grid_4' },
        fields: {
            category: { text: 1 },
            title: { selector: 'h3 a' },
            details: { selector: 'h3 a', attribute: 'href' },
            download: { selector: 'h3 a', attribute: 'href' },
            banner: { selector: 'img[src^="/pic/"]', attribute: 'src' },
            subcat: { selector: 'div.box ul li:first-child' },
            year: { selector: 'div.box ul li:contains("Year:")' },
            quality: { selector: 'div.box ul li:contains("Quality:")' },
            description: {
                text: '{{ .Result.subcat }} {{ .Result.year }} {{ .Result.quality }}',
            },
            date: { text: 'now' },
            size: {
                selector: 'div.box ul li:contains("Size:")',
                filters: [{ name: 'replace', args: ['Size:', ''] }],
            },
            seeders: {
                selector: 'div.box ul li:contains("Seed/DL:")',
                filters: [
                    { name: 'replace', args: ['Seed/DL:', ''] },
                    { name: 'split', args: ['/', 0] },
                ],
            },
            leechers: {
                selector: 'div.box ul li:contains("Seed/DL:")',
                filters: [
                    { name: 'replace', args: ['Seed/DL:', ''] },
                    { name: 'split', args: ['/', 1] },
                ],
            },
            downloadvolumefactor: { text: 0 },
            uploadvolumefactor: { text: 1 },
        },
    },
    source: 'jackett',
};
