"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.definition = void 0;
exports.definition = {
    site: 'world-of-tomorrow',
    name: 'world-of-tomorrow',
    description: 'world-of-tomorrow is a Private GERMAN tracker',
    language: 'de-DE',
    type: 'private',
    encoding: 'UTF-8',
    followredirect: true,
    links: ['https://world-of-tomorrow.eu'],
    caps: {
        categorymappings: [
            { id: '47', cat: 'Movies/HD', desc: 'Bluray' },
            { id: '48', cat: 'Movies/HD', desc: '720p' },
            { id: '49', cat: 'Movies/HD', desc: '1080p' },
            { id: '11', cat: 'Movies/SD', desc: 'DVD-R' },
            { id: '60', cat: 'Movies/HD', desc: 'HDTV' },
            { id: '62', cat: 'Movies/SD', desc: 'SD' },
            { id: '89', cat: 'Movies/UHD', desc: 'UHD' },
            { id: '91', cat: 'Movies', desc: 'Packs' },
            { id: '16', cat: 'TV', desc: 'Serien-Packs' },
            { id: '64', cat: 'TV/Documentary', desc: 'Serien-Doku' },
            { id: '77', cat: 'TV/SD', desc: 'Serien-SD' },
            { id: '78', cat: 'TV/HD', desc: 'Serien-720p' },
            { id: '79', cat: 'TV/HD', desc: 'Serien-1080p' },
            { id: '95', cat: 'TV/UHD', desc: 'Serien-2160p' },
            { id: '4', cat: 'PC/Games', desc: 'Windows' },
            { id: '84', cat: 'Console/PS3', desc: 'PS3/PS4' },
            { id: '84', cat: 'Console/PS4', desc: 'PS3/PS4' },
            { id: '85', cat: 'Console/Xbox360', desc: 'Xbox-360' },
            { id: '92', cat: 'PC/Games', desc: 'Wimmelbild' },
            { id: '14', cat: 'Audio/MP3', desc: 'MP3' },
            { id: '36', cat: 'Audio/Audiobook', desc: 'Hörbuch' },
            { id: '71', cat: 'Audio', desc: 'Soundtracks' },
            { id: '70', cat: 'Audio', desc: 'Flac' },
            { id: '72', cat: 'Audio', desc: 'Musik-Packs' },
            { id: '93', cat: 'Audio/Video', desc: 'Musik-Videos' },
            { id: '18', cat: 'PC', desc: 'Appz-Sonstige' },
            { id: '28', cat: 'PC', desc: 'Windows' },
            { id: '23', cat: 'TV/Sport', desc: 'Wrestling' },
            { id: '74', cat: 'TV/Sport', desc: 'Fussball' },
            { id: '75', cat: 'TV/Sport', desc: 'Formel 1' },
            { id: '88', cat: 'XXX', desc: 'XXX' },
            { id: '19', cat: 'Books/Ebook', desc: 'Ebooks' },
            { id: '87', cat: 'TV/Anime', desc: 'Anime/Zeichentrick' },
            { id: '96', cat: 'Other/Misc', desc: 'Sonstiges' },
        ],
        modes: {
            search: ['q'],
            'tv-search': ['q', 'season', 'ep'],
            'movie-search': ['q'],
        },
    },
    settings: [
        { name: 'username', type: 'text', label: 'Username' },
        { name: 'password', type: 'password', label: 'Password' },
        { name: 'secure_code', type: 'password', label: 'Secure Code' },
    ],
    login: {
        path: 'login.php',
        method: 'form',
        form: 'form',
        inputs: {
            take: 'yes',
            username: '{{ .Config.username }}',
            password: '{{ .Config.password }}',
            secure_code: '{{ .Config.secure_code }}',
        },
        test: { path: 'sessioncheck.php' },
    },
    search: {
        inputs: {
            search: '{{ .Query.Keywords }}',
            incldead: '1',
            showsearch: 0,
        },
        rows: { selector: 'table.table-bordered > tbody > tr' },
        fields: {
            title: { selector: 'a[href^="details.php"]' },
            category: {
                selector: 'a[href^="tfiles.php?cat="]',
                attribute: 'href',
                filters: [{ name: 'querystring', args: 'cat' }],
            },
            details: {
                selector: 'a[href^="details.php"]',
                attribute: 'href',
            },
            download: {
                selector: 'a[href^="download.php"]',
                attribute: 'href',
            },
            grabs: {
                selector: 'span:nth-child(5)',
                filters: [{ name: 'split', args: [':', 1] }],
            },
            size: {
                selector: 'span:nth-child(2)',
                filters: [
                    { name: 'split', args: [':', 1] },
                    { name: 'replace', args: ['.', ''] },
                    { name: 'replace', args: [',', '.'] },
                ],
            },
            seeders: {
                selector: 'span:nth-child(3)',
                filters: [{ name: 'split', args: [':', 1] }],
            },
            leechers: {
                selector: 'span:nth-child(4)',
                filters: [{ name: 'split', args: [':', 1] }],
            },
            date: {
                selector: 'td:nth-child(3)',
                remove: 'center, br',
                filters: [{ name: 'dateparse', args: '02.01.2006 15:04:05' }],
            },
        },
        paths: [{ path: 'tfiles.php' }],
    },
    source: 'jackett',
};
