"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.definition = void 0;
exports.definition = {
    site: 'xtremefile',
    name: 'XtremeFile',
    description: 'XtremeFile is a ROMANIAN Private Torrent Tracker for MOVIES / TV / GENERAL',
    language: 'ro-RO',
    type: 'private',
    encoding: 'ISO-8859-1',
    links: ['https://xtremefile.ro/'],
    caps: {
        categorymappings: [
            { id: '1', cat: 'TV/Anime', desc: 'Anime' },
            { id: '5', cat: 'Movies/BluRay', desc: 'Movies BluRay' },
            { id: '56', cat: 'Movies/BluRay', desc: 'Movies BluRay-Ro' },
            { id: '52', cat: 'Movies/UHD', desc: 'Movies 4K' },
            { id: '9', cat: 'Movies/DVD', desc: 'Movies DVD' },
            { id: '10', cat: 'Movies/DVD', desc: 'Movies DVD-Ro' },
            { id: '11', cat: 'Movies/HD', desc: 'Movies HD' },
            { id: '12', cat: 'Movies/HD', desc: 'Movies HD-Ro' },
            { id: '24', cat: 'Movies/SD', desc: 'Movies Xvid' },
            { id: '51', cat: 'Movies/SD', desc: 'Movies Xvid-Ro' },
            { id: '55', cat: 'Movies', desc: 'Movies Pack' },
            { id: '53', cat: 'Movies', desc: 'Movies Oldies' },
            { id: '15', cat: 'PC/Phone-Other', desc: 'Mobile' },
            { id: '20', cat: 'TV', desc: 'TV' },
            { id: '13', cat: 'TV/HD', desc: 'HDTV' },
            { id: '54', cat: 'TV', desc: 'TV Pack' },
            { id: '27', cat: 'XXX', desc: 'Adult Movies' },
            { id: '30', cat: 'PC/Games', desc: 'Games PC' },
            { id: '34', cat: 'Console', desc: 'Console' },
            { id: '28', cat: 'Audio', desc: 'Music' },
            { id: '29', cat: 'Audio/Video', desc: 'Music Videos' },
            { id: '26', cat: 'PC/0day', desc: 'Software' },
            { id: '50', cat: 'TV/Sport', desc: 'Sport' },
            { id: '43', cat: 'Other', desc: 'Misc' },
            { id: '44', cat: 'Other', desc: 'Images' },
            { id: '49', cat: 'Books', desc: 'Books' },
            { id: '45', cat: 'PC', desc: 'Linux' },
        ],
        modes: {
            search: ['q'],
            'tv-search': ['q', 'season', 'ep'],
            'movie-search': ['q'],
        },
    },
    settings: [
        { name: 'username', type: 'text', label: 'Username' },
        { name: 'password', type: 'password', label: 'Password' },
        {
            name: 'sort',
            type: 'select',
            label: 'Sort requested from site',
            default: '4',
            options: { '1': 'title', '4': 'created', '5': 'size', '7': 'seeders' },
        },
        {
            name: 'type',
            type: 'select',
            label: 'Order requested from site',
            default: 'desc',
            options: { desc: 'desc', asc: 'asc' },
        },
    ],
    login: {
        path: 'takelogin.php',
        method: 'post',
        inputs: {
            username: '{{ .Config.username }}',
            password: '{{ .Config.password }}',
        },
        error: [{ selector: 'td.embedded:has(h2:contains("failed"))' }],
        test: { path: 'my.php', selector: 'a[href="logout.php"]' },
    },
    search: {
        paths: [{ path: 'browse.php' }],
        inputs: {
            $raw: '{{ range .Categories }}c{{.}}=1&{{end}}',
            search: '{{ .Keywords }}',
            blah: 0,
            incldead: 1,
            sort: '{{ .Config.sort }}',
            type: '{{ .Config.type }}',
        },
        rows: { selector: 'table tbody tr.browse, table tbody tr.sticky' },
        fields: {
            category: {
                selector: 'a[href^="browse.php?cat="]',
                attribute: 'href',
                filters: [{ name: 'querystring', args: 'cat' }],
            },
            title: { selector: 'a[href^="details.php?id="][onmouseover]' },
            details: {
                selector: 'a[href^="details.php?id="][onmouseover]',
                attribute: 'href',
            },
            banner: {
                selector: 'a[href^="details.php?id="][onmouseover]',
                attribute: 'onmouseover',
                filters: [{ name: 'regexp', args: 'src=([^\\s]+)' }],
            },
            download: {
                selector: 'a[href^="download.php/"]',
                attribute: 'href',
            },
            files: { selector: 'td:nth-last-child(7)' },
            date: {
                selector: 'td:nth-last-child(5)',
                filters: [{ name: 'dateparse', args: '02-01-200615:04:05' }],
            },
            size: { selector: 'td:nth-last-child(4)' },
            grabs: {
                selector: 'td:nth-last-child(3)',
                filters: [{ name: 'regexp', args: '(\\d+)' }],
            },
            seeders: { selector: 'td:nth-last-child(2)' },
            leechers: { selector: 'td:nth-last-child(1)' },
            downloadvolumefactor: {
                case: { 'img[src="pic/freeleech.png"]': 0, '*': 1 },
            },
            uploadvolumefactor: { case: { 'img[src="pic/x2.png"]': 2, '*': 1 } },
        },
    },
    source: 'jackett',
};
