"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.definition = void 0;
exports.definition = {
    site: 'cinemageddon',
    name: 'Cinemageddon',
    description: 'B-movie tracker',
    language: 'en-US',
    type: 'private',
    encoding: 'UTF-8',
    links: ['https://cinemageddon.net/'],
    legacylinks: ['http://cinemageddon.net/'],
    caps: {
        categorymappings: [
            { id: '1', cat: 'Movies', desc: 'Action' },
            { id: '2', cat: 'Movies', desc: 'Horror' },
            { id: '3', cat: 'Movies', desc: 'Martial Arts' },
            { id: '4', cat: 'Movies', desc: 'Comedy' },
            { id: '5', cat: 'Movies', desc: 'Other' },
            { id: '6', cat: 'Movies', desc: 'Hidden Gems' },
            { id: '7', cat: 'Movies', desc: 'Sci-Fi' },
            { id: '8', cat: 'Movies', desc: 'Gore' },
            { id: '9', cat: 'Movies', desc: 'Exploitation' },
            { id: '11', cat: 'Movies', desc: 'OST' },
            { id: '12', cat: 'Movies', desc: 'XXX' },
            { id: '13', cat: 'Movies', desc: 'Thriller' },
            { id: '14', cat: 'Movies', desc: 'Adventure' },
            { id: '15', cat: 'Movies', desc: 'Documentary' },
            { id: '16', cat: 'Movies', desc: 'Western' },
            { id: '17', cat: 'Movies', desc: 'Family' },
            { id: '18', cat: 'Movies', desc: 'Drama' },
            { id: '19', cat: 'Movies', desc: 'Ebooks' },
            { id: '20', cat: 'Movies', desc: 'Softcore' },
            { id: '21', cat: 'Movies', desc: 'Tinfoil Hat' },
            { id: '22', cat: 'Movies', desc: 'Trailers' },
        ],
        modes: { search: ['q'] },
    },
    login: {
        path: 'takelogin.php',
        method: 'post',
        inputs: {
            username: '{{ .Config.username }}',
            password: '{{ .Config.password }}',
        },
        error: [{ selector: 'table:contains("Login failed!")' }],
        test: { path: 'index.php' },
    },
    search: {
        paths: [{ path: 'browse.php' }],
        inputs: {
            $raw: '{{range .Categories}}filter_cat[{{.}}]=1&{{end}}',
            search: '{{ .Query.Keywords }}',
        },
        rows: {
            selector: 'table.torrenttable > tbody > tr:has(a[href^="browse.php?cat="])',
        },
        fields: {
            category: { text: 1 },
            title: { selector: 'td:nth-child(2)' },
            download: {
                selector: 'a[href^="details.php?id="]',
                attribute: 'href',
                filters: [{ name: 'replace', args: ['details.php?id=', 'download.php?id='] }],
            },
            details: {
                selector: 'a[href^="details.php?id="]',
                attribute: 'href',
            },
            grabs: { selector: 'td:nth-child(6)' },
            files: {
                selector: 'td:nth-child(5)',
                filters: [{ name: 'regexp', args: '(\\d+)\\s+file' }],
            },
            size: {
                selector: 'td:nth-child(5)',
                filters: [{ name: 'regexp', args: '(\\d+.*(MB|GB)+)' }],
            },
            seeders: { selector: 'td:nth-child(7)' },
            leechers: { selector: 'td:nth-child(8)' },
            date: {
                selector: 'td:nth-child(4)',
                filters: [{ name: 'regexp', args: '(\\d{4}-\\d{2}-\\d{2})' }],
            },
            downloadvolumefactor: { case: { '*': '1' } },
            uploadvolumefactor: { case: { '*': '1' } },
        },
    },
    source: 'jackett',
};
